﻿/**
 * 36位uuid
 */
V.uuid = function() {
	var s = [];
	var hexDigits = "0123456789abcdef";
	for (var i = 0; i < 36; i++) {
		s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
	}
	s[14] = "4"; // bits 12-15 of the time_hi_and_version field to 0010
	s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1); // bits 6-7 of the clock_seq_hi_and_reserved to 01
	s[8] = s[13] = s[18] = s[23] = "-";

	var uuid = s.join("");
	return uuid;
};

/**
 * 工具类 验证类
 */

/**
 * 验证是否手机号码
 * @param {Object} phone
 */
V.utils.valid.isPhone = function(phone) {
	if (phone) {
		var re = /^1\d{10}$/
		if (re.test(phone)) {
			return true;
		} else {
			return false;
		}
	}
	return false;
};
/**
 * 是否为邮政编码
 * @param {Object} v
 */
V.utils.valid.isPost = function(v) {
	var re = /^[1-9][0-9]{5}$/;
	return re.test(v);
};
/**
 * 是否为email地址
 * @param {Object} v
 */
V.utils.valid.isEmail = function(v) {
	var re = /\w@\w*\.\w/;
	return re.test(v);
};


/**
 * 验证是否整数4位
 */

V.utils.valid.isInt = function(code) {
	if (code == "" || !code.match(/\d{4}/)) {
		return false;
	}
	return true;
};
/**
 * 字符串是否 空
 */

V.utils.valid.isEmpty = function(s) {
	var _s = s || '';
	if (_s.replace(/(^s*)|(s*$)/g, "").length == 0) {
		return true;
	}
	return false;
};

/*
 * 字符串是否为小数
 * 
 */
V.utils.valid.isCheck=function(c){
    var r= /^[1-9]?[0-9]*\.[0-9]*$/;
    return r.test(c);
}

/*
 * 判断字符串小数点后面加0 例如：12.00 23.90
 */
V.utils.valid.getFloatStr = function(num){
    num += '';
    num = num.replace(/[^0-9|\.]/g, ''); //清除字符串中的非数字非.字符
    
    if(/^0+/) //清除字符串开头的0         
        num = num.replace(/^0+/, '');
    if(!/\./.test(num)) //为整数字符串在末尾添加.00    例如：getFloatStr('qwe'); //0.00    getFloatStr('256'); //256.00
    	
        num += '.00';
    if(/^\./.test(num)) //字符以.开头时,在开头添加0	 例如：getFloatStr('0000.1');  //0.10
        num = '0' + num;
    num += '00';        //在字符串末尾补零           
    num = num.match(/\d+\.\d{2}/)[0];
   	return num;
};

/*
 * 判断字符串如果是以0开头的，则去掉0
 */
V.utils.valid.FloatStr = function(num){
    num += '';
    num = num.replace(/[^0-9|\.]/g, ''); //清除字符串中的非数字非.字符
    
    if(/^0+/) //清除字符串开头的0         
        num = num.replace(/^0+/, '');
    if(/^\./.test(num)) //字符以.开头时,在开头添加0	 例如：getFloatStr('0000.1');  //0.10
        num = '0' + num;
   	return num;
};


/**
 * 检测变量是否是string类型
 * @param v 被检测变量的名称
 * @return 当 v 的类型是 string 时返回 true
 */
V.utils.valid.isString = function(v) {
	return (v === "" || v) && (v.constructor === String);
};

/**
 * @Comments ：检测变量是否是字母
 * @param v 被检测变量的名称
 * @returns 当 v 的是 字母 时返回 true 否则返回 flase
 */
V.utils.valid.isLetter = function(v) {
	reg = new RegExp(/^[A-Za-z]+$/);
	if (reg.test(v))
		return true;
	else
		return false;
};

/**
 * 检测变量是否是数值类型
 * @param v 被检测变量的名称
 * @return 当 v 的类型是数值时返回 true 例如：.12、0.12、123、123.456 等
 */
V.utils.valid.isNumber = function(v) {
	if (isNull(v))
		return false;
	if (v == ".")
		return false;
	var arr = v.split(".");
	if (arr.length > 2) { //小数点的个数在2个及以上
		return false;
	}
	var len = v.length;
	var chkStr = "1234567890.";
	for (i = 0; i < len; i++) {
		if (chkStr.indexOf(v.charAt(i)) < 0) {
			return false;
		}
	}
	return true;
};

/**
 * 验证 时分秒 是否正确
 * @param v 字符串参数，如：1:2:3、23:02:03等
 * @return 满足要求，则返回 true
 */
V.utils.valid.isTime = function(v) {
	if (isNull(v))
		return false;
	var hms = v.trim().split(":");
	if (hms.length == 3) {
		var h = hms[0];
		var m = hms[1];
		var s = hms[2];
		if (isNumber(h)) {
			if (parseInt(h, 10) < 0 || parseInt(h, 10) > 23)
				return false;
		} else {
			return false;
		}
		if (isNumber(m)) {
			if (parseInt(m, 10) < 0 || parseInt(m, 10) > 59)
				return false;
		} else {
			return false;
		}
		if (isNumber(s)) {
			if (parseInt(s, 10) < 0 || parseInt(s, 10) > 59)
				return false;
		} else {
			return false;
		}
	} else {
		return false;
	}
	return true;
};
/**
 * 验证 时间 是否正确
 * @param v 字符串参数 如：12：00 、 23：59  等
 * @return	满足要求，则返回 true
 */
V.utils.valid.isDatatime = function(v){
	if(v) {
		var p=/^([0-1]?[0-9]|2[0-3]):([0-5][0-9])$/;
		if (p.test(v))
			return true;
		else
			return false;
	}else{
		return false;    
	}
};
/**
 * 验证 年月日 是否正确
 * @param v 字符串参数 如：2012-07-05、2012/7/5、2012.7.05、20120705、201275等
 * @return	满足要求，则返回 true
 */
V.utils.valid.isDate = function(v) {
	if (isNull(v))
		return false;
	v = v.trim();
	var s = new Array("-", "/", "."); //var s = "-@/@.".split("@");
	for (i = 0; i < s.length; i++) {
		var ymd = v.split(s[i]);
		if (ymd.length == 3) { //2012-07-05、2012/7/5、2012.7.05等
			var y = ymd[0];
			var m = ymd[1];
			var d = ymd[2];
			return isYMD(y, m, d);
		}
	}
	var len = v.length;
	if (len == 6 || len == 8) { //20120705、201275等
		var y = v.substring(0, 4);
		var m = "";
		var d = "";
		if (len == 6) {
			m = v.substring(4, 5);
			d = v.substring(5);
		}

		if (len == 8) {
			m = v.substring(4, 6);
			d = v.substring(6);
		}
		return isYMD(y, m, d);
	}
	return false;
};

/**
 * 供 isDate方法调用
 * @param y	年
 * @param m	月
 * @param d 日
 * @return 如果满足年、月、日的要求，返回true; 
 */
V.utils.valid.isYMD = function(y, m, d) {
	if (isNumber(y)) {
		if (parseInt(y, 10) < 1900 || parseInt(y, 10) > 9999)
			return false;
	} else {
		return false;
	}
	if (isNumber(m)) {
		if (parseInt(m, 10) < 1 || parseInt(m, 10) > 12)
			return false;
	} else {
		return false;
	}
	if (isNumber(d)) {
		var y1 = parseInt(y, 10);
		var m1 = parseInt(m, 10);
		var d1 = parseInt(d, 10);
		var ld = 31;
		if (m1 == 4 || m1 == 6 || m1 == 9 || m1 == 11)
			ld = 30;
		if (m1 == 2)
			if ((y1 % 4 == 0 && y1 % 100 != 0) || y1 % 400 == 0)
				ld = 28;
			else
				ld = 29;
		if (d1 < 1 || d1 > ld)
			return false;
	} else {
		return false;
	}
	return true;
};

/**
 * 验证日期是否正确
 * @param v 验证日期参数 如：2012-07-05 09:02:03、2012/7/5 9:2:3、2012.7.05 09:22:23
 * 							20120705 09:02:03、201275 9:2:3
 * @return 满足要求，则返回 true
 */
V.utils.valid.isDateTime = function(v) {
	if (isNull(v))
		return false;
	var arr = v.trim().split(" ");
	if (arr.length != 2) {
		return false;
	}
	if (isTime(arr[1]) && isDate(arr[0]))
		return true;
	else
		return false;
};


/**
 * 验证固定电话是否正确
 * @param v 被验证电话号号 如：023-12345678、(023)12345678、51331988、0431-1234567、(0431)1234567
 * @return 满足要求，则返回 true
 */
V.utils.valid.isTelphone = function(v) {
	if (isNull(v))
		return false;
	var p = /(^0\d{2,3}\-\d{7,8}$)|(^\d{7,8}$)|(^\(0\d{2,3}\)\d{7,8}$)/;
	if (p.test(v))
		return true;
	else
		return false;
};



/**
 *校验身份证号码是否正确 
 */
V.utils.valid.isIdCard = function(id) {
	if (!id)
		return false;

	var len = id.length;
	if (len != 15 && len != 18) {
		//alert("身份证号长度应为15位或18位！");
		return false;
	}

	if (len == 15) {
		if (!isNumber(id))
			return false;
		var yyyy = "19" + id.substring(6, 8);
		var mm = id.substring(8, 10);
		var dd = id.substring(10, 12);
		var bir = yyyy + "-" + mm + "-" + dd;
		if (!isDate(bir))
			return false;
		else
			return true;
	}

	if (len == 18) {
		if (!isNumber(id.substring(0, 17)))
			return false;
		var yyyy = id.substring(6, 10);
		var mm = id.substring(10, 12);
		var dd = id.substring(12, 14);
		var bir = yyyy + "-" + mm + "-" + dd;
		if (!isDate(bir))
			return false;
		if (id.charAt(17) == V.utils.valid._getVerifyBit(id.substring(0, 17)))
			return true;
		else
			return false;
	}
};

/**
 * 获取18位身份证号的最后一位
 * 第十八位数字的计算方法为：
	1.将前面的身份证号码17位数分别乘以不同的系数。
		从第一位到第十七位的系数分别为：7 9 10 5 8 4 2 1 6 3 7 9 10 5 8 4 2
	2.将这17位数字和系数相乘的结果相加。
	3.用加出来和除以11，得到余数。
	4.余数只可能有0 1 2 3 4 5 6 7 8 9 10这11个数字。
		其分别对应的最后一位身份证的号码为1 0 X 9 8 7 6 5 4 3 2。
 */
V.utils.valid._getVerifyBit = function(id) {
	var wi = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2]; // 加权因子   
	var rs = ["1", "0", "X", "9", "8", "7", "6", "5", "4", "3", "2"];
	var sum = 0; // 声明加权求和变量   
	for (var i = 0; i < 17; i++) {
		sum += wi[i] * id.charAt(i); // 加权求和   
	}
	var p = sum % 11; // 得到验证码所位置
	return rs[p];
};



/**
 * 算数运算--------------------------------------------------------------------------------------------------------------------
 */
/**
 * 加法函数，用来得到精确的加法结果
 * @param arg1 加数
 * @param arg2 被加数
 * @return arg1加arg2的精确结果
 */
V.utils.math.fun_add = function(arg1, arg2) {
	var r1, r2, m;
	try {
		r1 = arg1.toString().split(".")[1].length;
	} catch (e) {
		r1 = 0;
	}
	try {
		r2 = arg2.toString().split(".")[1].length;
	} catch (e) {
		r2 = 0;
	}
	m = Math.pow(10, Math.max(r1, r2));
	return (arg1 * m + arg2 * m) / m;
};

/**
 * 减法函数，用来得到精确的减法结果
 * @param arg1 减数
 * @param arg2 被减数
 * @return arg1减arg2的精确结果
 */
V.utils.math.fun_sub = function(arg1, arg2) {
	var r1, r2, m, n;
	try {
		r1 = arg1.toString().split(".")[1].length;
	} catch (e) {
		r1 = 0;
	}
	try {
		r2 = arg2.toString().split(".")[1].length;
	} catch (e) {
		r2 = 0;
	}
	m = Math.pow(10, Math.max(r1, r2));
	//动态控制精度长度   
	n = (r1 >= r2) ? r1 : r2;
	return ((arg1 * m - arg2 * m) / m).toFixed(n);
};

/**
 * 乘法函数，用来得到精确的乘法结果
 * 说明：javascript的乘法结果会有误差，在两个浮点数相乘的时候会比较明显。这个函数返回较为 精确的乘法结果。
 * @param arg1 乘数
 * @param arg2 被乘数
 * @return arg1乘以arg2的精确结果
 */
V.utils.math.fun_mul = function(arg1, arg2) {
	var m = 0;
	var s1 = arg1.toString();
	var s2 = arg2.toString();

	try {
		m += s1.split(".")[1].length;
	} catch (e) {}

	try {
		m += s2.split(".")[1].length;
	} catch (e) {}

	return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
};

/**
 * 除法函数，用来得到精确的除法结果
 * 说明：javascript的除法结果会有误差，在两个浮点数相除的时候会比较明显。这个函数返回较为 精确的除法结果。
 * @param arg1 除数
 * @param arg2 被除数
 * @return arg1除以arg2的精确结果
 */
V.utils.math.fun_div = function(arg1, arg2) {
	var t1 = 0;
	var t2 = 0;
	var r1, r2;

	try {
		t1 = arg1.toString().split(".")[1].length;
	} catch (e) {}

	try {
		t2 = arg2.toString().split(".")[1].length;
	} catch (e) {}

	with(Math) {
		r1 = Number(arg1.toString().replace(".", ""));
		r2 = Number(arg2.toString().replace(".", ""));
		return (r1 / r2) * pow(10, t2 - t1);
	}
};

/**
 * 四舍五入函数
 * @param arg 目标数
 * @param pos 保留位数
 * @return arg 保留 pos位后的结果
 */
V.utils.math.fun_round = function(arg, pos) {
	return Math.round(arg * Math.pow(10, pos)) / Math.pow(10, pos);
};

/**
 * 验证图片类型是否符合服务器端规定的格式
 * @param {Object} phone
 */
V.utils.valid.isSfImg = function(fileImg) {
	if(fileImg){
		var img = fileImg.substring(fileImg.lastIndexOf('.')+1,fileImg.length);
		var imgs = ['bmp','jif','jpeg','jpg','tiff','tif','psd',
				   	'png','svg','pcx','dxf','wmf','emf','flc','fli',
				   	'eps','tga'];
		if (img) {
			var i = imgs.indexOf(img.toLocaleLowerCase());
			if(i>0){
				return true;
			}else{
				return false;
			}
		}
	}
	return false;
};
/**
 * 两个日期相差天数
 * @param {Object} strDateStart 如：2015-12-12
 * @param {Object} strDateEnd  如：2015-12-08
 */
V.utils.date.getDays = function(strDateStart,strDateEnd){
   var strSeparator = "-"; //日期分隔符
   var oDate1;
   var oDate2;
   var iDays;
   oDate1= strDateStart.split(strSeparator);
   oDate2= strDateEnd.split(strSeparator);
   var strDateS = new Date(oDate1[0], oDate1[1]-1, oDate1[2]);
   var strDateE = new Date(oDate2[0], oDate2[1]-1, oDate2[2]);
   iDays = parseInt((strDateS - strDateE ) / 1000 / 60 / 60 /24)//把相差的毫秒数转换为天数 
   return iDays ;
}

/**
 * prototype 扩展 
 * @param {Object} str
 */
String.prototype.startWith = function(str) {
	if (str == null || str == "" || this.length == 0 || str.length > this.length)
		return false;
	if (this.substr(0, str.length) == str)
		return true;
	else
		return false;
	return true;
}

String.prototype.getBytesLength = function() {
	var totalLength = 0;
	var charCode;
	for (var i = 0; i < this.length; i++) {
		charCode = this.charCodeAt(i);
		if (charCode < 0x007f) {
			totalLength++;
		} else if ((0x0080 <= charCode) && (charCode <= 0x07ff)) {
			totalLength += 2;
		} else if ((0x0800 <= charCode) && (charCode <= 0xffff)) {
			totalLength += 3;
		} else {
			totalLength += 4;
		}
	}
	return totalLength;
}

//年份（月份）的增减事件(data=1 or 3,说明点击<添加年份（月份）;data=2 or 4,说明点击>减掉年份（月份）【1和2是只年无月的增减，3和4是有年有月的增减】)
V.utils.date._clickYear=function(data,years){
	var today = new Date();
	var year=today.getFullYear();
	var nowMonth = today.getMonth() + 1;
	if(data==1){//只年无月
		years--;
		if(years<1){
			mui.toast("当前已没有年份");
			return;
		}
	}else if(data==2){//只年无月
		years++;
	}else if(data==3){//有年有月
		var _year=years.substr(0,4);
		var _month=years.substr(4,2);
		if(_month=='01'){//到每一年的01月时，年份-1，月份变成12月
			_year--;
			if(_year<1){
				mui.toast("当前已没有年份");
				return;
			}
			years=_year+""+12;
			return years;
		}else{//相反，不是01月时，只需月份+1，年份不变
			_month--;
			years=_year+""+_month;
			return years;
		}
	}else if(data==4){//有年有月
		var _year=years.substr(0,4);
		var _month=years.substr(4,2);
		if(_month=='12'){//到每一年的12月时，年份+1，月份变成01月
			_year++;
			years=_year+""+'1';
		}else{//相反，不是12月时，只需月份+1，年份不变
			_month++;
			years=_year+""+_month;
		}
	}else if(data==5){//有月有日
		var _year=years.substr(0,4);
		var _month=years.substr(4,2); 
		var _day=years.substr(6,2);
		var day=String.prototype.checkmonthday(_month);
		if(_day=='01'&&_month!='01'){//一个月的第一天（02月01日）
			_month=_month-1;
			day=String.prototype.checkmonthday(_month);
			
			if(_month<10){
				_month='0'+_month;
			}
			years=_year+""+_month+""+day;
		}else if(_month=='01'&&_day=='01'){//每一年的第一天（01月01日）
			_year--;
			years=_year+""+'12'+'31';
		}else if(_month=='12'&&_day!=day){//12月的某一天，那一天肯定不是最后一天（12月12日）
			_day--;
			if(_day<10){
				_day='0'+_day;
			}
			years=_year+""+_month+""+_day;
		}else{//任何时间
			_day--;
			if(_day<10){
				_day='0'+_day;
			}
			years=_year+""+_month+""+_day;
		}
	}else if(data==6){//有月有日
		var _year=years.substr(0,4);
		var _month=years.substr(4,2);
		var _day=years.substr(6,2);
		var day=String.prototype.checkmonthday(_month);
		if(_month=='12'&&_day==day){
			_year++;
			years=_year+""+'01'+'01';
		}else if(_month=='12'&&_day!=day){
			_day++;
			if(_day<10){
				_day='0'+_day;
			}
			years=_year+""+_month+""+_day;
		}else if(_day==day){
			_month++;
			if(_month<10){
				_month='0'+_month;
			}
			years=_year+""+_month+""+'01';
		}else{
			_day++;
			if(_day<10){
				_day='0'+_day;
			}
			years=_year+""+_month+""+_day;
		}
	}
	return years;
}
/*
 * 根据月份来判断该月的最多多少天
 */
String.prototype.checkmonthday=function(month){
	var day;
	if(month==1||month==3||month==5||month==7||month==8||month==10||month==12){
		day=31;
	}else if(month==4||month==6||month==9||month==11){
		day=30;
	}else{
		day=29;
	}
	return day;
}

/**
 * 去掉字符串前后空格 
 * @param {Object} str
 */
V.utils.valid.trim = function(str){
    return str.replace(/^(\s|\xA0)+|(\s|\xA0)+$/g, ''); 
}
