//mui初始化配置项
mui.init({
	preloadPages:[//预加载（详情）
    {
      url:"gg.html",
      id:"xqgg"
    }
	],
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});

//实现界面的刷新功能
function pageInit(usermodel) {
	var model = {
		pageSize: 10
	};
	$("#linear").height($(window).height());//列表中的蓝色长线
	
	//添加公告完成后，页面初始化
	window.addEventListener('pageshow', function(event) {
		var data = {
			yhid: usermodel.getYhid(),
			zzjgid:usermodel.getZzjgid(),
			limit:model.pageSize,
			page:'1'
		}
		$("#tab-view-wk").empty();
		model.initPage(1,data);
	});
	/*选项卡切换监听显示和隐藏浮动按钮*/
	document.getElementById('slider').addEventListener('slide', function() {
		//未看公告
		$(".float-bottom").show();
		$(".btn-img-right").show();
	});
	
	/*添加公告*/
	document.getElementById("add_gg").addEventListener("tap",function(){
		//打开新页面
		mui.openWindow({
			url:'add_gg.html',
			id:'add_gg'
		})
	});
	
	var maxpage=0;  //判断是否滚动到最后一页
	//初始化界面
	model.initPage= function(page,self,isp){
		mui.ajax(V.urls.baseServer+'/gg/ggAction_selectGg',{
			data:{
				yhid: usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				limit:model.pageSize,
				page:page
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(data) {
				console.log(JSON.stringify(data));
				//服务器返回响应，根据响应结果，分析是否登录成功
				maxpage=data.maxPage;
				var ul = $('.mui-scroll').children('.mui-table-view').get(0);
				var lis=model.createFragment(ul, data);
				$(ul).empty();
				ul.appendChild(lis);
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
			}
		});
		
	}

	//点击某一条公告，显示该条公告的详情
	document.querySelector('#tab-view-wk').addEventListener('tap', function(event) {
		var target = $(event.target);
		var t = target.parents('li.mui-table-view-cell');
		var gid = t.children().children('input').val();
		var yhid = t.children().children('input').attr("yhid");
		if(gid){
			var webview=mui.openWindow({
				url:'gg.html',
				id:'xqgg'
			});
		
//			webview.addEventListener('loaded',function(){
//				mui.fire(webview,'openggmx',{
//	    			gonggid:gid,
//		    		yhid:yhid
//	  			});
//			});
			mui.fire(webview,'openggmx',{
		    	gonggid:gid,
		    	yhid:yhid
		  	});
		}
	});
	
		//长按删除
	document.querySelector('#tab-view-wk').addEventListener('longtap', function(event) {
		var target = $(event.target);
		var t = target.parents('li.mui-table-view-cell');
		var ggid = t.children().children('input').val();
		var ggyhid=t.children().children(".mui-table").attr("yhid");
		var yhid=usermodel.getYhid();
		if (ggid) {
			if(ggyhid==yhid){
				plus.nativeUI.confirm("确定要删除该条公告吗?", function(e) {
					if (e.index == 0) {
						plus.nativeUI.showWaiting();
						mui.ajax(V.urls.baseServer + '/gg/ggAction_deleteGg', {
							data: {
								ggid: ggid,
								yhid: usermodel.getYhid()
							  },
							dataType:'json',
							type: 'get', //HTTP请求类型
							success: function(datas) {
								plus.nativeUI.closeWaiting();
								if(datas.result==1) {
									var t = target.parents('.mui-table-view-cell');
									t.remove();
									init();
									updateSyData();//刷新首页
								}
							},
							error: function(xhr, type, errorThrown) {
								plus.nativeUI.closeWaiting();
								mui.toast('网络异常');
							}
						});
					}
				},"",["确定", "取消"]);
			}else{
				mui.toast("不好意思，这条公告您不能删除");
			}
		}
	});
	
	//判断是否显示滚动条
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true //是否显示滚动条
	});	
	var page=1;
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index,pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					if (!checkNetStatus()) {
						self.endPullUpToRefresh();
						return;
					}
					mui.ajax(V.urls.baseServer + '/gg/ggAction_selectGg', {
						data: {
							yhid: usermodel.getYhid(),
							zzjgid:usermodel.getZzjgid(),
							limit:model.pageSize,
							page:page--
						},
						dataType: 'json', //服务器返回json格式数据<默认是text>
						type: 'post', //HTTP请求类型
						success: function(data) {
							//服务器返回响应，根据响应结果，分析是否登录成功；
							var ul = self.element.querySelector('.mui-table-view');
							var appendfm=model.createFragment(ul, data);
							$(ul).empty();
							ul.appendChild(appendfm);
							self.endPullDownToRefresh();
						},
						error: function(xhr, type, errorThrown) {
							//异常处理；
							mui.toast('网络异常');
						}
					});
				}
			},
			up: {
				callback: function() {
					var self = this;
					if (!checkNetStatus()) {
						self.endPullUpToRefresh();
						return; 
					}	
					mui.ajax(V.urls.baseServer + '/gg/ggAction_selectGg', {
						data: {
							yhid: usermodel.getYhid(),
							zzjgid:usermodel.getZzjgid(),
							limit:model.pageSize,
							page:page++
						},
						dataType: 'json', //服务器返回json格式数据
						type: 'post', //HTTP请求类型
						success: function(data) {
							//服务器返回响应，根据响应结果，分析是否登录成功；
							var ul = self.element.querySelector('.mui-table-view');
							var appendfm2=model.createFragment(ul, data);
							$(ul).empty();
							ul.appendChild(appendfm2);
							if(maxpage<=page){//当最大值大于或等于页数的时候，就停止下拉
								self.endPullUpToRefresh(true);
							}else{
								self.endPullUpToRefresh();
							}
						},
						error: function(xhr, type, errorThrown) {
							//异常处理；
							mui.toast('网络异常');
						}
					});
				}
			}
		});
	});
	
	//li 内容格式
	var getTplHtml = function(row) {
			var itemhtml ='<a class="mui-navigate-right" href="#">'+
							'<input  type="hidden" value="'+row.GGID+'"  yhid="'+row.YHID+'"/>'+
						    '<div class="mui-table"   yhid="'+row.YHID+'">'+
								'<div class="mui-table-cell mui-col-xs-3 ui-list-item">'+
									'<span class="list-item-date" style="color:#626262;">'+row.YR+'</span>'+
								'</div>'+
								'<div class="mui-table-cell mui-col-xs-7">'+
									'<span class="size-left-top list-item-titile">'+row.GGBT+'</span>'+	
									'<span class="size-left-bottom list-item-author">发布人:'+row.NAME+'</span>'+	
								'</div>'+
								'<span class="mui-navigate-right"></span>'+
							'</div>'+
							'</a>';
			return itemhtml;
	}
	
	//模拟数据
	model.createFragment = function(ul, json) {
		var length = ul.querySelectorAll('li').length;
		var fragment = document.createDocumentFragment();
		var li;
		var list=json.ggs;
		for (var i = 0; i < list.length; i++) {
			var row=list[i];
			li = document.createElement('li');
			li.className = 'mui-table-view-cell mui-collapse';
			li.innerHTML = getTplHtml(row);
			fragment.appendChild(li);
		}
		return fragment;
	};
	
	
	//刚进界面时，初始化界面
	function init(){
		var data = {
			yhid: usermodel.getYhid(),
			zzjgid:usermodel.getZzjgid(),
			limit:model.pageSize,
			page:'1'
		}
		model.initPage(1);
	}
	init();
	
}
		


