(function() {
	mui.SFKModel = mui.Class.extend({
		init: function(options) {
			var self = this;
			self.options = options || {};
			self.initListener();
			self.iosEvent();
			self.initPar();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		iosEvent: function() {
			if (mui.os.ios) {
				//					new objBlur("p4"); 
				new objBlur("p7");
				//					new objBlur("p6"); 
				//					new objBlur("p7"); 
				//					new objBlur("p8"); 
				//					new objBlur("p9"); 
			}
		},
		initPar: function() {
			//console.log(24);
			document.getElementById("p6").value = getNow();
		},
		initEvent: function() {
			var self = this;
			//console.log(this);

			document.getElementById("htmcPicker").addEventListener('tap', function(e) {
				self.showHTMC();
			});
			document.getElementById("htmc").addEventListener('tap', function(e) {
				self.showHTMC();
			});
			document.getElementById("p5Picker").addEventListener('tap', function(e) {
				self.showJbr();
			});
			document.getElementById("p5").addEventListener('tap', function(e) {
				self.showJbr();
			});
			//入库日期
			var timepicker = new mui.DtPicker({
				"type": "date"
			});

			document.getElementById("p6").addEventListener('tap', function() {
				var p6 = this;
				timepicker.show(function(rs) {
					p6.value = rs.text;
					timepicker.setSelectedValue();
				});
			});

			document.getElementById('p7').addEventListener('blur', function(event) {
				//console.log(this);
				self._validateJe(this);
			}); 


			document.getElementById("btn-add").addEventListener('tap', function() {
				if (!checkNetStatus()) {
					return;
				}

				var data = self.validData();
				if (!data) {
					return;
				}

				var wjkx = document.getElementById("p7").getAttribute('wjkx');
				console.log(data.p7 + '-' + wjkx);
				if (parseFloat(data.p7, 10) > parseFloat(wjkx, 10)) {
					//mui.toast('未结款项超过了合同总额');
					mui.confirm('金额超过了合同总额，是否继续？', '', ['确定', '取消'], function(e) {
						if (e.index == 0) {
							//console.log(1);
							self._submit(data);

						}
					});
				} else {
					self._submit(data);
				}
			});

			//			document.getElementById("p7").addEventListener('focus',function(){
			//				this.setAttribute("placeholder", "");
			//			});
			//
			//			document.getElementById("p7").addEventListener('blur',function(){
			//				var v=this.value;
			//				this.value='';
			//				this.style.-webkit-input-placeholder
			//				this.setAttribute("placeholder", v+'.00');
			//			});

		},
		/**
		 * 合同额验证
		 */
		_validateJe: function(evl){
			//报销金额bxje
			var number=evl.value;
			if(!isNaN(number)){
				var n=Math.round(number * 100)  / 100;//保留千万分位
				if(n<99999999&&n>=0){
					if(V.utils.valid.isCheck(n)){//判断一个字符串是否是小数
						var s=n.toFixed(2);//保留小数点后两位数
						var a=V.utils.valid.getFloatStr(s);
						document.getElementById("p7").value = a;
					}else{//字符串是整数
						var b=V.utils.valid.getFloatStr(n);
						document.getElementById("p7").value = b;
					}
				}else{
					
					document.getElementById("p7").value = '';
				}
			}
		},		
		_submit: function(data) {
			var self = this;
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseNewServer, {
				data: data,
				dataType: 'json', //服务器返回json格式数据
				//type: 'post', //HTTP请求类型
				success: function(rs) {
					//console.log(JSON.stringify(rs));
					plus.nativeUI.closeWaiting();
					if (rs.r == '1') {
						//console.log(self.ysbs+'===='+self.ysje);
						var ysbs = self.ysbs + 1;

						var ysje = self.ysje + parseFloat(data.p7, 10);
						var backweb = plus.webview.getWebviewById(self.backWebviewId);
						//	console.log('ysbs:'+ysbs+"ysje:"+ysje);
						mui.fire(backweb, 'eventBackSfkEdit', {
							htid: self.hyid,
							bs: ysbs,
							je: ysje
						});
						mui.back();
					} else {
						mui.toast(V.msg.noNet);
					}

				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					plus.nativeUI.closeWaiting();
					//console.log(errorThrown);
					mui.toast(V.msg.noNet);
				}
			});
		},
		validData: function() {
			var self = this;
			
			
			if(!self.htid){
				mui.toast('请选择合同');
				return null;				
			}

			var p7 = document.getElementById("p7").value;

			if (p7 <= 0) {
				mui.toast('金额不能小于0');
				return null;
			}

			//			var wjkx = document.getElementById("p7").getAttribute('wjkx');
			//			console.log(p7 + '-' + wjkx);
			//			if (parseFloat(p7, 10) > parseFloat(wjkx, 10)) {
			//				mui.toast('未结款项超过了合同总额');
			//				return null;
			//			}
			//var p5 = document.getElementById("p5").value;
			var p5 = document.getElementById("p5").getAttribute('hvalue');
			var p6 = document.getElementById("p6").value;

			var radios = document.getElementsByName("p4");
			var p4 = '';
			for (k in radios) {
				if (radios[k].checked) {
					p4 = radios[k].value;
					break;
				}
			}
			var data = {};
			data.a = 'HT.INSERT_HT_SF';
			data.p1 = userModel.getYhid();
			data.p2 = userModel.getZzjgid();
			data.p3 = self.htid;
			data.p4 = p4; //收付类型
			data.p5 = p5; //经办人
			data.p6 = p6; //收付日期
			data.p7 = p7; //收付金额
			return data;
		},
		changeSFKList: function(v) {
			if (v == '01') {

			} else {

			}
		},
		showJbr: function() {
			var id = plus.webview.currentWebview().id;
			plus.storage.setItem("filebrower_parentwebviewId", id);
			page_staff_select = plus.webview.getWebviewById('dan');

			//触发详情页面的newsId事件
			var checkedValues = [];
			mui.fire(page_staff_select, 'eventInitStaff', {
				values: checkedValues,
				returnObj: 'chry'
			});
			plus.storage.setItem("allLxr", "1"); //进入选择人员页面，是否有选择自己的标志
			mui.openWindow({
				url: '../common/dan.html',
				id: 'dan'
			});

		},
		showHTMC: function() {
			var self = this;
			var webid = plus.webview.currentWebview().id;
			var webview = mui.openWindow({
				url: '../common/zzjg-pzxlx.html',
				id: 'pzxlx',
				extras: {
					p3: 'ht',
					webid: webid
				}
			});
		},
		bindForm: function() {
			var self = this;
			//console.log(203);
			self.clearForm();
			var htid = self.htid;
			plus.nativeUI.showWaiting();
			var data = {
				a: 'HT.SELECT_HT',
				p1: userModel.getYhid(),
				p2: userModel.getZzjgid(),
				p3: htid
			};
			mui.ajax(V.urls.baseNewServer, {
				data: data,
				dataType: 'json', //服务器返回json格式数据
				//type: 'post', //HTTP请求类型
				success: function(rs) {
					//console.log(JSON.stringify(rs));
					if (rs.r == '1') {
						var radios = document.getElementsByName("p4");
						var d = rs.data;
						var sflx = d.D12;
						for (k in radios) {
							if (radios[k].value == sflx) {
								radios[k].checked = true;
								break;
							} else {
								//radios[k].checked = false;
							}

						}
						self.querySFK(data);


						var wjkx = d.D14;
						wjkx = wjkx ? wjkx : 0;
						document.getElementById('htmc').value = d.D2;
						document.getElementById('htf').value = d.D4;
						document.getElementById("hte").value = d.D5;
						document.getElementById("qtrq").value = d.D6;
						//console.log(wjkx);
						var fwjkx = parseFloat(delcommafy(wjkx), 10);
						self.ysje = parseFloat(delcommafy(d.D5), 10) - fwjkx;
						//console.log(fwjkx);
						document.getElementById("p7").setAttribute("wjkx", fwjkx);
						document.getElementById("p7").setAttribute("placeholder", "未结款项" + wjkx + "元");

					} else {
						plus.nativeUI.closeWaiting();
					}

				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					plus.nativeUI.closeWaiting();
					//console.log(errorThrown);
					mui.toast(V.msg.noNet);
				}
			});

		},
		querySFK: function(data) {
			var self = this;
			data.a = 'HT.SELECT_HT_SF';
			mui.ajax(V.urls.baseNewServer, {
				data: data,
				dataType: 'json', //服务器返回json格式数据
				//type: 'post', //HTTP请求类型
				success: function(rs) {
					//console.log(JSON.stringify(rs));
					if (rs.r == '1') {
						var arr = rs.list.rs;
						self.ysbs = arr.length;
						console.log(self.ysbs + '--' + arr.length);
						if (arr.length > 0) {
							var radios = document.getElementsByName("p4");

							for (k in radios) {
								radios[k].disabled = true;
							}
						} else {

						}
						document.getElementById('sfklist').innerHTML = template('tpl-sfk', {
							"record": arr
						});

					}
					plus.nativeUI.closeWaiting();
				},
				error: function(xhr, type, errorThrown) {

					plus.nativeUI.closeWaiting();

				}
			});
		},
		clearForm: function() {
			console.log("clearForm");
			var self = this;
			var radios = document.getElementsByName("p4");

			for (k in radios) {
				radios[k].disabled = false;
			}
			//alert(305);
			document.getElementById("hy-form").reset();
			document.getElementById("p5").setAttribute("hvalue", "");
			self.initPar();
		},
		initListener: function() {
			var self = this;
			window.addEventListener('pageShow', function(e) {

				self.htid = e.detail.htid;
				self.backWebviewId = e.detail.backWebviewId;
				if (self.htid) {
					document.getElementById("htmc").disabled = true;
					document.getElementById("htmcPicker").style.display = 'none';
					self.bindForm();
				} else {
					document.getElementById("htmc").disabled = false;
					document.getElementById("htmcPicker").style.display = 'block';
					//					document.getElementById("htmcPicker").disabled = false;
					self.clearForm();
				}

			});

			//获取合同名称
			window.addEventListener('eventBackzzjg', function(event) {
				//获得事件参数
				var htid = event.detail.c1; //项目名称
				var htpzmc = event.detail.c2; //配置名称
				document.getElementById("htmc").value = htpzmc;
				self.htid = htid;
				self.bindForm();
			});
			//获取经办人
			window.addEventListener('eventBackYh', function(event) {
				//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
				var returnobj = event.detail.returnObj;
				var names = event.detail.name;
				var values = event.detail.id;
				document.getElementById("p5").value = names;
				document.getElementById("p5").setAttribute('hvalue', values);

			});
		}
	})
})();