 (function() {
	mui.htEditModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self.arrfile = [];
			self.arrimg = [];
			self.insertArrfile = [];
			self.insertArrimg = [];
			self.htid;
			self.backWebviewId;
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			new objBlur("htmc");
			new objBlur("htlx");
			new objBlur("htf");
			new objBlur("hte");
			new objBlur("fzr");
			new objBlur("htbh");
			new objBlur("bz");
			self.NYRpicker = new mui.DtPicker({"type":"date"});
			self.previewImage = mui.previewImage();
			self.webviewid = plus.webview.currentWebview().id;
			document.getElementById("qdrq").value = getNow();
			document.getElementById("htlx").value = '销售合同';
			//self._selectHtBh();
			/*self.htid = "1005328543";
			self._selectHtData("1005328543");
			self._selectFjData("1005328543");
			self._selectSfData("1005328455");*/
			//...
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			/**
			 * 新增页面
			 */
			window.addEventListener('showNewPage',function(){
				document.getElementById('sfkPanel').style.display = 'none';
				document.getElementById('htbt').innerText = '新增合同';
				self.backWebviewId = event.detail.backWebviewId;
				self._selectHtBh();
			});
			/** 
			 * 修改页面
			 */
			window.addEventListener('showUpdatePage',function(){
				self.htid = event.detail.htid;
				document.getElementById('htbt').innerText = '合同详情';
				self.backWebviewId = event.detail.backWebviewId;
				self._selectHtData(self.htid);
				self._selectFjData(self.htid);
				self._selectSfData(self.htid);
			});
			/**
			 * 选择签订日期
			 */
			document.getElementById('qdrq').addEventListener('tap', function(e) {
				self.NYRpicker.show(function(rs) { 
					document.getElementById('qdrq').value = rs.text; 
					self.NYRpicker.setSelectedValue();	
				});
			});
			/**
			 * 合同类型
			 */
			document.getElementById('showHtlxPicker').addEventListener('tap', function(event) {
				self._showZzjgPzxlx('11');
			});
			/**
			 * 合同方
			 */
			document.getElementById('showHtfPicker').addEventListener('tap', function(event) {
				self._showZzjgPzxlx('12');
			});
			
			//获取界面传过来的配置项
			window.addEventListener('eventBackzzjg',function(event){
			  	//获得事件参数
			  	pzmc=event.detail.c1;//项目名称
			  	pzxlx=event.detail.pz;//配置名称
			  	if(pzxlx=='11'){//合同类型
			  		document.getElementById("htlx").value = pzmc;
			  	}else{//合同方
			  		document.getElementById("htf").value = pzmc;
			  	}
			});
			/**
			 * 负责人
			 */
			document.getElementById('showfzrPicker').addEventListener('tap', function(event) {
				plus.storage.setItem("filebrower_parentwebviewId", self.webviewid);
				plus.storage.setItem("allLxr","1");//进入选择人员页面，是否有选择自己的标志
				mui.openWindow({
					url: '../common/dan.html',
					id: 'page-dan'
				});
			});
			
			/**
			 *选择用户人员后，跳转到主页面
			 */
			window.addEventListener('eventBackYh', function(event) {
				var id = event.detail.id;
				var name = event.detail.name;
				document.getElementById("fzr").value = name;
				document.getElementById("fzrid").value = id;
			});
			
			/**
			 *修改收付款返回后，跳转执行方法
			 */
			window.addEventListener('eventBackSfkEdit', function(event) {
				var bs = event.detail.bs;
				var je = event.detail.je;
				if(bs){
					document.getElementById('sfb').innerText = bs;
				}
				if(je){
					document.getElementById('sfmon').innerText = V.utils.valid.getFloatStr(je);
				}
				var webview = plus.webview.getWebviewById(self.backWebviewId);
				mui.fire(webview, 'eventBackEditHtgl');
			});
			
			/**
			 * 选择提醒时间
			 */
			document.getElementById('txsj').addEventListener('tap', function(e) {
				self.NYRpicker.show(function(rs) { 
					document.getElementById('txsj').value = rs.text; 
					self.NYRpicker.setSelectedValue();	
				});
			});
			/**
			 * 打开上传面板
			 */
			document.getElementById("btn-fileadd").addEventListener('tap', function() {
				mui('.mui-popover').popover('toggle');
			});
			//拍照
			document.getElementById("ht-camera").addEventListener('tap', function() {
				mui('.mui-popover').popover('toggle');
				self._getImage();
			});
			//相册
			document.getElementById("ht-photo").addEventListener('tap', function() {
				mui('.mui-popover').popover('toggle');
				self._getImagesView();
			});
			//文件
			document.getElementById("ht-wj").addEventListener('tap', function() {
				mui('.mui-popover').popover('toggle');
				self._getFileView();
			});
			
			//接收选择文件
			window.addEventListener('eventBackFile', function(event) {
				//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
				var src = event.detail.src;
				var name = event.detail.name;
				self.arrfile.push(src);
				self.insertArrfile.push(src);
				$('#fileform').show();
				$('#ul-file-list').append('<li class="mui-table-view-cell">' + src + '</li>');
			});
			/**
			 * 合同提交信息
			 */
			document.getElementById("btn-add").addEventListener('tap', function() {
				self._editHtData();
			});
			/**
			 * 合同收付款列表
			 */
			document.getElementById("sfkButton").addEventListener('tap', function() {
				self._goListPage();
			});
			/**
			 * 定义合同额金额验证事件
			 */
			document.getElementById('hte').addEventListener('blur', function(event) {
				self._validateJe(this);
			}); 
			
			/**
			 * 委托定义附件打开事件
			 */
			mui('#fileform').on('tap', 'li', function(e) { 
				self._openFileUrl(this.getAttribute("url"));
			});
			
			/**
			 * 删除图片事件
			 */
			document.querySelector('#Gallery').addEventListener('longtap', function(event) {
				var target = $(event.target);
				var src = target.attr('src');
				//console.log(fjid);
				if (src) { 
					self._delFJImg(target,src);
				}
			});
		},
		
		/**
		 * 跳转到列表页面
		 */
		_goListPage: function(){
			var self = this;
			var web=mui.openWindow({
				url: 'htgl-add-sfk.html',
				id: 'htgl-add-sfk'
			});
			web.addEventListener('loaded',function(){
				mui.fire(web,'pageShow',{
					htid : self.htid,
					backWebviewId : self.webviewid
				});
			});
		},
		
		/**
		 * 新增页面查询合同编码
		 */
		_selectHtBh: function() {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a : 'HT.GET_HTBH',
					p1 : userModel.getYhid(),
					p2 : userModel.getZzjgid()
				},  
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					var r = data.r;
					if(r == '1'){
						document.getElementById('htbh').value=data.val;
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/**
		 * 修改页面查询合同信息
		 */
		_selectHtData: function(htid) {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a : 'HT.SELECT_HT',
					p1 : userModel.getYhid(),
					p2 : userModel.getZzjgid(),
					p3 : htid
				},
				dataType: 'text', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					data = JSON.parse(data);
					plus.nativeUI.closeWaiting();
					var r = data.r;
					if(r == '1'){
						document.getElementById('htid').value=data.data.D1;
						document.getElementById('htmc').innerText=data.data.D2;
						//document.getElementById('htmc').value=data.data.D2;
						document.getElementById('htlx').value=data.data.D3;
						document.getElementById('htf').value=data.data.D4;
						document.getElementById('hte').value=data.data.D5;
						document.getElementById('qdrq').value=data.data.D6;
						document.getElementById('fzrid').value=data.data.D13;
						document.getElementById('fzr').value=data.data.D7;
						document.getElementById('htbh').value=data.data.D8;
						document.getElementById('bz').innerText=data.data.D9;
						//document.getElementById('bz').value=data.data.D9;
						document.getElementById('txsj').value=data.data.D10;
						 var zxzt=document.getElementsByName("zxzt");
						 for(var i=0;i<zxzt.length;i++){
					 		if(zxzt[i].value==data.data.D11){
					 			zxzt[i].checked = true;
					  		}
					 	}
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/**
		 * 修改页面查询合同附件信息
		 */
		_selectFjData: function(htid) {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a : 'COMM.SELECT_FJ',
					p1 : userModel.getYhid(),
					p2 : userModel.getZzjgid(),
					p3 : htid,
					p4 : '05'
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					var r = data.r;
					if(r == '1'){  
						[].forEach.call(data.list.rs, function(value) {
							if(value.WJLX == '01'){ 
								self.arrimg.push(value);
							}else{
								self.arrfile.push(V.urls.baseNewPicServer+value.FJWZ);
								var url = V.urls.baseNewPicServer+value.FJWZ;
								$('#ul-file-list').append('<li class="mui-table-view-cell" url="'+ url +'">' + value.FJMC + '</li>');
							}
						});
						self._reViewImg();
						if(self.arrfile.length>0){
							$('#fileform').show();
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/**
		 * 修改页面查询合同收付款信息
		 */
		_selectSfData: function(htid) {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a : 'HT.SELECT_HT_SFJE', 
					p1 : userModel.getYhid(),
					p2 : userModel.getZzjgid(),
					p3 : htid
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					var r = data.r;
					if(r == '1'){
						document.getElementById('sfkPanel').style.display = 'block';
						if(data.data.D2 != '0'){
							if(data.data.D1 == '01'){
								document.getElementById('sflx').innerText = '已收';
							}else{
								document.getElementById('sflx').innerText = '已付';
							}
							document.getElementById('sfb').innerText = data.data.D2;
							document.getElementById('sfmon').innerText = V.utils.valid.getFloatStr(data.data.D3);
						}else{
							document.getElementById('sflx').innerText = '已收/付';
							document.getElementById('sfb').innerText = 0; 
							document.getElementById('sfmon').innerText = '0.00';
						}
						
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/**
		 * 数据验证，封装
		 */
		_validateData: function(){
			var self = this;
			var data = {
				isok: true
			};
			//用户id 临时调试 ，带用户登录功能实现后获取用户信息
			data.p1 = userModel.getYhid(),
			//组织机构id
			data.p2 = userModel.getZzjgid();
			//合同名称
			data.p3 = document.getElementById('htmc').innerText;
			//data.p3 = document.getElementById('htmc').value;
			if (V.utils.valid.trim(data.p3) == '') {
				mui.toast('请输入合同名称');
				data.isok = false;
			}else if(data.p3.length > 50 ){
				mui.toast('合同名称不能超过50个字符');
				data.isok = false;
			}
			
			//合同类型
			data.p4 = document.getElementById('htlx').value;
			//合同方
			data.p5 = document.getElementById('htf').value;
			if (V.utils.valid.trim(data.p5) == '') {
				mui.toast('请输入合同方');
				data.isok = false;
			}
			//合同额
			data.p6 = document.getElementById('hte').value;
			if(!data.p6){
				data.p6 = 0;
			}
			//签订日期
			data.p7 = document.getElementById('qdrq').value;
			if (V.utils.valid.trim(data.p7) == '') {
				mui.toast('请选择签订日期');
				data.isok = false;
			}
			//负责人
			data.p8 = document.getElementById('fzrid').value;
			//合同编号
			data.p9 = document.getElementById('htbh').value;
			if (V.utils.valid.trim(data.p9) == '') {
				mui.toast('请输入合同编号');
				data.isok = false;
			}
			//备注
			data.p10 = document.getElementById('bz').innerText;
			//data.p10 = document.getElementById('bz').value;
			if(data.p10.length > 50 ){
				mui.toast('备注不能超过50个字符');
				data.isok = false;
			}
			//提醒时间
			data.p11 = document.getElementById('txsj').value;
			//合同状态
			var flag = false;
			var zxzt = document.getElementsByName("zxzt");
		 	for(var i=0;i<zxzt.length;i++){
		 		if(zxzt[i].checked == true){
		 			data.p12 = zxzt[i].value;
		   			flag = true;
		  		}
		 	}
		 	if(V.utils.valid.isEmpty(data.p12)){
		 		data.p12 = '01';
		 	}
		 	if (!flag) {
				mui.toast('请选择执行状态');
				data.isok = false;
			}
		 	if(self.htid){
		 		data.p13 = self.htid
		 	}
			return data;
		},
		/**
		 * 数据编辑完，提交前检验是否有未收/付的款项
		 */
		_validataSfk: function(data){
			var self = this;
			if(self.htid && data.p12 != '01'){
				var sfmon = document.getElementById('sfmon').innerText;
				var hte = document.getElementById('hte').value;
				var sflx = document.getElementById('sflx').innerText;
				if(Number(sfmon) > 0){
					if(Number(hte) > Number(sfmon)){
						if(sflx == '已收'){
							mui.confirm('你还有未收的款项，是否确认？', '', ['确认', '取消'], function(e) {
								if(e.index==0){
									self._createUpload(data);
								}
							});
						} else if(sflx == '已付'){
							mui.confirm('你还有未付的款项，是否确认？', '', ['确认', '取消'], function(e) {
								if(e.index==0){
									self._createUpload(data);
								}
							});
						}else{
							self._createUpload(data);
						}
					}else{
						self._createUpload(data);
					}
				}else{
					self._createUpload(data);
				}
				
			}else{
				self._createUpload(data);
			}
		},
		/**
		 * 合同入库
		 */
		_editHtData: function(){
			var self = this;
			var data = self._validateData();
			if(data.isok == false){
				return false;
			};
			self._validataSfk(data);
		},
		/*
		 * 拍照上传图片
		 */
		_getImage: function() {
			var self = this;
			var imgs = [];
			var cmr = plus.camera.getCamera();
			cmr.captureImage(function(p) {
				plus.io.resolveLocalFileSystemURL(p, function(entry) {
					var path = entry.toLocalURL();
					/*self.arrimg.push(path);
					self.insertArrimg.push(path);
					self._reViewImg();*/
					plus.nativeUI.showWaiting();
					compressImage(path, function(newpath) {
						console.log(newpath);
						self.arrimg.push(newpath);
						self.insertArrimg.push(newpath);
						self._reViewImg();
						plus.nativeUI.closeWaiting();
					});


				}, function(e) {
					mui.toast("读取拍照文件错误：" + e.message);
				});
			}, function(e) {
				mui.toast("失败：" + e.message);
			}, {
				filename: "_doc/camera/",
				index: 1
			});
		},
		/**
		 *多图片相册上传 
		*/
	 	_getImagesView: function() {
	 		var self = this;
			// 从相册中选择图片
			var imgs = [];
			plus.gallery.pick(function(entry) {
//				for (var i in entry.files) {
//					self.arrimg.push(entry.files[i]);
//					self.insertArrimg.push(entry.files[i]);
//				}
				plus.nativeUI.showWaiting();
				compressImage(entry.files, function(newpaths) {
					for (var i in newpaths) {
						self.arrimg.push(newpaths[i]);
						self.insertArrimg.push(newpaths[i]);
						
					} 
					self._reViewImg();
					plus.nativeUI.closeWaiting();
				});
				//self._reViewImg();
			}, function(e) {
				//outSet( "取消选择图片" );
			}, {
				filename: "_doc/camera/",
				index: 1,
				filter: "image",
				multiple: true
			});
		},
		/**
		 * 打开文件选择界面
		 */
		 _getFileView: function() {
		 	var self = this;
			if (mui.os.ios) {
				mui.toast("暂不支持iPhone上传文件!");
				return;
			}
			var id = plus.webview.currentWebview().id; //获取首页面id
			plus.storage.setItem("filebrower_parentwebviewId", id); //缓存首页面id
			mui.openWindow({
				url: '../common/file-brower.html',
				id: 'page-file-brower'
			});
		},
		/**
		 * 创建上传任务
		 * @param {Object} file
		 * @param {Object} wj
		 */
		_createUpload: function(data) {
		  	var self = this;
			if (!checkNetStatus()) {
				return;
			}
			plus.nativeUI.showWaiting();
			var task = plus.uploader.createUpload(V.urls.baseNewServer, {}, function(t, status) {
				// 上传完成
				if (status == 200) {
					plus.nativeUI.closeWaiting();
					//mui.toast("保存成功");
					var data = JSON.parse(t.responseText);
					if(data.r == 1){
						var webview = plus.webview.getWebviewById(self.backWebviewId);
						mui.fire(webview, 'eventBackEditHtgl');
						mui.back();
					}else{
						mui.toast(data.val);
					}
					self._delImagesLocal();
				} else {
					self._delImagesLocal();
					plus.nativeUI.closeWaiting();
					mui.toast("保存失败: " + status); 
				}
			});
			var imgs = self.insertArrimg;
			var files = self.insertArrfile;
			var htid = document.getElementById('htid').value;
			if(V.utils.valid.isEmpty(self.htid)){
				task.addData("a", 'HT.INSERT_HT');
			}else{
				task.addData("a", 'HT.UPDATE_HT');
			}
			
			if (imgs) {
				for (var i = 0; i < imgs.length; i++) {
					var file = imgs[i];
					task.addFile(file, {
						key: file
					});
				}
			}
			if (files) {
				for (var i = 0; i < files.length; i++) {
					var file = files[i];
					task.addFile(file, {
						key: 'file'+file,
					});
				}
			}
			console.log(JSON.stringify(data));
			if (data) {
				for (var key in data) {
					if(!data[key]){
						task.addData(key, "|@|");
					}else{
						task.addData(key, data[key]);
					}
					
				}
			}
			task.start();
		},
		/**
		 * 打开附件内容
		 * @param {Object} filesrc
		 */
		_openFileUrl: function(filesrc){
			var self = this;
			if (filesrc.startWith('http://')) {
				plus.runtime.openURL(filesrc, {}, function(e) {
					plus.nativeUI.mui.toast("无法打开此文件：" + e.emssage);
				});
			} else {
				plus.runtime.openFile(filesrc, {}, function(e) {
					plus.nativeUI.mui.toast("无法打开此文件：" + e.emssage);
				});
			}
		},
		/**
		 * 附件展示
		 */
		_reViewImg: function() {
			var self = this;
			//这里动态添加
			//var gallery = $('#Gallery');
			var group = $('#mui-slider-group');
			var indicator = $('#mui-slider-indicator');
			group.empty();
			indicator.empty();
			var pageSize = 4;
			var len = self.arrimg.length;
			if (len > 0) {
				$('#imgform').show();
			} else {
				$('#imgform').hide();
			}
			var page = len % pageSize == 0 ? len / pageSize : Math.floor(len / pageSize) + 1;
			for (var i = 0; i < page; i++) {
				var html = '';
				//  console.log(i*pageSize);
				var length = (i + 1) * pageSize;
				length = length > len ? len : length;
				for (var j = i * pageSize; j < length; j++) {
					var img = self.arrimg[j];
					if(typeof img=='string'){
						html += '<li class="mui-table-view-cell mui-col-xs-3"><img  src="' + img + '" data-preview-src="" data-preview-group="1" /></li>';
					}else{
						var imgName = img.FJWZ;
						if (imgName) {
							var smallImg = V.urls.baseNewPicServer + imgName.substring(0, imgName.lastIndexOf(".")) + "_s.jpg";
						}
						var imgurl = V.urls.baseNewPicServer + img.FJWZ;
						html += '<li class="mui-table-view-cell mui-col-xs-3"><img fjid="'+img.FJID+'"  src="' + smallImg + '" data-preview-src="'+imgurl+'" data-preview-group="1" /></li>';
					}
					
				}
				//}
				group.append('<div class="mui-slider-item"><ul class="mui-table-view mui-grid-view" id="imgtap">' + html + '</u></div>');
				indicator.append('<div class="mui-indicator"></div>');
			}
			//显示第一图片，添加的图片显示到第0个位置
			if (len > 0) {
				self._autoHeightImg();
				var muigallery = mui('.mui-slider');
				muigallery.slider().gotoItem(0);
				self.previewImage.addImages();
			}
		},
		_autoHeightImg: function() {
			$("[data-preview-group='1']").each(function() {
			$(this).height($(this).width());
			});
		},
		_showZzjgPzxlx: function(dm) {
			var self = this;
			var webview=mui.openWindow({
				url: '../common/zzjg-pzxlx.html',
				id: 'pzxlx',
				extras:{
					p3:'pz',
					p4:dm,
					webid:self.webviewid
				}
			});
		},
		/**
		 * 合同额验证
		 */
		_validateJe: function(evl){
			//报销金额bxje
			var number=evl.value;
			if(!isNaN(number)){
				var n=Math.round(number * 100)  / 100;//保留千万分位
				if(n<99999999&&n>=0){
					if(V.utils.valid.isCheck(n)){//判断一个字符串是否是小数
						var s=n.toFixed(2);//保留小数点后两位数
						var a=V.utils.valid.getFloatStr(s);
						document.getElementById("hte").value = a;
					}else{//字符串是整数
						var b=V.utils.valid.getFloatStr(n);
						document.getElementById("hte").value = b;
					}
				}else{
					mui.toast("输入的金额不符合规则");
					document.getElementById("hte").value = '';
				}
			}
		},
		
		/**
		 * 删除压缩后的图片
		 */
		_delImagesLocal : function(){
			var self = this;
			var imgs = self.insertArrimg;            
			for (var i in imgs) {                
				plus.io.resolveLocalFileSystemURL(imgs[i], function(fs) {                    
					// 可通过fs进行文件操作                    
					fs.remove();                
				}, function(e) {                    
					console.log("Request file system failed: " + e.message);                
				});            
			}
		},
		
		/**
		 * 删除图片
		 * @param {Object} t
		 * @param {Object} data
		 */
		_delFJImg : function(t, value) {
			var self = this;
			plus.nativeUI.confirm("是否删除图片？", function(e) {
				if (e.index == 0) {
					var fjid = t.attr('fjid');
					if(fjid){
						var data = {
							a: 'COMM.DEL_FJ',
							p1: userModel.getYhid(),
							p2: userModel.getZzjgid(),
							p3: self.htid,
							p4: fjid
						}
						mui.ajax(V.urls.baseNewServer + '?_time=' + new Date().getTime(), {
							data: data,
							type: 'get', //HTTP请求类型
							dataType: 'json', //服务器返回json格式数据
							success: function(data) {
								if (data.r == 1) {
									var p = t.parent();
									//t.remove();
									p.remove();
									for (var i = 0; i < self.arrimg.length; i++) {
										var imgName = self.arrimg[i].FJWZ;
										var smallImg = V.urls.baseNewPicServer + imgName.substring(0, imgName.lastIndexOf(".")) + "_s.jpg";
						                if (smallImg == value){
						                	self.arrimg.splice(i,1);
						                };
						            }
									self._reViewImg();
								} else {
				
								}
							},
							error: function(xhr, type, errorThrown) {
								console.log(errorThrown);
							}
						});
					}else{
						t.parent().remove(); 
						myremove(self.arrimg,value);
						myremove(self.insertArrimg,value);
						self._reViewImg();
					}
					
				}
			}, "", ["是", "否"]);
		}
		
	});
})();

