(function() {
	mui.HTGLModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._page =1; 
			self.viewid;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			//选择合同类型
			document.getElementById('showlyrPicker').addEventListener("tap",function(e){
				self._showHtlx();
			});
			document.getElementById('htlx').addEventListener("tap",function(e){
				self._showHtlx();
			});
			
			//清空合同类型和合同名称
			document.getElementById("clear").addEventListener("tap",function(){
				$("#htlx").val('');
				$("#htid").val('');
				$("#htmc").val('');
				self._tabinit();
			});
			
			document.getElementById("htmc").addEventListener("blur",function(){
				self._tabinit();//刷新
			});
			
			
			//多选合同状态
			document.getElementById('htzt').addEventListener("change",function(e){
				self._checkHtzt();
			});
			//判断长按还是点击htlx
			document.getElementById('htgl_list').addEventListener("longtap",function(e){
				self._checkHtgl(1,e);
			});
			document.getElementById('htgl_list').addEventListener("tap",function(e){
				self._checkHtgl(2,e);
			});
			
			
			//点击添加，跳到添加界面
			document.getElementById('add-bx').addEventListener("tap",function(e){
				var webview=mui.openWindow({
					url:'htgl-edit.html',
					id:'htgl-edit'
				});
				webview.addEventListener('loaded',function(){
					mui.fire(webview,'showNewPage',{
						backWebviewId:self.viewid
					});
				});
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self.viewid=plus.webview.currentWebview().id;
			//获取界面传过来的合同类型
			window.addEventListener('eventBackzzjg',function(event){
			  //获得事件参数
				pzid=event.detail.c1;//项目名称
				pzmc=event.detail.c2;//项目名称
				
				if(pzid=='1'){//所有合同
					$("#htlx").val('所有合同');
					$("#htlx_id").val('');
				}else{
					$("#htlx").val(pzmc);
					$("#htlx_id").val(pzid);
				}
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			});
			
			//返回的参数(添加和修改)
			window.addEventListener('eventBackEditHtgl',function(event){
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			});
		},
		/*
		 * 刷新数据
		 */
		_tabinit:function(){
			var self=this;
			self._page = 0;
			mui('#pullrefresh').pullRefresh().refresh(true);
			mui('#pullrefresh').pullRefresh().pullupLoading();
			mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(p3,p4,p5,page) {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:'HT.SELECT_HT_LIST',
					p1:userModel.getYhid(),
					p2:userModel.getZzjgid(),
					p3:p3,
					p4:p4,
					p5:p5,
					p:page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data.list));
					//封装模板数据
					var rsHtml = template('htgl-template', {
						"record": data.list
					});
					var doc = document.getElementById('htgl_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.list.t <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 选择合同类型
		 */
		_showHtlx:function(){
			var self=this;
			var webid = plus.webview.currentWebview().id;
			var webview=mui.openWindow({
				url: '../common/zzjg-pzxlx.html',
				id: 'pzxlx',
				extras: {
					p3:'pz',
					p4:11,
					webid:webid,
					lx:'11'
				}
			});
		},
		_checkHtzt:function(){
			var self=this;
			var zt = '';
			if($("input[type='checkbox']").is(':checked')){//选中的情况
				$('input[type="checkbox"]:checked').each(function(){
					zt = $(this).attr('a') + "," + zt;
				})
			}else{
				zt = '';
			}
			if(zt.length > 0){
				zt = zt.substr(0,zt.length-1);
			}
			console.log(zt);
			if(zt == ''){
				zt='04aa';//为空的时候不能查询数据
			}
			$('#htztS').val(zt);
			self._page = 0;
			mui('#pullrefresh').pullRefresh().refresh(true);
			mui('#pullrefresh').pullRefresh().pullupLoading();
			mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
		},
		_checkHtgl:function(sz,e){
			var self=this;
			var target = e.target;
			var clsname = target.className;
			if (clsname.indexOf('lis') >= 0) {
				target = target.parentNode.parentNode.parentNode;
			}
			else if (clsname.indexOf('mui-table-cell') >= 0) {
				target = target.parentNode.parentNode;
			}else {
				target = target.parentNode;
			}
			var htid = target.getAttribute('htid');
			var sflxz = target.getAttribute('sflxz');
			var htzt = target.getAttribute('htzt');
			var t = target;
			if(sz==1){//长按删除
				if(htid!=null&&sflxz!=null&&htzt!=null){
					if(sflxz=='0'&&htzt=='01'){//说明没有已收和已付多少笔
						plus.nativeUI.confirm("确定要删除该条信息吗?", function(e) {
						if (e.index == 0) {
							if (!checkNetStatus()) {
								return;
							}
							plus.nativeUI.showWaiting();
							mui.ajax(V.urls.baseNewServer, {
								data: {
									a:'HT.DELETE_HT',
									p1:userModel.getYhid(),
									p2:userModel.getZzjgid(),
									p3:htid
								},
								dataType:'json',
								type: 'get', //HTTP请求类型
								success: function(data) {
									plus.nativeUI.closeWaiting();
									if(data.r==1) {
										t.parentNode.removeChild(t);
									}
								},
								error: function(xhr, type, errorThrown) {
									plus.nativeUI.closeWaiting();
									mui.toast('网络异常');
								}
							});
						}
						},"",["确定", "取消"]);
					}else{//说明有已收和已付多少钱,不能删除
						if(htzt=='01'){
							mui.toast("该合同已存在款项数据，不能删除");
						}else if(htzt=='02'){
							mui.toast("该合同为终止状态，不能删除");
						}else if(htzt=='03'){
							mui.toast("该合同为结束状态，不能删除");
						}
					}
				}
			}else{//点击查看详情
				if(htid){
					var webview=mui.openWindow({
						url: 'htgl-edit.html',
						id: 'htgl-edit'
					});
					webview.addEventListener('loaded',function(){
						mui.fire(webview,'showUpdatePage',{
							htid:htid,
							backWebviewId:self.viewid
						});
					});
				}
			}
		}
	});
})();

