(function() {
	mui.SFKModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
							longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._sflx;//收付款类型
			self._htsjlx;//合同时间类型
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;

			//系统默认年份
			var nowDate = new Date();
			var nowYear = nowDate.getFullYear();
//			console.log(nowYear);
			self._year = nowYear;
			dqsj = nowYear;
			document.getElementById('xtsj').innerText = dqsj + '年' ;
			
			self._sflx = '01' ;
			self._htsjlx = '1' ;
//			self._pageData(self._year,self._sflx);

			window.addEventListener('eventBackEditHtgl',function(event){
				$("#sfk_list").empty();
//				console.log(self._year + "    " + self._sflx + "    " + self._htsjlx)
				self._pageData(self._year,self._sflx,self._htsjlx);
			});
			
			window.addEventListener('eventBackSfkEdit',function(event){
				$("#sfk_list").empty();
//				console.log(self._year + "    " + self._sflx + "    " + self._htsjlx)
				self._pageData(self._year,self._sflx,self._htsjlx);
			})
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			self._changes();//合同、时间切换
			self._changes1();//收款、付款切换
			document.getElementById('add-sfk').addEventListener('tap', function(e) {
				var web=mui.openWindow({
						url: '../htgl/htgl-add-sfk.html',
						id: 'htgl-add-sfk'
					});
					var backWebviewId = plus.webview.currentWebview().id;
					console.log(backWebviewId);
					web.addEventListener('loaded',function(){
						mui.fire(web,'pageShow',{
							backWebviewId:backWebviewId
						})
					});
			});
	
			document.querySelector('#sfk_list').addEventListener('longtap', function(e) {
				self._dele(e);
			},true);
			document.querySelector('#sfk_list').addEventListener('tap', function(e) {
				self._djdetails(e);
			});
			/*
			 * 左右箭头切换
			 */
			document.getElementById('year-up').addEventListener('tap', function(e) {
				self._clickyear(1);
			});
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self._clickyear(2);
			});			 
			
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(_year,_sflx,_htsjlx) {
			var self = this;
//			console.log(userModel.getYhid() + " " + userModel.getZzjgid() + " " + _year + " " + _sflx + "    " + _htsjlx);
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:  'HT.SELECT_HT_SF_LIST',
					p1: userModel.getYhid(),
					p2: userModel.getZzjgid(),
					p3: _year,
					p4: _sflx,
					p5: _htsjlx
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) { 
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data.list));
					//封装模板数据
					var rsHtml = template('sfk-template', {
						"record": data.list
					});
					var doc = document.getElementById('sfk_list');
					doc.innerHTML = rsHtml;
//					console.log(rsHtml);
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 收款、付款
		 */
		_changes1:function(){
			var self = this;
			//收款、付款切换
			$('.mui-text-right .mui-pagination').on('tap', 'span', function() {
				var target = this.parentNode.getAttribute('t');
				if(target == 3){
					jQuery("#t4").removeClass("mui-active");
					jQuery("#t3").addClass("mui-active");
					self._sflx = '01';
					self._pageData(self._year,self._sflx,self._htsjlx);
					
					self.sfbz = 2;//收付款标志设为2，表示付款查询
					
				}else if(target == 4){
					jQuery("#t3").removeClass("mui-active");
					jQuery("#t4").addClass("mui-active");
					self._sflx = '02';
					self._pageData(self._year,self._sflx,self._htsjlx);
					
					self.sfbz = 1;//收付款标志设为1，表示收款查询
				}
			})
		},
		/*
		 * 合同、时间
		 */
		_changes:function(){
			var self = this;
//			console.log(self._sflx );
			//合同、时间切换
			$('.mui-text-left .mui-pagination').on('tap', 'span', function() {
				var target = this.parentNode.getAttribute('t');
				if(target == 2){
					jQuery("#t1").removeClass("mui-active");
					jQuery("#t2").addClass("mui-active");

					self._htsjlx = '2';
					self._pageData(self._year,self._sflx,self._htsjlx);
				}else if(target == 1){
					jQuery("#t2").removeClass("mui-active");
					jQuery("#t1").addClass("mui-active");
					
					self._htsjlx = '1';
					self._pageData(self._year,self._sflx,self._htsjlx);
				}
			})
		},
		/*
		 * 长按删除
		 */
		_dele: function(e) {
			var self = this;
			if(!checkNetStatus()){
				return ;
			}
//			plus.nativeUI.showWaiting();
			var target = e.target;
			var clsname = target.className;
			console.log(clsname);
			if (clsname.indexOf('lis') >= 0) {
				target = target.parentNode;
			}else {
				target = target.parentNode;
			}
			var htsfid = target.getAttribute("sfid");
			var htzt = target.getAttribute("sfzt");
			console.log(htzt);
			console.log(htsfid);
			var t = target;
			if(htsfid){
				if(htzt == '01'){
					plus.nativeUI.confirm("确定要删除该条信息吗?", function(e) {
						plus.nativeUI.closeWaiting();
						if(e.index==0){
			    		mui.ajax(V.urls.baseNewServer,{
								data:{
									a:'HT.DELETE_HT_SF',
									p1:userModel.getYhid(),
									p2:userModel.getZzjgid(),
									p3:htsfid 
								},
								dataType:'json',//服务器返回json格式数据
								type:'post',//HTTP请求类型
								timeout:10000,//超时时间设置为10秒；
								success:function(data){
									console.log(JSON.stringify(data));
									plus.nativeUI.closeWaiting();
									if(data.r == 1){
										t.parentNode.removeChild(t);
									}
								},
								error:function(xhr,type,errorThrown){
									//异常处理；
									plus.nativeUI.closeWaiting();
									mui.toast('删除失败');
									console.log(type);
								}
							});
			    		}
					},"",["确定", "取消"]);
			}else{
				mui.toast("只有合同为执行状态时可以删除");
				plus.nativeUI.closeWaiting();
			}
		}

		},
		/*
		 * 点击某条数据进入详情页
		 */
		_djdetails:function(e){
			var target = e.target;
			var clsname = target.className;
			console.log(clsname);
			if (clsname.indexOf('lis') >= 0) {
				target = target.parentNode;
			}else {
				target = target.parentNode;
			}
			var htid = target.getAttribute("htid");
			console.log(htid);
			var t = target;
			if(htid){
				var webview=mui.openWindow({
					url: 'htgl-edit.html',
					id: 'htgl-edit'
				});
				var backWebviewId = plus.webview.currentWebview().id;
				console.log(backWebviewId);
				webview.addEventListener('loaded',function(){
					mui.fire(webview,'showUpdatePage',{
						htid:htid,
						backWebviewId : backWebviewId
					});
				});
					
			}
		},
		/*
		 * 箭头切换
		 */
		_clickyear: function(gs) {
			var self=this;
			plus.nativeUI.showWaiting();
			self.upyear=document.getElementById('xtsj').innerText;
			self.upyears=self.upyear.substr(0,4);
			self.years=V.utils.date._clickYear(gs,self.upyears);
			if(self.years){
				document.getElementById('xtsj').innerText = self.years+ '年';
				self._year=self.years;
				self._pageData(self._year,self._sflx,self._htsjlx);
//				self._page = 0;
//				mui('#pullrefresh').pullRefresh().refresh(true);
//				mui('#pullrefresh').pullRefresh().pullupLoading();
//				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			}
		},	
		
	});
})();

