(function() {
	mui.SFTJModel = mui.Class.extend({
		init: function(options) {
//			mui.init({
//				pullRefresh: {
//					container: '#pullrefresh',
//					down: {
//						callback: pulldownRefresh
//					},
//					up: {
//						contentrefresh: '正在加载...',
//						callback: pullupRefresh
//					}
//				}
//			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._pageSize = 12;
			self._sflx; 
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;

			//系统默认年份
			var nowDate = new Date();
			var nowYear = nowDate.getFullYear();
//			console.log(nowYear);
			self._year = nowYear;
			dqsj = nowYear + '年';
			document.getElementById('xtsj').innerText = dqsj ;
			self._sflx ='01';
//			m._pageData(self._year);
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			self._changes();//收款、付款切换
			/*
			 * 左右箭头切换
			 */
			document.getElementById('year-up').addEventListener('tap', function(e) {
				self._clickyear(1);
			});
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self._clickyear(2);
			});	
			/*
			 *单击某一条进入详情页面
			 */
			document.querySelector('#sftj_list').addEventListener('tap', function(event) {
				self._djdetails(self._sflx,event);
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(_year,_sflx) {
			var self = this;
//			console.log(userModel.getYhid() + " " + userModel.getZzjgid() + " " + _year + " " + _sflx);
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:'HT.SELECT_HT_SF_TJ',
					p1: userModel.getYhid(),
					p2: userModel.getZzjgid(),
					p3: _year,
					p4: _sflx
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
//					console.log(JSON.stringify(data.list));
					plus.nativeUI.closeWaiting();
					//封装模板数据
					var rsHtml = template('sftj-template', {
						"record": data.list
					});
					var doc = document.getElementById('sftj_list');
					
					doc.innerHTML = rsHtml;
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 点击某条数据进入详情页
		 */
		_djdetails:function(_sflx){
			var target = $(event.target);
			console.log(_sflx);
			var t = target.parents('li.mui-table-view-cell');
			var ny = t.attr("sfzt");//数据取出来的月份  带年
			var nys = ny.substr(0,2);// 截取去掉月
			var sfzt = t.attr("sfzt");
			self._year = document.getElementById('xtsj').innerText;//年份
			var year = self._year.substr(0,4);//截取去掉年
			var nys = year +"-"+ nys;//年月
			console.log(nys);
			if(sfzt){
				var bbsdfsdf=mui.openWindow({
					url:"htgl-sfk_details.html",
					id:"sfk_detail", 
		    	show:{
			      autoShow:true,//页面loaded事件发生后自动显示，默认为true
			      aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
			      duration:200//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
			    },
				});	
				window.plus.storage.setItem("sfny", nys);
				window.plus.storage.setItem("sfzt", _sflx);
			}
		},
		/*
		 * 收款、付款
		 */
		_changes:function(){
			var self = this;
			//收款、付款切换
			$('.mui-text-left .mui-pagination').on('tap', 'span', function() {
				var target = this.parentNode.getAttribute('t');
				if(target == 2){
					jQuery("#t1").removeClass("mui-active");
					jQuery("#t2").addClass("mui-active");
					self._sflx = '02';
					self._pageData(self._year,self._sflx);
				}else if(target == 1){
					jQuery("#t2").removeClass("mui-active");
					jQuery("#t1").addClass("mui-active");
					self._sflx = '01';
					self._pageData(self._year,self._sflx);
				}
			})
		},
		/*
		 * 箭头切换
		 */
		_clickyear: function(gs) {
			var self=this;
			plus.nativeUI.showWaiting();
			self.upyear=document.getElementById('xtsj').innerText;
			self.upyears=self.upyear.substr(0,4);
			self.years=V.utils.date._clickYear(gs,self.upyears);
			if(self.years){
				document.getElementById('xtsj').innerText = self.years+ '年';
				self._year=self.years;
				self._pageData(self._year,self._sflx);
//				self._page = 0;
//				mui('#pullrefresh').pullRefresh().refresh(true);
//				mui('#pullrefresh').pullRefresh().pullupLoading();
//				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			}
		},	
	});
})();

