//mui初始化配置项
mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});

var model = {
	currentIndex: 1,
	hasPlCount: 0,
	pageSize: 8,
	wkPage: {
		page: 1
	},
	ykPage: {
		page: 1
	},
	wgPage: {
		page: 1
	}
};

model.initListener = function() {
	//页面初始化
	window.addEventListener('pageShow', function(event) {
		model.wkPage.page = 1;
		mui('#mui-scroll1').pullToRefresh().pullDownLoading();
		var slider = mui('.mui-slider');
		slider.slider().gotoItem(0);
	});
	//接收选择文件
	window.addEventListener('eventBackFile', function(event) {
		//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
		var src = event.detail.src;
		var name = event.detail.name;
		//console.log(name);

		var files = [{
			path: src,
			name: name
		}];
		model.createUpload(files, function(t, status) {
			// 上传完成
			if (status == 200) {
				plus.nativeUI.closeWaiting();
				var content = model.currentcontent;
				var badge = content.parent().children('.mui-navigate-right').find('.mui-badge');
				badge.text(parseInt(badge.text(), 10) + 1);
				badge.show();
				var fileul = content.children('.vsd-filelist');
				//console.log(src);
				fileul.append(model.createElFile(name, src));
			} else {
				mui.toast("上传失败: " + status);
			}
		});
	});
}

function delFJImg(t, data) {
	plus.nativeUI.confirm("是否删除图片？", function(e) {
		if (e.index == 0) {
			
		var badge = t.parent().parent().parent().parent().find('.mui-badge');
		
//			var target=t.parent().parent().parent().find('.mui-badge');
			//console.log(badge.text());
			var num=parseInt(badge.text());
			num--;
			mui.ajax(V.urls.baseNewServer + '?_time=' + new Date().getTime(), {
				data: data,
				type: 'get', //HTTP请求类型
				dataType: 'json', //服务器返回json格式数据
				success: function(data) {
					//console.log(JSON.stringify(data));
					if (data.r == 1) {
						var p = t.parent();
						//t.remove();
						p.remove();
						badge.text(num<0?0:num);
					} else {

					}
				},
				error: function(xhr, type, errorThrown) {
					console.log(errorThrown);
				}
			});
		}
	}, "", ["是", "否"]);
}

model.initEvent = function() {
	/*选项卡切换监听显示和隐藏浮动按钮*/
	document.getElementById('slider').addEventListener('slide', function(e) {
		//未开会议
		if (e.detail.slideNumber === 0) {
			$(".float-bottom").show();
			$(".btn-img-right").show();
			//data.chlx = '01';
			//model.wkPage.page = 1;
			//data.page = model.wkPage.page;
			//model.initPage(1, data);
			//model.clearData(2);
			//model.clearData(3);
			var len = $("#mui-scroll1 ul li").length;
			//console.log(len);
			if (len == 0) {
				mui('#mui-scroll1').pullToRefresh().pullDownLoading();
			}

		} else if (e.detail.slideNumber === 1) { //已开会议
			//data.chlx = '02';
			//model.ykPage.page = 1;
			//data.page = model.ykPage.page;
			//model.initPage(2, data);
			//model.clearData(3);
			//model.clearData(1);
			var len = $("#mui-scroll2 ul li").length;
			//console.log(len);
			if (len == 0) {
				mui('#mui-scroll2').pullToRefresh().pullDownLoading();
			}


			$(".float-bottom").show();
			$(".btn-img-right").show();
		} else if (e.detail.slideNumber === 2) {
			//data.chlx = '03';
			//model.wgPage.page = 1;
			//data.page = model.wgPage.page;
			//model.initPage(3, data);
			//model.clearData(1);
			//model.clearData(2);
			var len = $("#mui-scroll3 ul li").length;
			//console.log(len);
			if (len == 0) {
				mui('#mui-scroll3').pullToRefresh().pullDownLoading();
			}

			$(".float-bottom").hide();
			$(".float-bottom").hide();
		}
	});
	//添加会议按钮
	document.getElementById('addhy').addEventListener('tap', function(event) {
		var webview = mui.openWindow({
			url: 'addhy.html',
			id: 'page-addhy'
		});
		webview.addEventListener('loaded', function() {
			mui.fire(webview, 'pageShow');
		});
	});

	document.querySelector('#tab-view-yk').addEventListener('longtap', function(event) {
		var target = $(event.target);
		var fjid = target.attr('fjid');
		//console.log(fjid);
		if (fjid) {
			var ywid = target.attr('ywid');
			//console.log(ywid);
			delFJImg(target, {
				a: 'COMM.DEL_FJ',
				p1: userModel.getYhid(),
				p2: userModel.getZzjgid(),
				p3: ywid,
				p4: fjid
			});



		}
	});


	//长按删除  
	document.querySelector('#tab-view-wk').addEventListener('longtap', function(event) {
		var target = $(event.target);
		var hyid = target.attr("hyids");
		var yhid = target.attr("yhids");

		var plrid = target.attr('plrid');
		var plid = target.attr('plid');
		//var msgpad = model.currentcontent.children('.vsd-msg');
		var badge = target.parent().parent().parent().find('.mui-badge');
		var num = target.parent().children().length;

		var fjid = target.attr('fjid');
		console.log(fjid);
		if (plid) { //删除会议评论
			if (userModel.getYhid() != plrid) {
				mui.toast('非本人写的会议评论不能删除');
				return;
			}

			plus.nativeUI.confirm("确定要删除会议评论吗?", function(e) {
				if (e.index == 0) {
					if (!checkNetStatus()) {
						return;
					}
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer + '/hy/hyAction_deletePlById', {
						data: {
							yhid: plrid,
							plid: plid
						},
						dataType: 'json', //服务器返回json格式数据
						type: 'get', //HTTP请求类型
						//timeout: 10000, //超时时间设置为10秒；
						success: function(data) {
							console.log(JSON.stringify(data));
							plus.nativeUI.closeWaiting();
							if (data.result == 1) {
								target.remove();
								if (num == '1') {
									var bag = badge.text();
									var bagNum = parseInt(bag, 10);
									if (bagNum > 1) {
										badge.text(parseInt(bag, 10) - 1);
									}
									if (bagNum == 1) {
										model.hasPlCount = 0;
										badge.text(0);
										badge.hide();
									}
								}
								/*if (model.hasPlCount > 0) {
									//角标加一					
									var badge = model.currentcontent.parent().children('.mui-navigate-right').find('.mui-badge');
									var bag = badge.text();
									badge.text(parseInt(bag, 10) + 1);
									model.hasPlCount = 1;
									badge.show();
								}
								*/

								updateSyData(); //刷新首页
								//								mui.toast('删除成功');
							} else {
								//								mui.toast('删除失败');
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							//异常处理； 
							mui.toast('网络异常');
						}
					});
				}
			}, "", ["确定", "取消"]);

		} else if (yhid) { //删除会议
			if (userModel.getYhid() != yhid) {
				mui.toast('非本人创建的会议不能删除');
				return;
			}

			plus.nativeUI.confirm("确定要删除会议吗?", function(e) {
				if (e.index == 0) {
					if (!checkNetStatus()) {
						return;
					}
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseServer + '/hy/hyAction_deleteHyByHyid', {
						data: {
							hyid: hyid,
							yhid: userModel.getYhid()
						},
						dataType: 'json', //服务器返回json格式数据
						//type: 'get', //HTTP请求类型
						//timeout: 10000, //超时时间设置为10秒；
						success: function(data) {
							mui.toast('删除条目');
							//console.log(target.parent('li'));
							var t = target.parents('li.mui-table-view-cell');
							//console.log(t);
							t.remove();
							updateSyData(); //刷新首页
							plus.nativeUI.closeWaiting();
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							//异常处理； 
							mui.toast('网络异常');
						}
					});
				}
			}, "", ["确定", "取消"]);
		} else if (fjid) {
			var ywid = target.attr('ywid');
			console.log(ywid);
			delFJImg(target, {
				a: 'COMM.DEL_FJ',
				p1: userModel.getYhid(),
				p2: userModel.getZzjgid(),
				p3: ywid,
				p4: fjid
			});



		} else {
			return;
		}

	});


	//使用事件委托
	document.querySelector('#slider').addEventListener('tap', function(event) {
		//console.log(event.target);
		var target = $(event.target);
		var hyid = target.attr("vst-hyid");
		if (!hyid) {
			return;
		}
		var camera = target.attr("vst-camera");
		var gallery = target.attr("vst-gallery");
		var msg = target.attr("vst-msg");
		var bfilelist = target.attr("vst-file");
		var filesrc = target.attr('file-src');
		model.hyid = hyid;
		var content = target.parent().parent().parent();
		if (camera) { //相机

			//console.log(content);
			var imggrid = content.children('.vsd-img');
			//var msgpad = content.children('.vsd-msg');

			model.getCamera(function(path) {
				var badge = content.parent().children('.mui-navigate-right').find('.mui-badge');
				//console.log(badge.html());
				//图片数量加1
				badge.text(parseInt(badge.text(), 10) + 1);
				badge.show();
				plus.io.resolveLocalFileSystemURL(path, function(entry) {
					//console.log('192:'+entry.fullPath);
					//console.log('193:'+entry.toLocalURL());

					var path = entry.toLocalURL();

					compressImage(path, function(newpath) {
						var files = [{
							path: newpath,
							name: entry.name
						}];


						//	console.log(path);
						//var imgpath = 'file://' + path;
						model.createUpload(files, function(t, status) {
							console.log(t.responseText);
							// 上传完成
							if (status == 200) {
								plus.nativeUI.closeWaiting();
								var rs = JSON.parse(t.responseText);
								if (rs.result == '1') {
									var fjlist = rs.fjlist;

									imggrid.prepend(model.createElImg(fjlist));
									model.autoHeightImg();
									model.addPreViewImg();
								} else {
									mui.toast("上传失败: " + status);
								}

							} else {
								mui.toast("上传失败: " + status);
							}
						});

					});


				}, function(e) {

				});
			});
			return;
		} else if (gallery) { //相册
			var imggrid = content.children('.vsd-img');

			model.getGallery(function(e) {
				var files = [];


				compressImage(e.files, function(newpaths) {
					//console.log(newpaths.length);
					for (var i in newpaths) {
						//console.log(i + newpaths[i]);
						var path = newpaths[i];
						//console.log(path);
						files.push({
							path: path,
							name: path
						});
					}
					var flnegth = files.length;
					model.createUpload(files, function(t, status) {
						// 上传完成
						if (status == 200) {
							console.log(t.responseText);
							plus.nativeUI.closeWaiting();
							var badge = content.parent().children('.mui-navigate-right').find('.mui-badge');
							var bag = badge.text();
							badge.text(parseInt(bag, 10) + flnegth);
							badge.show();
							//							for (var i = 0; i < files.length; i++) {
							//								var path = files[i].path;
							//								imggrid.prepend(model.createElImg(path));
							//							}
							var rs = JSON.parse(t.responseText);
							if (rs.result == '1') {
								var fjlist = rs.fjlist;
								imggrid.prepend(model.createElImg(fjlist));
								model.autoHeightImg();
								model.addPreViewImg();

							}


						} else {
							//mui.toast("上传失败: " + status);
						}
					});
				});

				//
				//
				//				for (var i in e.files) {
				//					// model.arrimg.push(e.files[i]);
				//					var path = e.files[i];
				//					//console.log(path);
				//					files.push({
				//						path: path,
				//						name: path
				//					});
				//				}


			});
			return;
		} else if (msg) { //评论
			model.currentcontent = content;

			//model._msgpad = msgpad;
			//var msg = $('#extarea-add-msg').val();
			//msgpad.append('<h6 class="mui-ellipsis-2">' + msg + '</h6>');
			$('#extarea-add-msg').val('');
			return;
		} else if (bfilelist) {
			//var fileul = content.children('.vsd-filelist');
			//model._fileul = fileul;
			model.currentcontent = content;
			//文件上传
			model.addLocFile();

		} else if (filesrc) {
			if (filesrc.startWith('http://')) {
				if (!checkNetStatus()) {
					return;
				}
				plus.runtime.openURL(filesrc, {}, function(e) {
					plus.nativeUI.mui.toast("无法打开此文件：" + e.emssage);
				});
			} else {
				//console.log(filesrc);
				plus.runtime.openFile(filesrc, {}, function(e) {
					plus.nativeUI.mui.toast("无法打开此文件：" + e.emssage);
				});
			}
		}
	});

	//会议评论
	document.querySelector("#btn-add-msg").addEventListener('tap', function(event) {
		var msg = $('#extarea-add-msg').val();
		//console.log(msg);
		if (msg.trim() == '') {
			mui.toast('评论不能为空');
			return;
		}
		if (msg.length > 50) {
			mui.toast('评论不能超过50');
			return;
		}
		if (!checkNetStatus()) {
			return;
		}
		mui.ajax(V.urls.baseServer + '/hy/hyAction_insertHyPl', {
			data: {
				hyid: model.hyid,
				yhid: userModel.getYhid(),
				msg: msg
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			//timeout: 10000, //超时时间设置为10秒；
			success: function(rs) {
				console.log(JSON.stringify(rs));
				if (rs.plid) {
					//服务器返回响应，根据响应结果，分析是否登录成功；
					mui('.mui-popover').popover('toggle');
					var msgpad = model.currentcontent.children('.vsd-msg');

					var plmsg = rs.plrq + userModel.getYhName() + ":" + msg;
					msgpad.append(model.createElMsg(rs.plid, plmsg, userModel.getYhid()));
					var msgpadchild = msgpad.children().length;

					/*if (model.hasPlCount == 0) {
						//角标加一					
						var badge = model.currentcontent.parent().children('.mui-navigate-right').find('.mui-badge');
						var bag = badge.text();
						badge.text(parseInt(bag, 10) + 1);
						model.hasPlCount = 1; 
						badge.show();
					}*/

					if (msgpadchild == 1) {
						//角标加一					
						var badge = model.currentcontent.parent().children('.mui-navigate-right').find('.mui-badge');
						var bag = badge.text();
						badge.text(parseInt(bag, 10) + 1);
						model.hasPlCount = 1;
						badge.show();
					}
				} else {
					mui.toast(rs.msg);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				//console.log(type);
				//mui.toast('网络异常');
			}
		});
	});

	window.addEventListener('expand', function(event) {
		if (!checkNetStatus()) {
			return;
		}
		var target = $(event.target);
		// console.log(target.html());
		var content = target.children('.mui-collapse-content');
		var imggrid = content.children('.vsd-img');
		//console.log(imggrid.html());
		var msgpad = content.children('.vsd-msg');
		//console.log(imggrid.html());
		var bfilelist = content.children('.vsd-filelist');
		//清空所有list 的折叠内容 ，性能优化
		$('.vsd-clear').empty();
		var hyid = content.attr('hyid');
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer + '/hy/hyAction_selectHyFj', {
			data: {
				hyid: hyid,
			},
			dataType: 'json', //服务器返回json格式数据
			//type: 'post', //HTTP请求类型
			success: function(rs) {
				plus.nativeUI.closeWaiting();
				//服务器返回响应，根据响应结果，分析是否登录成功；
				//图片
				var bcount = 0;
				var imgList = rs.imgList;
				if (imgList && mui.isArray(imgList)) {


					//					for (var k in imgList) {
					//						var img = imgList[k];
					//						bcount++;
					//						imggrid.append(model.createElImg(V.urls.basePicServer + img.FJWZ));
					//						//console.log(imggrid.html());
					//					}

					if (imgList.length > 0) {
						bcount = imgList.length;

						imggrid.append(model.createElImg(imgList));
						model.autoHeightImg();
						model.addPreViewImg();
					}
				}

				//评论
				//console.log("评论列表" + JSON.stringify(rs.pllist));
				var pllist = rs.pllist;
				if (pllist && mui.isArray(pllist)) {
					//console.log(bcount);
					var _bc = 0;
					for (var k in pllist) {
						var pl = pllist[k];
						_bc++;
						msgpad.append(model.createElMsg(pl.PLID, pl.PLNR, pl.PLRID));
					}
					if (_bc > 0) {
						bcount++;
						model.hasPlCount = 1;
					}
				} else {
					model.hasPlCount = 0;
				}
				//附件
				var fjList = rs.fjList;
				if (fjList && mui.isArray(fjList)) {
					for (var k in fjList) {
						var fj = fjList[k];
						bcount++;
						bfilelist.append(model.createElFile(fj.FJMC, V.urls.basePicServer + fj.FJWZ));
					}
				}

				var badge = target.children('.mui-navigate-right').find('.mui-badge');
				//console.log(target.html());
				//console.log(badge.html());
				badge.text(bcount);
				if (bcount > 0) {
					badge.show();
				} else {
					badge.hide();
				}
				//console.log(content.html());
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				//mui.toast('网络异常');
			}
		});
	});
	//循环初始化所有下拉刷新，上拉加载。
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});

	mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					//console.log("down:"+index);
					var self = this;
					if (!checkNetStatus()) {
						self.endPullDownToRefresh();
						return;
					}
					var _page = 1;
					var chlx = '03';
					if (index === 0) {
						chlx = '01';
						_page = model.wkPage.page;
					} else if (index === 1) {
						chlx = '02';
						_page = model.ykPage.page;
					} else {
						_page = model.wgPage.page;
					}
					setTimeout(function() {
						_page--
						if (_page < 1) {
							_page = 1;
						}
						var data = {
							yhid: userModel.getYhid(),
							zzjgid: userModel.getZzjgid(),
							limit: model.pageSize,
							chlx: chlx,
							page: _page
						};
						model.queryPage(index, data, self, false);

					}, 1000);
				}
			},
			up: {
				auto: false,
				callback: function() {
					//console.log('up:'+index);
					var self = this;
					if (!checkNetStatus()) {
						self.endPullUpToRefresh();
						return;
					}

					var chlx = '03';
					var _page = 1;
					if (index === 0) {
						chlx = '01';
						_page = model.wkPage.page;
					} else if (index === 1) {
						chlx = '02';
						_page = model.ykPage.page;
					} else {
						_page = model.wgPage.page;
					}
					setTimeout(function() {
						_page++;
						var data = {
							yhid: userModel.getYhid(),
							zzjgid: userModel.getZzjgid(),
							limit: model.pageSize,
							chlx: chlx,
							page: _page
						};
						model.queryPage(index, data, self, true);
					}, 1000);
				}
			}
		});
	});
};
model.addLocFile = function() {
	//console.log(plus.webview.currentWebview().id);
	plus.storage.setItem("filebrower_parentwebviewId", "page-hy");
	mui.openWindow({
		url: '../common/file-brower.html',
		id: 'page-file-brower'
	});
};
model.autoHeightImg = function() {
	$("[data-preview-group='1']").each(function() {
		$(this).height($(this).width());
		//console.log($(this).height());
	});
}
model.createElMsg = function(id, msg, plrid) { //删除会议评论
	return '<h6 class="mui-ellipsis-2" style="font-size:0.82em; color:#626262;" plid="' + id + '" plrid="' + plrid + '">' + msg + '</h6>';
};
model.createElImg = function(imgs) {
	var html = '';
	for (var k in imgs) {
		var img = imgs[k];
		//console.log(JSON.stringify(img));
		var path = img.fjwz ? img.fjwz : img.FJWZ;
		var fjid = img.fjid ? img.fjid : img.FJID;
		var ywid = img.ywid ? img.ywid : img.YWID
		var imgclass = '';
		//if (path.startWith('http://')) {
		var spath = path.substring(0, path.lastIndexOf('.')) + '_s.jpg';
		//}		
		html += '<li class="mui-table-view-cell mui-col-xs-4" style="margin: 0px;padding:0px 3px 0px 3px"><img ywid="' + ywid + '" fjid="' + fjid + '" src="' + V.urls.basePicServer + spath + '" data-preview-src="' + V.urls.basePicServer + path + '" data-preview-group="1"  /></li>';

	}

	// console.log(html);
	return html;
};
model.createElFile = function(name, src) {
	return '<li class="mui-table-view-cell" style="padding-left:10px" vst-hyid="0" file-src="' + src + '">' + name + '</li>';
};

//图片文件上传
model.createUpload = function(files, callback) {
	if (!checkNetStatus()) {
		return;
	}
	plus.nativeUI.showWaiting();
	var task = plus.uploader.createUpload(V.urls.baseServer + '/hy/hyAction_insertHyFJ', {}, callback);
	if (files) {
		for (var i = 0; i < files.length; i++) {
			var file = files[i];
			//console.log(JSON.stringify(file));
			task.addFile(file.path, {
				key: file.name
			});
		}
	}
	task.addData('hyid', model.hyid);
	task.addData('zzjgid', userModel.getZzjgid());
	task.start();

};
//初始化页面
model.queryPage = function(index, data, self, isup) {
	//console.log(JSON.stringify(data));
	model.currentIndex = index;
	mui.ajax(V.urls.baseServer + '/hy/hyAction_selectHy', {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		//type: 'post', //HTTP请求类型
		cache: false,
		//timeout: 10000, //超时时间设置为10秒；
		success: function(rs) {
			//	console.log(JSON.stringify(rs));
			var ul = self.element.querySelector('.mui-table-view');
			var newul = model.createFragment(index, ul, rs);
			$(ul).empty();
			ul.appendChild(newul);
			var _wrapper = $(ul).parent().get(0);
			_wrapper.style.webkitTransform = 'translate3d(0,0px,0)';
			//请求成功后设置页码
			if (isup) {
				var _page = 0;
				if (index === 0) {
					model.wkPage.page++;
					if (rs.maxPage <= model.wkPage.page) {
						model.wkPage.page = rs.maxPage;
						_page = model.wkPage.page;
					} else {
						_page = model.wkPage.page;
					}
				} else if (index === 1) {
					model.ykPage.page++;
					if (rs.maxPage <= model.ykPage.page) {
						model.ykPage.page = rs.maxPage;
						_page = model.ykPage.page;
					} else {
						_page = model.ykPage.page;
					}
				} else {
					model.wgPage.page++;
					if (rs.maxPage <= model.wgPage.page) {
						model.wgPage.page = rs.maxPage;
						_page = model.wgPage.page;
					} else {
						_page = model.wgPage.page;
					}
				}
				//最后一页显示没有更多数据
				//console.log(rs.maxPage);
				//console.log(_page);
				if (rs.maxPage <= _page) {
					self.endPullUpToRefresh(true);
				} else {
					self.endPullUpToRefresh();
				}

			} else {
				self.refresh(true);
				self.endPullDownToRefresh();
				if (index === 0) {
					model.wkPage.page--;
				} else if (index === 1) {
					model.ykPage.page--;
				} else {
					model.wgPage.page--;
				}
			}
			if (model.wkPage.page < 1) {
				model.wkPage.page = 1;
			}
			if (model.ykPage.page < 1) {
				model.ykPage.page = 1;
			}
			if (model.wgPage.page < 1) {
				model.wgPage.page = 1;
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			//console.log(errorThrown);
			//mui.toast('网络异常');
		}
	});
};
model.clearData = function(index) {
	$('#mui-scroll' + index).children('.mui-table-view').empty();
};

//添加图片预览
model.addPreViewImg = function(imgsrc) {
	model.previewImage.addImages();
};

// 从相册添加文件
model.getGallery = function(f) {
	plus.gallery.pick(f, function(e) {
		mui.toast('没有选择图片');
	}, {
		filter: "image",
		multiple: true
	});

};
//调用相机
model.getCamera = function(f) {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(f,
		function(error) {
			mui.toast("Capture image failed: " + error.message);
		}
	);
};

//li 内容格式
model.getTplHtml = function(index, row) {
		var html = '';
		var itemhtml = '<a class="mui-navigate-right" href="#" style="height:4.35em;">' +
			'<div class="mui-table">' +
			'<div class="mui-table-cell mui-col-xs-3 ui-list-item">' +
			'<span class="list-item-time" yhids="' + row.YHID + '" hyids="' + row.HYID + '">' + row.SF + '</span>' +
			'<span class=" list-item-date" yhids="' + row.YHID + '" hyids="' + row.HYID + '">' + row.YR + '</span>' +
			'</div>' +
			'<div class="mui-table-cell mui-col-xs-7">';
		if (mui.os.ios) {
			itemhtml += '<span class="list-item-title2" yhids="' + row.YHID + '" hyids="' + row.HYID + '" style="overflow:hidden; text-overflow:ellipsis; white-space:nowrap;width:100%;">' + row.HYZT + '</span>' +
				'<span class="list-item-room2" style="overflow:hidden" yhids="' + row.YHID + '" hyids="' + row.HYID + '">' + row.HYDD + '  ' + row.NAME + '</span>';
		} else {
			itemhtml += '<span class="list-item-title" yhids="' + row.YHID + '" hyids="' + row.HYID + '"style="overflow:hidden; text-overflow:ellipsis; white-space:nowrap;width:100%;">' + row.HYZT + '</span>' +
				'<span class="list-item-room" style="overflow:hidden" yhids="' + row.YHID + '" hyids="' + row.HYID + '">' + row.HYDD + '  ' + row.NAME + '</span>';
		}
		itemhtml += '</div>' +
			'<div class="mui-table-cell mui-col-xs-2 mui-text-right">' +
			'<span class="mui-icon wjj">' +
			//'<img src="../../img/wjj.png"/>' +
			//'<span class="mui-badge" style="width:18px;height:18px;">' + row.FJS + '</span>'+
			'<img src="../../img/wjj.png"/>';
		var fjsl = '';
		if (row.FJS != 0) {
			fjsl = '<span class="mui-badge" style="width:18px;height:18px; text-align:centerl;line-height:18px;">' + row.FJS + '</span>';
		} else {
			fjsl = '<span class="mui-badge" style="width:18px;height:18px;display:none;">0</span>';
		}

		fjsl += '</span>' +
			//'</span>' +
			'</div>' +
			'</div>' +
			'</a>';
		var collapsehtml = '<div class="mui-collapse-content" hyid="' + row.HYID + '" yhid="' + row.YHID + '">' +
			'<ul class="mui-table-view mui-grid-view vsd-img vsd-clear" style="margin: 0px;padding: 0px;"></ul>' +
			'<ul class="mui-table-view vsd-filelist vsd-clear" style="margin: 0px;padding: 0px;"></ul>' +
			'<div class="mui-content-padded vsd-msg vsd-clear"></div>'; //评论
		if (index != 3) {
			collapsehtml = collapsehtml + '<div class="mui-table">' +
				'<div class="mui-table-cell vst-btn-bar" >' +
				'<a class="mui-icon mui-icon-camera" vst-camera="1" vst-hyid="' + row.HYID + '"></a>' +
				'<a class="mui-icon mui-icon-plusempty" vst-gallery="1" vst-hyid="' + row.HYID + '"></a>' +
				(mui.os.ios ? '' : ('<a class="mui-icon mui-icon-home" vst-file="1" vst-hyid="' + row.HYID + '"></a>')) +
				'<a href="#middlePopover" class="mui-icon mui-icon-chatbubble" vst-hyid="' + row.HYID + '" vst-msg="1"></a>' +
				'</div>' +
				'</div>';
		}
		collapsehtml = fjsl + collapsehtml + '</div>';
		//console.log(itemhtml + collapsehtml);
		return itemhtml + collapsehtml;
	}
	//模拟数据
model.createFragment = function(index, ul, json) {
	//console.log(index);
	//var length = ul.querySelectorAll('li').length;
	var fragment = document.createDocumentFragment();

	var hys = json.hys;
	// console.log(hys.length);
	for (var i = 0; i < hys.length; i++) {
		var hy = hys[i];
		//console.log(hy);
		var li = document.createElement('li');
		li.className = 'mui-table-view-cell mui-collapse';
		li.innerHTML = model.getTplHtml(index, hy);
		fragment.appendChild(li);
	}
	return fragment;
};

model.initListener();

function pageInit(u) {
	//初始化页面数据，默认初始化第一个page,在页面切换后开始初始化其它page
	model.initEvent();
	model.previewImage = mui.previewImage();
	mui('#mui-scroll1').pullToRefresh().pullDownLoading();
}