(function() {
	mui.QQHModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			//委托定义附件open事件
			mui('#qqh-list').on('tap', 'li', function(e) {
				self._sendMessage(e);
			});
			/**
		 	 * 文本框获取/失去焦点事件，替代软键盘显示隐藏事件，当软键盘消失时显示垃圾桶图片
		 	*/
			document.getElementById('msgTalk').addEventListener('blur', function(event) {
				//document.getElementById('float-bottom').style.display="block";
				setTimeout("document.getElementById('float-bottom').style.display='block'", 600);
			});
			/**
		 	 * 文本框获取/失去焦点事件，替代软键盘显示隐藏事件，当软键盘弹出时隐藏垃圾桶图片
		 	*/
			document.getElementById('msgTalk').addEventListener('focus', function(event) {
				document.getElementById('float-bottom').style.display="none";
			});
			/**
			 * 发送消息事件
			 */
			document.getElementById('msgSend').addEventListener('tap', function(event) {
				self._sendMsg();
			});
			/**
			 * 发送消息事件
			 */
			document.getElementById('delete').addEventListener('tap', function(event) {
				mui.confirm('确认清空消息记录？', '', ['确认', '取消'], function(e) {
					if(e.index==0){
						self._delMessage();
					}
				});
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self.mask = mui.createMask(function(){
				self._hideMesWidow();
			});
			self._pageData();
			if (mui.os.ios) {
				new objBlur("msgTalk");
			};
		},
		/**
		 * 后台数据交互
		 * @param {Object} page 页码
		 */
		_pageData: function() {
			var self = this;
			mui.ajax(V.urls.baseServer + '/sy/syAction_selectQqh', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					//封装模板数据
					var getTimestamp=new Date().getTime();
					var url=V.urls.basePicServer;
					var rsHtml = template('qqh-template', {
						"record": data,
						"url":url,
						"ts":getTimestamp
					});
					var doc = document.getElementById('qqh-list');
					var html = doc.innerHTML;
					doc.innerHTML = html + rsHtml;
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		},
		
		innerHtml: function(json){
			var html = '<li class="mui-table-view-cell mui-table" style="padding-left: 0px;" yhid="'+json.QQHID+'" name="'+json.XM+'">'+
					'<div class="mui-pull-left mui-col-xs-3 vst-text-font14 mui-text-center">'+
						'<figure style="margin: 0px;">'+
							'<img class="mui-media-object home-nav-img" src="<%=src%>?i=<%=i%>"/>'+
							'<figcaption class="mui-ellipsis"><%=(item.XM)%></figcaption>'+ 
						'</figure>'+
					'</div>'+
					'<p class="mui-pull-left mui-col-xs-9 vst-text-font14-gray"><%=(item.NR)%></p>'+
				'</li>';
			return html;
		},
		
		/**
		 * 回复消息
		 */
		_sendMessage: function(opt){
			var self = this;
			var target = opt.target;
			if(target.parentNode.parentNode.className.indexOf('vst-text-font14')>0){
				target = target.parentNode.parentNode.parentNode;
			}
			if(target.className.indexOf('vst-text-font14-gray')>0){
				target = target.parentNode;
			}
			var yhid = target.getAttribute('yhid');
			var name = target.getAttribute('name');
			//document.getElementById('mask-talk').style.display="block";
			self.mask.show();
			document.getElementById('input-talk').style.display="block";
			document.getElementById('msgTalk').placeholder = '@' + name;
			document.getElementById('messageYhid').value = yhid;
			document.getElementById('msgTalk').focus();
		},
		/**
		 * 点击遮罩层，让消息窗口隐藏
		 * @param {Object} opt
		 */
		_hideMesWidow: function(opt){ 
			var self = this;
			document.getElementById('input-talk').style.display="none";
			document.getElementById('msgTalk').placeholder = '@写下你想说的话吧';
			document.getElementById('messageYhid').value = '';
			document.getElementById('msgTalk').value = '';
		},
		/**
		 * 发送消息
		 */
		_sendMsg: function() {
			var self = this;
			if (!checkNetStatus()) {
				return;
			}
			var id = document.getElementById('messageYhid').value;
			var message = document.getElementById('msgTalk').value;
			//var message = inputValue;
			if (V.utils.valid.trim(id) == '') {
				mui.toast('请选择发送人');
				return false;
			}
			if (V.utils.valid.trim(message) == '') {
				mui.toast('请填写发送内容');
				return false;
			}
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer + '/sy/syAction_insertQqh', {
				data: {
					yhid: userModel.getYhid(),
					zzjgid: userModel.getZzjgid(),
					toid: id,
					nr: message
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				//timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					self._hideMesWidow();
					mui.toast(data.msg);
					plus.nativeUI.closeWaiting();
					self.mask.close(); //关闭遮罩
					
				},
				error: function(xhr, type, errorThrown) {
					self.mask.close(); //关闭遮罩
					mui.toast('发送消息异常');
				}
			});
		},
		/**
		 * 清空聊天记录
		 */
		_delMessage: function(){
			var self = this;
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer + '/sy/syAction_deleteQqhBatch', {
				data: {
					yhid: userModel.getYhid(),
					zzjgid: userModel.getZzjgid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				//timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					document.getElementById('qqh-list').innerHTML='';
					plus.nativeUI.closeWaiting();
					var parentwebviewId=plus.storage.getItem('filebrower_parentwebviewId');
					var webview = plus.webview.getWebviewById(plus.runtime.appid);
					mui.fire(webview, 'eventResetdelQQh');
					mui.back();
					},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		}
	});
})();

