/*
 * 初始化数据
 */
var phones;
mui.plusReady(function() {
	//从上一个界面取来的库里的所有手机号
	phones=plus.storage.getItem("phonelist");
	//查询数据
	find();
})

/*
 * 从通讯录里调取数据
 */
function find(){
	plus.contacts.getAddressBook(plus.contacts.ADDRESSBOOK_PHONE, function (addressbook) {
		addressbook.find(["displayName","phoneNumbers"],function(contacts){
			console.log("通讯录的数据："+JSON.stringify(contacts));
			//封装模板数据 
			var html=contactlist(contacts);
			document.getElementById("tab-view-wk").innerHTML=html;
			
		}, function () {
			
			plus.nativeUI.closeWaiting();
			mui.toast("打开“通讯录”来允许“微办”确定你的联系人，请到设置->隐私->通讯录开启。");
		},{multiple:true});
		
	},function(e){
		plus.nativeUI.closeWaiting();
		mui.toast("打开“通讯录”来允许“微办”确定你的联系人，请到设置->隐私->通讯录开启。");
	});
}

/*
 * 与界面交互，并显示 
 */
function contactlist(contacts){
	var innerhtml='';
	for(var i=0;i<contacts.length;i++){
		var row=contacts[i];
		innerhtml+='<li class="mui-table-view-cell mui-media" style="padding: 8px 5px;">'+
						'<input type="hidden" id="'+row.id+'"/>'+
						'<div class="mui-input-row mui-checkbox mui-left">'+
							'<div class="mui-media-body" style="margin-left: 20%;">'+
							'<span>'+row.displayName+'</span>';
							for(var j=0;j<row.phoneNumbers.length;j++){
								innerhtml+='<p class="mui-ellipsis">'+row.phoneNumbers[j].value+'</p>';
							}
							
							innerhtml+='</div>';
							innerhtml+='<input type="checkbox" value="Item 1" name="'+row.displayName+'" phone="'+row.phoneNumbers[0].value+'"/>';
					innerhtml+='</div></li>';
	}
	return innerhtml;
}

/*
 * 为添加联系人提供数据
 */
function getData() {
	var data = {
		isok: true
	};
	data.a = "DP_BA_GRZX.INSERT_YH_BATCH";
	data.p1 = userModel.getYhid();
	data.p2=userModel.getZzjgid();
	var pzs = "";
	var list = document.getElementById('tab-view-wk');
	var checkboxArray = [].slice.call(list.querySelectorAll('input[type="checkbox"]'));
	checkboxArray.forEach(function(box) {
		var name=box.getAttribute('name');
		var phone='';
		phone=box.getAttribute('phone');
		if(phone.indexOf("-")!=-1){
			var s=phone.split("-");
			for(var i=0;i<s.length;i++){
				phone=phone.replace("-","");
			}
		}
		if(phone.indexOf(" ")!=-1){
			var s=phone.split(" ");
			for(var i=0;i<s.length;i++){
				phone=phone.replace(" ","");
			}
		}
		if (box.checked) {
			console.log("手机号："+phone);
			//判断手机号是否正确
			if(!V.utils.valid.isPhone(phone)){
				mui.toast('手机号有误，请检查手机号是否存储正确再添加');
				data.isok = false;
			}
			
			//判断是否添加过
			var phoness=phones.split(",");
			if(phoness.indexOf(phone)==-1){//不存在，就是没有添加过，
				var namephone=name+"="+phone;
				pzs = pzs + namephone+",";
			}else{
				mui.toast("该手机号已添加过");
				data.isok = false;
			}
			
			plus.storage.removeItem("phonelist");
		}
	});
	
	if(pzs.length > 1){
		pzs = pzs.substring(0,pzs.lastIndexOf(","));
	}
	data.p3 = pzs;
	
	return data;
}

/*
 * 点击勾号，与后台连接
 */
document.getElementById("addcontacts").addEventListener("tap",function(event){
	var data=getData();
	if (data.isok === false) {
		return;
	}
	plus.nativeUI.showWaiting();
	mui.ajax(V.urls.baseNewServer, {
		data:data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if (data.r == 1) {
				//点击勾号时，获取到成员管理界面		
				var webview = plus.webview.getWebviewById('addpeople');
				mui.fire(webview, 'eventBackStaff', {
					
				});
				mui.back();
			}		
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('网络异常');
		}
	});	
});

