(function() {
	mui.CLEARCompany = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			/*
			 * 清除当前组织的某些模块的数据
			 */
			document.getElementById("btn-clear").addEventListener("tap",function(e){
				self.checkData();
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self._showList();
		},
		/*
		 *与后台交互数据来显示列表
		 */
		_showList:function(){
//			console.log("组织机构id："+userModel.getZzjgid());
			var self=this;
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a :'QCSJ.SELECT_QCSJ_LIST',
					p1 :userModel.getYhid(),
					p2 :userModel.getZzjgid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					//服务器返回响应，根据响应结果，分析是否登录成功；
					var list=data.list.rs;
					if(list.length>0){
						var ryDiv = $("#user-list");
						var itemhtml = ''; 
						for (var i = 0; i < list.length; i++) {
							var row=list[i];
							itemhtml+='<li class="mui-table-view-cell mui-media">'+
											'<div class="mui-input-row mui-checkbox mui-left">'+
												'<label class="size-left-top list-item-lastdatetime">'+row.C2+'</label>'+
												'<input name="checkbox" type="checkbox" value="Item 1" lbz="'+row.C1+'" checked="checked" >'+
											'</div></li>';
						}
						ryDiv.append(itemhtml);
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 数据验证，封装
		 */
		getCleardta:function(){
			var self=this;
			var data = {
				isok: true
			};
			//用户id 临时调试 ，带用户登录功能实现后获取用户信息
			data.a='QCSJ.DELETE_SJ';
			data.p1 = userModel.getYhid();
			data.p2=userModel.getZzjgid();
			var pzs = "";
			var list = document.getElementById('user-list');
			var checkboxArray = [].slice.call(list.querySelectorAll('input[type="checkbox"]'));
			checkboxArray.forEach(function(box) {
				var lbz=box.getAttribute('lbz');
				if (box.checked) {
					pzs = pzs + lbz+",";
				}
			});
//			if(pzs.length > 1){
//				pzs = pzs.substring(0,pzs.lastIndexOf(","));
//			}
			data.p3 = pzs;
			console.log("选中的数据："+data.p3);
			if(data.p3==''){
				mui.toast("请选择你要清除的数据");
				data.isok = false;
			}
			return data;
		},
		/*
		 *确定选中的清除当前组织数据 
		 */
		checkData:function(){
			var self=this;
			var datas=self.getCleardta();
			if (datas.isok === false) {
				return;
			}
			plus.nativeUI.confirm("确定要删除当前组织的数据吗?", function(e) {
				if (e.index == 0) {
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseNewServer, {
						data: datas,
						dataType: 'json', //服务器返回json格式数据
						type: 'post', //HTTP请求类型
						success: function(data) {
							console.log(JSON.stringify(data));
							plus.nativeUI.closeWaiting();
							//服务器返回响应，根据响应结果，分析是否登录成功；
							if(data.r==1){
								//更新数据
								$("#user-list").empty();
								//清除完数据，直接更新到个人中心
								var webview=plus.webview.getWebviewById('my');
								mui.fire(webview, 'page-qxlist', {
									
								});
								//清除完数据，直接更新到首页
								var parentwebviewId=plus.storage.getItem('sy_parentwebviewId');
								var webview = plus.webview.getWebviewById(parentwebviewId);
								mui.fire(webview, 'eventResetSy', {
									
								});
								mui.back();
								mui.toast("已清除当前组织的数据");
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							mui.toast('网络异常');
						}
					});
				}
			},"",["确定", "取消"]);
		},
		
	});
})();