mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});

function pageInit(usermodel) {
	
	initPage();
	
	//下班打卡时间
	var timepicker = new mui.DtPicker({
		"type": "time",
		customData: {
		"i": [{
			"text": "00",
			"value": "00"
		}, {
			"text": "05",
			"value": "05"
		}, {
			"text": "10",
			"value": "10"
		}, {
			"text": "15",
			"value": "15"
		}, {
			"text": "20",
			"value": "20"
		}, {
			"text": "25",
			"value": "25"
		}, {
			"text": "30",
			"value": "30"
		}, {
			"text": "35",
			"value": "35"
		}, {
			"text": "40",
			"value": "40"
		}, {
			"text": "45",
			"value": "55"
		}, {
			"text": "50",
			"value": "50"
		}, {
			"text": "55",
			"value": "55"
		}]
	 }
	});
	//上下班打卡时间赋值
	var timeZrq =document.getElementById('fristtime');
	var timeZrq2 =document.getElementById('lasttime');
	timeZrq.addEventListener('tap', function(e) { 
		timepicker.show(function(rs) { 
			$("#fristtime").val(rs.text);
			timepicker.setSelectedValue();
//			console.log($("#fristtime").val());
		});
	});
	timeZrq2.addEventListener('tap', function(e) { 
		timepicker.show(function(rs) { 
			$("#lasttime").val(rs.text);
			timepicker.setSelectedValue();
//			console.log($("#lasttime").val());
		});
	});	
	
	//与后台交互，显示列表数据
	function initPage() {
		mui.ajax(V.urls.baseServer+'/zzjg/zzjgAction_selectZzjgPzPage', {
			data: {
				yhid: usermodel.getYhid(),
				zzjgid:usermodel.getZzjgid(),
				pzxlx:'02'
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				var rylist=data.pzs;
				var itemhtml='';
				var ryDiv = $("#user-list");
				for (var i = 0; i < rylist.length; i++) {
					var row=rylist[i];					
					itemhtml+='<div>'+
//					          '<input  type="hidden" value="'+row.PZID+'"  />'+
								'<div class="mui-input-row" style="width: 100%;">'+
									'<label>上班打卡时间</label>'+
									'<input id="fristdate" type="text" pzid="'+row.PZID+'" class=" mui-input-clear mui-input" readonly="readonly" placeholder="请输入上班打卡时间" value="'+row.QD+'">'+
								'</div>'+
								'<div class="mui-input-row" style="width: 100%;">'+
									'<label>下班打卡时间</label>'+
									'<input id="lastdate" type="text" pzid="'+row.PZID+'" class=" mui-input-clear mui-input" readonly="readonly" placeholder="请输入下班打卡时间" value="'+row.ZD+'">'+
								'</div>'+
							 '</div>';
				}
				itemhtml+='<li class="mui-table-view-cell">'+
								'<div class="mui-media-body">'+
								'<p style="padding-right:10px;">'+
										'<span style="float: left;color:#000;font-size:14px;">温馨提示：</span>'+
										'<ol style="float: left;padding-left: 20px;color:#8f8f94;font-size:12px;">'+
									    '<li>设置员工上班时间、下班时间；用于判断员工迟到、早退状态。</li>'+
									    '<li>目前只支持单时段打卡；开发小哥正在努力完善多时段打卡功能，尽情期待~</li>'+
							 		'</ol>'+
									'</p>'+
							'</div></li>';
				ryDiv.append(itemhtml);	
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
			}
		});
	}
	
	//添加考勤时间准备的参数
	function getGrData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = usermodel.getYhid();
		//组织id
		data.zzjgid=usermodel.getZzjgid();
		//为了证明是添加考勤时间
		data.pzxmc='考勤时段';
		data.pzxlx='02';
		//考勤时间段
		var frist=$("#fristtime").val();//上班打卡时间
		var last=$("#lasttime").val();//下班打卡时间
//		console.log(frist+" "+last); 
		data.pzxz=frist+"-"+last;
		if (frist=='') {
			mui.toast('请输入上班打卡时间');
			data.isok = false;
			return data;
		}
		if (last=='') {
			mui.toast('请输入下班打卡时间');
			data.isok = false;
			return data;
		}
		if($.trim(frist)>$.trim(last)){
			mui.toast('上班时间不能大于下班时间');
			data.isok = false;
			return data;
		}
		return data; 
	}
	
	//与后台交互，添加考勤时间
	document.getElementById('btn-addtime').addEventListener("tap",function(event){
		var datas=getGrData();
		if (datas.isok === false) {
			return;
		}
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer+'/zzjg/zzjgAction_insertZzjgPz',{
			data:datas,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(data.result==1){
					$("#fristtime").val("");
					$("#lasttime").val("");
					//刷新列表
					$("#user-list").empty();
					initPage();
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				mui.toast('网络异常');
				plus.nativeUI.closeWaiting();
			}
		});
		
	});


	//长按删除
//	document.querySelector('#user-list').addEventListener('longtap', function(event) {
//		var target = $(event.target);
//		var t = target.parents('li.mui-table-view-cell');
//		var pzid = t.children().children('input').val();
//		if (pzid) {
//			plus.nativeUI.confirm("确定要删除考勤时间吗?", function(e) {
//				if (e.index == 0) {
//					plus.nativeUI.showWaiting();
//					mui.ajax(V.urls.baseServer + '/zzjg/zzjgAction_delPzxxById', {
//						data: {
//							yhid: usermodel.getYhid(),
//							zzjgid: usermodel.getZzjgid(),
//							pzid:pzid
//						  },
//						dataType:'json',
//						type: 'get', //HTTP请求类型
////							timeout: 10000, //超时时间设置为10秒；
//						success: function(datas) {
//							if(datas.result==1) {
//								var t = target.parents('.mui-table-view-cell');
//								t.remove();
//								plus.nativeUI.closeWaiting();
//
////								mui.toast('删除成功');
//							}else{
////								mui.toast("删除失败");
//							}
//						},
//						error: function(xhr, type, errorThrown) {
//							plus.nativeUI.closeWaiting();
//							//异常处理； 
////							mui.toast('网络异常');
//						}
//					});
//				}
//			},"",["确定", "取消"]);
//		}
//	});
}