(function() {
	mui.MYYIJIANModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self.article='';
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			/*
			 * 提交事件
			 */
			document.getElementById("button-yes").addEventListener("tap",function(e){
				self._getData();
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
		},
		/*
		 * 与后台交互接口
		 */
		_getData:function(){
			var self=this;
			self.article=document.getElementById("article").value;
			if (V.utils.valid.trim(self.article)=='') {
				mui.toast('请重新输入吐槽内容');
				document.getElementById("article").value='';
			}
			if(self.article.length>500){
				mui.toast("超出字数限制，规定500个汉字，请规范输入");
				return;
			}
			console.log("意见"+self.article);
			mui.ajax(V.urls.baseServer + '/sy/syAction_insertQqh', {
				data: {
					yhid: userModel.getYhid(),
					zzjgid: userModel.getZzjgid(),
					toid: 1000000001,
					nr: self.article
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					if(data.result==1){
						document.getElementById("article").innerText='';
						mui.toast("您的意见我们已收到，谢谢");
						mui.back();
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		}
	});
})();