(function() {
	mui.TSQBACKPModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();//定义属性
			self.initListener();//监听事件
			mui.plusReady(function() {
				self.initEvent();//初始化值
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self.arrimg='';
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			//修改背景图
			document.getElementById("updatephoto").addEventListener("tap",function(e){
				self._exitPhoto();
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			//查询图片
			self._checkPhoto();	
		},
		/*
		 * 查询背景图片
		 */
		_checkPhoto:function(){
			var self=this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:'TSQ.SELECT_TSQ_BJT',
					p1:userModel.getYhid(),
					p2:userModel.getZzjgid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					if(data.r==1){//查询成功
						if(data.data.D2==1){
							document.getElementById("backp").src=V.urls.baseNewPicServer+data.data.D1+'?_time=' + new Date().getTime();
						}else{
							document.getElementById("backp").src=data.data.D1;
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 修改背景图
		 */
		_exitPhoto:function(){
			var self=this;
			plus.gallery.pick(function(src) {
				plus.nativeUI.showWaiting();
				var task = plus.uploader.createUpload(V.urls.baseNewServer, {}, function(t, status) {
				// 上传完成
				if (status == 200) {
					plus.nativeUI.closeWaiting();
					var res=JSON.parse(t.responseText);
					console.log(JSON.stringify(res));
					//赋值
					if(res.r==1){
						var backp=document.getElementById("backp");
						console.log(self.arrimg);
						backp.src=self.arrimg;
						
					}
					//添加成功后记得删除压缩后的图片
					var imgs = self.arrimg;
		            for (var i in imgs) {
		                plus.io.resolveLocalFileSystemURL(imgs[i], function(fs) {
		                    // 可通过fs进行文件操作 
		                    fs.remove();
		                }, function(e) {
		                    console.log("Request file system failed: " + e.message);
		                });
	           		}
				}
				});
		
				//压缩一张或多张图片,压缩会将图片旋转回正常的角度
				console.log(src);
				compressImage(src, function(newpaths) {
					console.log(newpaths);
					self.arrimg=newpaths; 
					task.addData('a', 'GRZX.UPDATE_GRZX_BJT');
					task.addData('p1',userModel.getYhid());
					task.addData('p2',userModel.getZzjgid());
					task.addFile(newpaths, {key: newpaths});
					task.start();
				});
		
			}, function(e) {
				mui.toast('没有图片');
			}, {
				filter: "image",
				multiple: false
			});
		},
		
	});
})();
