(function() {
	mui.DSPModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			var today=new Date();//取到系统时间
			self._year=today.getFullYear();
			self._pageSize = 12;
			self._page =1; 
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			document.getElementById('dsp_list').addEventListener('longtap', function(e) {
				self._showNext(1,e);
			});
			document.getElementById('dsp_list').addEventListener('tap', function(e) {
				self._showNext(2,e);
			});
			document.getElementById('add-bx').addEventListener("tap",function(e){
				mui.openWindow({
					url:'new.html',
					id:'new'
				})
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			window.addEventListener('bx-pageshow', function(event) {
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer + '/bxsp/bxspAction_selectBxspDsp', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					limit: self._pageSize,
					page: page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					//封装模板数据
					var rsHtml = template('dsp-template', {
						"record": data
					});
					var doc = document.getElementById('dsp_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 自定义方法，eg
		 */
		_showNext: function(sz,e) {
			var self = this;
			var target = e.target;
			var clsname = target.className;
			var t=target.parentNode.parentNode.parentNode;
			if (clsname.indexOf('vst-text') >= 0) { 
				target = target.parentNode.parentNode.parentNode;
			}else if(clsname.indexOf('mui-table-cell') >= 0){
				target = target.parentNode.parentNode;
			}else if(clsname.indexOf('mui-table') >= 0){
				target = target.parentNode;
			}
			var bxspid = target.getAttribute('bxspid');
			var djzt = target.getAttribute('djzt');
			if(sz==1&&bxspid!=null&&djzt!=null){//删除
				if(djzt=='00'){
					plus.nativeUI.confirm("确定要删除报销单吗?", function(e) {
					if (e.index == 0) {
						plus.nativeUI.showWaiting();
						mui.ajax(V.urls.baseServer + '/bxsp/bxspAction_deleteBxsp', {
							data: {
								bxspid: bxspid,
								yhid: userModel.getYhid(),
								zzjgid:userModel.getZzjgid()
							},
							dataType:'json',
							type: 'get', //HTTP请求类型
	//						timeout: 10000, //超时时间设置为10秒；
							success: function(datas) {
								if(datas.result==1) {
									plus.nativeUI.closeWaiting();
									t.parentNode.removeChild(t);
									self._pageData(self._page);
								}
							},
							error: function(xhr, type, errorThrown) {
								plus.nativeUI.closeWaiting();
							}
						});
					}
					},"",["确定", "取消"]);
				}else{
					mui.toast("你的报销单正在审批...");
				}
			}else{//查看详情
				if(bxspid){
					mui.openWindow({
						url:"../common/details.html",
						id:"detail"
					});
					window.plus.storage.setItem("ywid", bxspid);
				}
			}
		},
		
		
	});
})();

