(function() {
	mui.MYTJModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			var today=new Date();//取到系统时间
			self._year=today.getFullYear();
			self._pageSize = 10;
			self._page =1; 
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			document.getElementById('year-up').addEventListener('tap', function(e) {
				self._clickyear(1);
			});
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self._clickyear(2);
			});
			window.addEventListener('expand', function(event) {
				//显示子列表中的事件（用委托方式写）
				self._expandChildList(event);
			});
			
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			document.getElementById('years').innerText = self._year+"年";
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(year,page) {
			var self = this;
			var fragment = document.createDocumentFragment();
			mui.ajax(V.urls.baseServer + '/bxsp/bxspAction_selectMyBxsp', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					limit: self._pageSize,
					page: page,
					year:year
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					//封装模板数据
					document.getElementById("punch").innerHTML='';
					var list=data.bxtj[0];
					//总计金额
					$("#bx-price").html(list.tit.zje+"元");
					//循环取出月份数据
					var ul=document.createElement('ul');
			      	ul.className = 'mui-table-view';
					for(var i=0;i<list.sub.length;i++){
						var lis=list.sub[i];
						ul.innerHTML += self._getHtml(lis);
					}
					//把封装好的ul里面的 li放在fragment(一个便利的盒子)中，
					fragment.appendChild(ul);
					//把盒子再用html中的ul加载里面去
					document.getElementById('punch').appendChild(fragment);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		_getHtml:function(data){
			var self=this;
			var html ='<li class="mui-table-view-cell mui-collapse">'+
					'<a class="mui-navigate-right" href="#">'+
						'<input  type="hidden" value="'+data.YM+'" />'+
						'<div class="mui-table">'+
							'<div class="mui-table-cell mui-col-xs-3 mui-list">'+data.M+'</div>'+
							'<div class="mui-table-cell mui-list" style="width:9%;left:6px;">'+data.SL+'</div>'+
							'<div class="mui-table-cell mui-list mui-ellipsis" style="width:50%;padding-right:2px;text-align: right;">'+data.JE+'</div>'+
							'<div class="mui-table-cell mui-col-xs-4 mui-list">&nbsp;</div>'+
							'<div class="mui-table-cell mui-col-xs-1"></div>'+
						'</div>'+
					'</a>'+
					'<div class="mui-collapse-content">'+
						'<ul class="mui-table-view vsd-clear">'+
						//子列表
						'</ul>'+
					'</div>'+
					'</li>';
			return html;
		},
		/*
		 * 切换时间查询
		 */
		_clickyear: function(gs) {
			var self=this;
			self.upyear=document.getElementById('years').innerText;
			self.upyears=self.upyear.substr(0,4);
			self.years=V.utils.date._clickYear(gs,self.upyears);
			if(self.years){
				document.getElementById('years').innerText = self.years+ '年';
				self._year=self.years;
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			}
		},
		/*
		 * 显示子列表
		 */
		_expandChildList:function(event){
			//点击某一月份，展开显示该月下的所有的第几天
				var self = this;
				var target = $(event.target);
				var content=$('.vsd-clear');
				var ny=target.children().children("input").val();
				//清空所有list 的折叠内容 ，性能优化mui-collapse
				$('.vsd-clear').empty();
				plus.nativeUI.showWaiting();
				mui.ajax(V.urls.baseServer + '/bxsp/bxspAction_selectBxspByYue', {
					data: {
						ym:ny,
						yhid: userModel.getYhid(),
						zzjgid:userModel.getZzjgid()
					},
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					timeout: 10000, //超时时间设置为10秒；
					success: function(rs) {
						plus.nativeUI.closeWaiting();
						//数据
						var list = rs.ybxsp;
						if (list && mui.isArray(list)) {
							for (var k in list) {
								var data = list[k];
								content.append(self._createElMsg(data));
							}
						}
					},
					error: function(xhr, type, errorThrown) {
						//异常处理；
						plus.nativeUI.closeWaiting();
					}
				});
		},
		_createElMsg:function(data){
			var html='<li class="mui-table-view-cell">'+
							'<div class="mui-table" style="color:#626262;">'+
							'<div class="mui-table-cell mui-col-xs-3 mui-list">'+data.D+'</div>'+
							'<div class="mui-table-cell mui-list" style="">2</div>'+
							'<div class="mui-table-cell mui-list" style="width:65%;text-align:right;position:right;padding-right: 10px;">'+data.JE+'</div>'+
							'<div class="mui-table-cell mui-col-xs-5 mui-list mui-ellipsis" style="padding-left:28px;">'+data.BXSY+'</div>'+
						'</div>'+
					'</li>';
			return html;
		},
		
		
	});
})();

