(function() {
	mui.YSPModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			var today=new Date();//取到系统时间
			self._year=today.getFullYear();
			self._pageSize = 12;
			self._page =1; 
		},
		initEvent:function(){
			var self=this;
//			//页面初始化
			window.addEventListener('pageshow_sp', function(event) {
				//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			}); 
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			document.getElementById('ysp_list').addEventListener('tap', function(e) {
				self._showNext(e);
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer + '/bxsp/bxspAction_selectBxspYsp', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					limit: self._pageSize,
					page: page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					//封装模板数据
					var rsHtml = template('ysp-template', {
						"record": data
					});
					var doc = document.getElementById('ysp_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 自定义方法，eg
		 */
		_showNext: function(e) {
			var self = this;
			var target = e.target;
			var clsname = target.className;
			if (clsname.indexOf('vst-text') >= 0) { 
				target = target.parentNode.parentNode.parentNode;
			}else if(clsname.indexOf('mui-table-cell') >= 0){
				target = target.parentNode.parentNode;
			}else if(clsname.indexOf('mui-table') >= 0){
				target = target.parentNode;
			}
			var bxspid = target.getAttribute('bxspid');
			if(bxspid){
				mui.openWindow({
					url:"../common/details.html",
					id:"detail"
				});
				window.plus.storage.setItem("ywid", bxspid);
			}
		}
	});
})();

