//mui初始化配置项
mui.init({
	beforeback: function() {
		document.getElementById('gg-form').reset();
	},
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	},
	swipeBack:true //启用右滑关闭功能
});

function getDX(){
	mui.ajax(V.urls.baseServer + '/hy/hyAction_selectPZXZ', {
		data: {
			zzjgid:userModel.getZzjgid(),
			pzxlx:'09'
		},
		dataType:'json',
		type: 'get', //HTTP请求类型
//		timeout: 10000, //超时时间设置为10秒；
		success: function(datas) {
			if(datas.isTz==1){
				$("#mui-input-row").show();
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
		}
	});
}
var model = {
	/**
	 * 清空表单数据
	 */
	clearForm: function() {
		model.arrimg = [];
		$('#imgform').hide();
		$('#mui-slider-group').empty();
		$('#mui-slider-indicator').empty();
	}
};

function pageInit(usermodel) {
	model.clearForm();
	getDX();
	var type = '0';//默认不发短信
	//圆角列表开关处理
	document.getElementById("M_Toggle").addEventListener('toggle',function (e) {
		var isActive = e.detail.isActive;
		if (isActive) {//显示NO，表示不发
			type=1+"";
		} else {//显示OFF，表示发送
			type=0+"";
		}
	});
	//提交事件
	function getGgData() {
		var data = {
			isok: true
		};
		//用户id 临时调试 ，带用户登录功能实现后获取用户信息
		data.yhid = usermodel.getYhid();
		//组织ID
		data.zzjgid = usermodel.getZzjgid();
		//公告标题
		data.ggbt=$("#title").val();
		//公告时间
		data.yxts=$("#data").val();
		//公告内容
		data.ggnr=$("#content").val();
		data.sftz=type;
		
		if ($.trim(data.ggbt) == '') {
			mui.toast('请填写公告标题');
			data.isok = false;
			return data;
		}
		if ($.trim(data.ggnr) == '') {//没有内容
			if(model.arrimg.length==0){//没有图片
				mui.toast('请选择内容或图片');
				data.isok = false;
				return data;
			}
		}
		return data; 
	}
	
	//点击确定
	//点击添加，把输入的数据添加给后台
	var addgg=document.getElementById('button-yes');
	addgg.addEventListener("tap",function(event){
		var self=this;
		var data = getGgData();
		if (data.isok === false) {
			return;
		}
		self.disabled=true;
		model.createUpload(data, function(t, status) {
			plus.nativeUI.closeWaiting();
			self.disabled=false;
			// 上传完成
			if (status == 200) {
				webview=plus.webview.getWebviewById('listgg.html');
				mui.fire(webview, 'pageshow', {
	
				});
				
				$("#title").val("");
				$("#content").val("");
				model.arrimg=[];
				$('#imgform').hide();
				mui.back();
			} else {
				mui.toast("添加公告失败");
			}
		});
	});

	//上传图片的路径array
	model.arrimg = [];
	model.createUpload = function(data, callback) {//建立后台的连接
		plus.nativeUI.showWaiting();
		var task = plus.uploader.createUpload(V.urls.baseServer+'/gg/ggAction_insertGg', {
			method: "POST",
			blocksize: 204800,
			priority: 100
		}, callback);
		var files = model.arrimg;
		if (files) {
			for (var i = 0; i < files.length; i++) {
				var file = files[i];
				
				if(V.utils.valid.isSfImg(file)){
					task.addFile(file, {
						key: file
					});
				}else{
					mui.toast("上传的图片包含不符合规范格式图片!");
					plus.nativeUI.closeWaiting();
					return;
				}
			}
		}
		if (data) {
			for (var key in data) {
				task.addData(key, data[key]);
			}
		}
		task.start();
	}
	
	//左右滑动用到的JS代码
	//从图片中获取文件
	document.getElementById("jian").addEventListener('tap', function() {
		plus.gallery.pick(function(e) {
			for (var i in e.files) {
				model.arrimg.push(e.files[i]);
			}
			model.reViewImg();
		}, function(e) {
			mui.toast('没有图片');
		}, {
			filter: "image",
			multiple: true
		});
	});
	
	model.reViewImg = function() {
		//这里动态添加
		var group = $('#mui-group');
		var indicator = $('#mui-slider-indicator');
		group.empty();
		indicator.empty();
		
		var pageSize = 4;//一页显示多少张照片
		var len = model.arrimg.length; 
		if (len > 0) {
			$('#imgform').show();
		} else {
			$('#imgform').hide();
		}
		var page = len % pageSize == 0 ? len / pageSize : Math.floor(len / pageSize) + 1;
	    console.log(page);
		for (var i = 0; i < page; i++) {
			var html = '';
			var length = (i + 1) * pageSize;
			length = length > len ? len : length;
			for (var j = i * pageSize; j < length; j++) {
				var img = model.arrimg[j];
				html += '<li class="mui-table-view-cell mui-col-xs-3"><img src="' + img + '" data-preview-src="" data-preview-group="1" /></li>';
			}
			group.append('<div class="mui-slider-item"><ul class="mui-table-view mui-grid-view">' + html + '</u></div>');
			indicator.append('<div class="mui-indicator"></div>');
		}
		 console.log(group.html());
		//显示第一图片，添加的图片显示到第0个位置
		if (len > 0) {
			model.autoHeightImg();
			var muigallery = mui('.mui-slider');
			muigallery.slider().gotoItem(0);
			model.previewImage.addImages();
		}
	};
	model.autoHeightImg = function() {
		$("[data-preview-group='1']").each(function() {
			console.log($(this).width());
			$(this).height($(this).width());
		});
	}
	model.previewImage = mui.previewImage();
	
	
	//点击取消的时候，会清除输入框里面的内容
	document.getElementById('button-no').addEventListener('tap',function(event){
		$("#title").val("");
		$("#content").val("");
		model.arrimg=[];
		$('#imgform').hide();
		mui.back();
	});
	
	//点击取消的时候，会清除输入框里面的内容
	document.getElementById('return').addEventListener('tap',function(event){
		$("#title").val("");
		$("#content").val("");
		model.arrimg=[];
		$('#imgform').hide();
		mui.back();
	});
	
	
	//上下滑动时用的js代码
	// 从相册添加文件
//	document.getElementById("jian").addEventListener('tap', function() {
//		plus.gallery.pick(function(e) {
//			for (var i in e.files) {
//				//把图片一一存到model.arrimg中去，然后在与后台交换数据的时候，取出来
//				model.arrimg.push(e.files[i]);
//				//通过for循环来append到ul里面进行显示   <img src="'+e.files[i]+'" class="mui-action-preview img-prew" />
//		    	$("#tianjia").append('<li class="mui-table-view-cell mui-col-xs-3"><img src="'+e.files[i]+'" data-preview-src="" data-preview-group="1"/></li>');
//				//首进来，会隐藏图片区域，一调用本地图片，就会显示图片区域
//			 	$(".btn-img").show();
//
//				model.previewImage.addImages();
//			}
//		}, function(e) {
//			mui.toast('没有图片');
//		}, {
//			filter: "image",
//			multiple: true
//		});
//	});
//	添加图片时，需要调用mui中自带的
//	model.previewImage = mui.previewImage();


};




