mui.init({
	swipeBack: false,
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	},
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});
var model = {
	pageSize: 12,
	listggPage: {
		page: 1,
		isMaxPage : false
	}
};

function pageInit(usermodel) {//页面初始化
	tabInit();//初始化
	
	$("#linear").height($(document).height());
	//添加完公告之后，跳到这个公告列表界面
	window.addEventListener('pageshow', function(event) {
		$("#gg_div").empty();
		queryListGg(1,true);
	});
	
	//	点击公告列表进入详情页面
	var ul=$('#gg-list');
	ul.on('tap', 'li', function(e) {
		showNext(2,e);
	});
	//长按某条公告列表删除公告
	ul.on('longtap', 'li', function(e) {
		showNext(1,e);
	});
	
	//添加公告
	document.getElementById('add_gg').addEventListener('tap',function(){
		var webview = mui.openWindow({
			url: 'add_gg.html',
			id: 'add_gg'
		});	
		webview.addEventListener('loaded', function() {
			mui.fire(webview, 'pageShow');
		});	
	});	
}

	function tabInit() {
		_page = 0;
		mui('#pullrefresh').pullRefresh().refresh(true);
		mui('#pullrefresh').pullRefresh().pullupLoading();
		mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	}
	//下拉加载下一页
	function pulldownRefresh() {
//		mui('#pullrefresh').pullRefresh().refresh(true);
//		var _page = 1;
//		setTimeout(queryListGg(_page,false),1000);
//		model.listggPage.page = _page;
		setTimeout(function() {
			_page = 1;
			queryListGg(_page);
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(true);
		}, 1000);
	}

	//上拉加载最新
	function pullupRefresh() {		
//		var _page = model.listggPage.page + 1;		
//		setTimeout(queryListGg(_page,true),1000);
		setTimeout(function() {
			_page++;
			queryListGg(_page);
//			var linner=document.getElementById('linear');
//			var H=530*_page;
//			linner.style.height=H+'px';
		}, 1000);
	}
	
	//初始查询公告列表
	function queryListGg(_page) {
		plus.nativeUI.showWaiting();
		mui.ajax(V.urls.baseServer + '/gg/ggAction_selectGg', {
			data: {
				zzjgid: userModel.getZzjgid(),
				yhid: userModel.getYhid(),
				limit: model.pageSize,
				page: _page
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			//timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.closeWaiting();
				var rsHtml = template('listgg-template', {
					"record": data
				});
				var doc = document.getElementById('gg-list');
				if (_page == 1) {
					doc.innerHTML = rsHtml;
				} else {
					var html = doc.innerHTML;
					doc.innerHTML = html + rsHtml;
				}
				mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= _page));
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				//console.log(errorThrown);
				mui.toast('网络异常');
			}
		});
	};
	
	function showNext(sz,e){
		var target = e.target;
		var clsname = target.className;
		var t=target.parentNode.parentNode.parentNode.parentNode;
		if (clsname.indexOf('list-item-author') >= 0) {
			target = target.parentNode.parentNode.parentNode.parentNode;
		}
		else if (clsname.indexOf('mui-table-cell') >= 0) {
			target = target.parentNode.parentNode.parentNode;
		}
		 else if (clsname.indexOf('mui-table') >= 0) {
			target = target.parentNode.parentNode;
		}else{
			target = target.parentNode;
		}
		var ggid = target.getAttribute('ggid');
		var ggyhid = target.getAttribute('ggyhid');
		var yhid=userModel.getYhid();
		if(sz==1){
			if(ggid){
				if(ggyhid!=yhid){
					mui.toast("不好意思，这条公告您不能删除");
					return;
				}
				plus.nativeUI.confirm("确定要删除会议吗?", function(e) {
					if (e.index == 0) {
						plus.nativeUI.showWaiting();
						mui.ajax(V.urls.baseServer+ '/gg/ggAction_deleteGg', {
							data: {
								ggid: ggid,
								yhid: yhid
							},
							dataType:'json',
							type: 'get', //HTTP请求类型
		//					timeout: 10000, //超时时间设置为10秒；
							success: function(datas) {
								plus.nativeUI.closeWaiting();
								if(datas.result==1) {
									t.parentNode.removeChild(t);
								}
							},
							error: function(xhr, type, errorThrown) {
								plus.nativeUI.closeWaiting();
								//异常处理； 
		//						mui.toast('网络异常');
							}
						});
					}
				},"",["确定", "取消"]);
			}
		}else{
			if(ggid){
				var webview=mui.openWindow({
					url: 'detail-gg.html',
					id: 'xqgg',
					extras:{
						ggids:ggid
					}
				});	
			}
		}
	};

