mui.init({
//	preloadPages: [{
//		url: '../common/staff-select.html?webviewid=detail',
//		id: 'page-staff-select'
//	}],
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}

});
(function() {
	mui.detailsModel = mui.Class.extend({
		init: function(options) {

			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			//eg
			self._pageSize = 12;
			self._page = 10;
			self.hyid = '';
			self.yhid;
			self.chlx; //已开、未开、围观类型
			//			self.hylx;//单次会议、周例会类型
			self.chrys; //进入详情页面后初始查询的参会人员名字
			self.wgrys; //进入详情页面后初始查询的围观人员名字

			self.chrysid; //进入详情页面后初始查询的参会人员id
			self.wgrysid; //进入详情页面后初始查询的围观人员id
			self.timepicker; //会议时间

			self.type = '0'; //不发短信
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self.timepicker = new mui.DtPicker({
				customData: {
					"i": [{
						"text": "00",
						"value": "00"
					}, {
						"text": "15",
						"value": "15"
					}, {
						"text": "30",
						"value": "30"
					}, {
						"text": "45",
						"value": "45"
					}]
				}
			});
			//			self._getDX();
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			//列表页删除信息后，重置首页数据 
			window.addEventListener('eventDetail', function(event) {
				self.hyid = event.detail.hyid;
				self.yhid = event.detail.yhid;
				self.chlx = event.detail.chlx;
				//				console.log(self.yhid+"---"+self.chlx); 
				self.pageData(self.hyid);
			});
			//拍照上传图片
			document.getElementById('camera').addEventListener('tap', function(e) {
				self._getImage();
			});
			//选择相册上传图片
			document.getElementById('imageView').addEventListener('tap', function(e) {
				self._getImagesView();
			});
			//选择文件上传
			document.getElementById('fileView').addEventListener('tap', function(e) {
				self._getFileView();
			});
			//接收选择文件
			window.addEventListener('eventBackFile', function(event) {
				self._backFile(event);
			});
			//委托定义附件open事件
			mui('#fjlist').on('tap', 'p', function(e) {
				self._openFileUrl(this.getAttribute("url"));
			});
			//委托定义评论删除事件
			mui('#pllist').on('longtap', 'p', function(e) {
				self._delPl(this);
			});
			//删除图片
			mui('#imglist').on('longtap', 'img', function(e) {
				self._delFJImg(this);
			});
			//点击评论
			document.getElementById("pls").addEventListener('tap',function(event){
				self._pl(event);
			});
			//评论上传
			document.querySelector("#btn-add-msg").addEventListener('tap', function(event) {
				self._insertPlxx();
			});
			//编辑
			document.getElementById("hy_bj").addEventListener('tap', function() {
				document.getElementById("hy_bj").style.display = "none";
				document.getElementById("tit").innerHTML='修改会议';
				self._bjs();
				//会议时间操作
				document.getElementById("hysj").addEventListener('tap', function() {
					self._editsjs();
				});
			
			});
			//点击会议地点图标
			document.getElementById("btn-showhydd").addEventListener('tap', function() {
				self.hy_hydd();
			});
			//获得common.js中配置项回传参数————————会议地点
			window.addEventListener("eventBackzzjg", function(event) {
				pzmc = event.detail.c1;
				document.getElementById("hydd").value = pzmc;
				console.log(pzmc);
			});

			//点击参会人员图标
			document.getElementById("btn-showchry").addEventListener('tap', function() {
				self.hy_chry();
			});

			//点击围观人员图标
			document.getElementById("btn-showwgry").addEventListener('tap', function() {
				self.hy_wgry();
			});
			//接收人员选择page返回参数事件
			window.addEventListener('eventBackStaff', function(event) {
				//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发 
				var returnobj = event.detail.returnObj;
				var names = event.detail.names; //会议人名字
				var values = event.detail.values; //会议人ID
				console.log(names + "---" + values);
				//				console.log(event.detail.values.length);
				//				console.log(event.detail.returnObj);
				if (returnobj == 'wgry') {
					$('#wgry').val(names);
					self.wgryvalues = values;
				} else {
					$('#chry').val(names);
					self.chryvalues = values;
				}
			});
			
			//是否短信通知
			//圆角列表开关处理
			document.getElementById("M_Toggle").addEventListener('toggle', function(e) {
				self._sftz(e);
			});
			//提交
			document.getElementById("btn-add").addEventListener('tap', function() {
				self._submits();
			});

		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		pageData: function(hyid) {
			var self = this;
			mui.ajax(V.urls.baseServer + '/hy/hyAction_selectHyFj', {
				data: {
					hyid: hyid,
					yhid:userModel.getYhid(),
			        zzjgid:userModel.getZzjgid()
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data));
					var hy = data.hy;
					//					console.log(JSON.stringify(data)+"----------------"+hy.HYLX + hy.HYZT +"---"+userModel.getYhName() + "---" + userModel.getYhid());

					//如果是未开会议并且会议发起人是当前用户时才显示编辑按钮
					if (self.chlx == 01) {
						if (userModel.getYhid() == self.yhid) {
							document.getElementById("hy_bj").style.display = "block";
						}
					}

					if (hy) {
						document.getElementById('hyzt').value = hy.HYZT;
						document.getElementById('hysj').value = hy.KSRQ;
						document.getElementById('hydd').value = hy.HYDD;
						document.getElementById('chry').value = hy.CH;
						
						self.chrys = document.getElementById('chry').value; //人员
						self.chrysid = hy.CHID; //ID
						if(hy.WG){
							document.getElementById('wgry').value = hy.WG;
							self.wgrys = document.getElementById('wgry').value;
							self.wgrysid = hy.WGID;
						}
						
						console.log("参会人员：" + self.chrys + "围观人员：" + self.wgrys);
						console.log("参会人员id：" + self.chrysid + "围观人员id：" + self.wgrysid);

						self.hylx = hy.HYLX;
//						console.log(self.hylx);
						if (self.hylx == 01) {
							document.getElementById('dchy').setAttribute("checked", "checked");
						} else {
							document.getElementById('zlh').setAttribute("checked", "checked");
						}
					}
					//封装模板数据
					self._innerHtml(data);
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/**
		 * 页面数据填充
		 * @param {Object} json
		 */
		_innerHtml: function(data) {
			var self = this;
			var fragmentImg = document.createDocumentFragment();
			var fragmentFj = document.createDocumentFragment();
			var fragmentPl = document.createDocumentFragment();
			//$.each(data.imgList, function(n, value) {
			[].forEach.call(data.imgList, function(value) {
				var li = document.createElement('li');
				//li.className='mui-table-view-cell mui-media mui-col-xs-3';
				var imgName = value.FJWZ;
				if (imgName) {
					var smallImg = V.urls.basePicServer + imgName.substring(0, imgName.lastIndexOf(".")) + "_s.jpg";
				}
				var imgurl = V.urls.basePicServer + value.FJWZ;
				var fjid = value.FJID;
				console.log(fjid);
				//li.innerHTML = "<img class='mui-media-object' src='" + smallImg + "' data-preview-src='" + imgurl + "' data-preview-group='1' >";
				li.innerHTML = "<img class='attr-img' fjid='" + fjid + "' src='" + smallImg + "' data-preview-src='" + imgurl + "' data-preview-group='1' >";

				fragmentImg.appendChild(li);
			});
			document.getElementById('imglist').appendChild(fragmentImg);

			[].forEach.call(data.fjList, function(value) {
				var divObj = document.createElement('p');
				var imgurl = V.urls.basePicServer + value.FJWZ;
				divObj.className = 'mui-h5 mui-ellipsis';
				divObj.setAttribute('url', imgurl);
				divObj.innerHTML = value.FJMC;
				fragmentFj.appendChild(divObj);
			});
			document.getElementById('fjlist').appendChild(fragmentFj);
			//评论循环
			[].forEach.call(data.pllist, function(value) {
				var divObj = document.createElement('p');
				divObj.className = 'mui-h5 mui-ellipsis';
				divObj.setAttribute('plid', value.PLID);
				divObj.setAttribute('plrid', value.PLRID);
				divObj.innerHTML = value.PLNR;
				fragmentPl.appendChild(divObj);
			});
			document.getElementById('pllist').appendChild(fragmentPl);
		},
		/*
		 * 拍照上传图片
		 */
		_getImage: function() {
			var self = this;
			var imgs = [];
			var cmr = plus.camera.getCamera();
			cmr.captureImage(function(p) {
				plus.io.resolveLocalFileSystemURL(p, function(entry) {
					var path = entry.toLocalURL();

					compressImage(path, function(newpath) {
//						var li = document.createElement('li');
//						//li.className='mui-table-view-cell mui-media mui-col-xs-3';
//						//li.innerHTML = "<img class='mui-media-object' src='" + entry.fullPath + "' data-preview-src='' data-preview-group='1'/>";
//						li.innerHTML = "<img class='attr-img' src='" + newpath + "' data-preview-src='' data-preview-group='1'/>";
//						document.getElementById('imglist').appendChild(li);
						imgs.push(newpath);
						self._createUpload(imgs);
					});

				}, function(e) {
					mui.toast("读取拍照文件错误：" + e.message);
				});
			}, function(e) {
				mui.toast("失败：" + e.message);
			}, {
				filename: "_doc/camera/",
				index: 1
			});
		},
		/**
		 *多图片相册上传 
		 */
		_getImagesView: function() {
			var self = this;
			// 从相册中选择图片
			var imgs = [];
			plus.gallery.pick(function(e) {
				compressImage(e.files, function(newpaths) {
					//console.log(newpaths.length);
					for (var i in newpaths) {
						//console.log(i + newpaths[i]);
						var path = newpaths[i];

						imgs.push(path);

					}
					self._createUpload(imgs);
					//				for (var i in entry.files) {
					//					li = document.createElement('li');
					//					//li.className='mui-table-view-cell mui-media mui-col-xs-3';
					//					//li.innerHTML = "<img class='mui-media-object' src='" + entry.files[i] + "' data-preview-src='' data-preview-group='1'/>";
					//					li.innerHTML = "<img class='attr-img' src='" + entry.files[i] + "' data-preview-src='' data-preview-group='1'/>";
					//					document.getElementById('imglist').appendChild(li);
					//					imgs.push(entry.files[i]);
					//				}
					//				self._createUpload(imgs);					

				});

			}, function(e) {
				//outSet( "取消选择图片" );
			}, {
				filename: "_doc/camera/",
				index: 1,
				filter: "image",
				multiple: true
			});
		},
		/**
		 * 打开文件选择界面
		 */
		_getFileView: function() {
			var self = this;
			if (mui.os.ios) {
				mui.toast("暂不支持iPhone上传文件!");
				return;
			}
			var id = plus.webview.currentWebview().id; //获取首页面id
			plus.storage.setItem("filebrower_parentwebviewId", id); //缓存首页面id
			mui.openWindow({
				url: '../common/file-brower.html',
				id: 'page-file-brower'
			});
		},
		/**
		 * 选择文件界面返回时执行
		 * @param {Object} event
		 */
		_backFile: function(e) {
			var self = this;
			//returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
			var src = e.detail.src;
			var name = e.detail.name;
			var divObj = document.createElement('p');
			divObj.className = 'mui-h5 mui-ellipsis';
			divObj.setAttribute('url', src);
			divObj.innerHTML = name;
			document.getElementById('fjlist').appendChild(divObj);
			var file = {
				fullPath: src,
				name: name
			};
			self._createUpload(file, "1");
		},
		/**
		 * 创建上传任务
		 * @param {Object} file
		 * @param {Object} wj
		 */
		_createUpload: function(file, wj) {
			var self = this;
			if (!checkNetStatus()) {
				return;
			}
			plus.nativeUI.showWaiting();
			var task = plus.uploader.createUpload(V.urls.baseServer + '/hy/hyAction_insertHyFJ', {}, function(t, status) {
				console.log(t.responseText);
				// 上传完成
				if (status == 200) {
					var result=JSON.parse(t.responseText);
					var fjlist = result.fjlist;
					for (var k in fjlist) {
						var mfile = fjlist[k];
						if ('01' == mfile.wjlx) {
							var fjid = mfile.fjid;
							var fjwz=mfile.fjwz;
							//图片
							var li = document.createElement('li');
							li.innerHTML = "<img class='attr-img' fjid='" + fjid + "' src='" + V.urls.basePicServer+fjwz + "' data-preview-src='' data-preview-group='1'/>";
							document.getElementById('imglist').appendChild(li);
						}
					}

					plus.nativeUI.closeWaiting();
					mui.toast("上传成功");
				} else {
					plus.nativeUI.closeWaiting();
					mui.toast("上传失败: " + status);
				}
			});
			if (wj) {
				task.addFile(file.fullPath, {
					key: file.name
				});
			} else {
				for (var i in file) {
					if (V.utils.valid.isSfImg(file[i])) {
						task.addFile(file[i], {
							key: file[i]
						});
					} else {
						mui.toast("上传的图片包含不符合规范格式图片!");
						plus.nativeUI.closeWaiting();
						return;
					}

				}
			}
			task.addData('hyid', self.hyid);
			task.addData('yhid', userModel.getYhid());
			task.addData('zzjgid', userModel.getZzjgid());
			task.start();
		},
		/**
		 * 打开附件内容
		 * @param {Object} filesrc
		 */
		_openFileUrl: function(filesrc) {
			var self = this;
			if (filesrc.startWith('http://')) {
				plus.runtime.openURL(filesrc, {}, function(e) {
					plus.nativeUI.mui.toast("无法打开此文件：" + e.emssage);
				});
			} else {
				plus.runtime.openFile(filesrc, {}, function(e) {
					plus.nativeUI.mui.toast("无法打开此文件：" + e.emssage);
				});
			}
		},

		/**
		 * 删除评论
		 * @param {Object} opt
		 */
		_delPl: function(opt) {
			var self = this;
			var plid = opt.getAttribute("plid");
			var plrid = opt.getAttribute("plrid");
			if (plid) { //删除会议评论
				if (userModel.getYhid() != plrid) {
					mui.toast('非本人写的会议评论不能删除');
					return;
				}
				plus.nativeUI.confirm("确定要删除会议评论吗?", function(e) {
					if (e.index == 0) {
						if (!checkNetStatus()) {
							return;
						}
						plus.nativeUI.showWaiting();
						mui.ajax(V.urls.baseServer + '/hy/hyAction_deletePlById', {
							data: {
								yhid: plrid,
								plid: plid
							},
							dataType: 'json', //服务器返回json格式数据
							type: 'get', //HTTP请求类型
							//timeout: 10000, //超时时间设置为10秒；
							success: function(data) {
								plus.nativeUI.closeWaiting();
								if (data.result == 1) {
//									opt.remove();
									opt.innerHTML='';
								} else {
									//								mui.toast('删除失败');
								}
							},
							error: function(xhr, type, errorThrown) {
								plus.nativeUI.closeWaiting();
								//异常处理； 
								mui.toast('网络异常');
							}
						});
					}
				}, "", ["确定", "取消"]);
			}
		},
		/*
		 * 点击评论
		 */
		_pl:function(event){
			var self = this;
			document.getElementById('extarea-add-msg').value = '';
		},
		/**
		 * 评论信息上传
		 */
		_insertPlxx: function(hyid) {
			var self = this;
			if (!checkNetStatus()) {
				return;
			}
			var msg = document.getElementById('extarea-add-msg').value;
			console.log(msg.trim().length);
				if (msg.trim().length > 100) {
					mui.toast('评论不能超过100个字符');
					return;
				}
			mui.ajax(V.urls.baseServer + '/hy/hyAction_insertHyPl', {
				data: {
					hyid: self.hyid,
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					msg: msg
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型 
				timeout: 10000, //超时时间设置为10秒；
				success: function(rs) {
					//服务器返回响应，根据响应结果，分析是否登录成功；
					if (rs.hasOwnProperty("result")) {
						mui.toast(rs.msg);
					} else {
						mui('.mui-popover').popover('toggle');
						var divObj = document.createElement('p');
						divObj.className = 'mui-h5 mui-ellipsis';
						divObj.setAttribute('plid', rs.plid);
						divObj.setAttribute('plrid', userModel.getYhid());
						divObj.innerHTML = rs.plrq + userModel.getYhName() + ":" + msg;
						document.getElementById('pllist').appendChild(divObj);
						document.getElementById('extarea-add-msg').value = '';
					}

				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 编辑
		 */
		_bjs: function() {
			var self = this;
			document.getElementById("hyzt").removeAttribute("readonly", "readonly"); //移除input标签disabled属性
			document.getElementById("hysj").removeAttribute("readonly", "readonly");

			document.getElementById("hydd").removeAttribute("readonly", "readonly");
			document.getElementById("bt_s").style.display = "block"; //显示确定取消按钮

			document.getElementById("btn-showhydd").style.display = "block"; //显示icon小图标
			document.getElementById("btn-showchry").style.display = "block";
			document.getElementById("btn-showwgry").style.display = "block";

			document.getElementById("dchy").removeAttribute("disabled", "disabled");
			document.getElementById("zlh").removeAttribute("disabled", "disabled");

			//			document.getElementById("hy_bj").styel.display="none";
			self._getDX();

		},
		/*
		 * 会议地点
		 */
		hy_hydd: function() {
			var webid = plus.webview.currentWebview().id;
			var webview = mui.openWindow({
				url: '../common/zzjg-pzxlx.html',
				id: 'pzxlx',
				extras: {
					p3: 'pz',
					p4: '01',
					webid: webid
				}
			});
		},
		/*
		 * 参会人员
		 */
		hy_chry: function(event) {
//			var page_staff_select;
			var self = this;
//			if (!page_staff_select) {
//				page_staff_select = plus.webview.getWebviewById('page-staff-select');
//			}
			console.log("参会人员：" + self.chrys + "-----" + "围观人员：" + self.wgrys);

			console.log("参会人员id：" + self.chrysid + "围观人员id：" + self.wgrysid);

			if(self.chrys && self.chrysid){
				var nm = self.chrys.split(',');
				var nmid = self.chrysid.split(',');
				console.log(nm + "---" + nmid);
			}
			
			plus.storage.setItem("allLxr","1");//进入选择人员页面，是否有选择自己的标志
			var web = mui.openWindow({
				url: '../common/staff-select.html?webviewid=detail',
				id: 'page-staff-select'
			});
			//跳入页面，让页面渲染出来后，再执行
				web.addEventListener('loaded',function(){
//					mui.fire(web,'inputs_load');
					mui.fire(web, 'eventInitStaff', {
						values: self.chryvalues,
						returnObj: 'chry',
						names: nm,
						values: nmid
					});
				});

			//			mui.fire(web, 'eventInitStaff', {
			//				values: self.wgryvalues,
			//				returnObj: 'chry',
			//				names: nm,
			//				values: nmid
			//			});
		},
		/*
		 * 围观人员
		 */
		hy_wgry: function() {
			var self = this;
			plus.storage.setItem("allLxr","1");//进入选择人员页面，是否有选择自己的标志
//			var page_staff_select;
//			if (!page_staff_select) {
//				page_staff_select = plus.webview.getWebviewById('page-staff-select');
//			}

			console.log("参会人员：" + self.chrys + "-----" + "围观人员：" + self.wgrys);

			console.log("参会人员id：" + self.chrysid + "围观人员id：" + self.wgrysid);
			if(self.wgrys && self.wgrysid){
				var nm = self.wgrys.split(',');
				var nmid = self.wgrysid.split(',');
			}
			console.log(nm + "---" + nmid);

			web = mui.openWindow({
				url: '../common/staff-select.html?webviewid=detail',
				id: 'page-staff-select'
			});
			//			page_staff_select.addEventListener('loaded',function(){
			//				mui.fire('page_staff_select','inputs_load');
			//			});
			
			web.addEventListener('loaded',function(){
				
				mui.fire(web, 'eventInitStaff', {
					values: self.wgryvalues,
					returnObj: 'wgry',
					names: nm,
					values: nmid
				});
			})
		},
		/*
		 * 会议时间
		 */
		_editsjs: function() {
			var self = this;
			self.timepicker.show(function(rs) {
				console.log();
				$("#hysj").val(rs.text);
				console.log($("#hysj").val());
				//btn.innerText = '选择结果: ' + rs.text;
				//timepicker.setSelectedValue();
			});
		},
		_delFJImg: function(img) {
			var self = this;
			plus.nativeUI.confirm("是否删除图片？", function(e) {
				if (e.index == 0) {
					var fjid = img.getAttribute('fjid');
					mui.ajax(V.urls.baseNewServer + '?_time=' + new Date().getTime(), {
						data: {
							a: 'COMM.DEL_FJ',
							p1: userModel.getYhid(),
							p2: userModel.getZzjgid(),
							p3: self.hyid,
							p4: fjid
						},
						type: 'get', //HTTP请求类型
						dataType: 'json', //服务器返回json格式数据
						success: function(data) {
							console.log(JSON.stringify(data));
							if (data.r == 1) {
								var _parentElement = img.parentNode;
								if (_parentElement) {
									_parentElement.removeChild(img);
								}

							} else {

							}
						},
						error: function(xhr, type, errorThrown) {
							console.log(errorThrown);
						}
					});
				}
			}, "", ["是", "否"]);
		},
		/*
		 * 初始查询是否显示发送短信功能
		 */
		_getDX: function() {
			mui.ajax(V.urls.baseServer + '/hy/hyAction_selectPZXZ', {
				data: {
					zzjgid: userModel.getZzjgid(),
					pzxlx: '10'
				},
				dataType: 'json',
				type: 'get', //HTTP请求类型
				//		timeout: 10000, //超时时间设置为10秒；
				success: function(datas) {
					console.log(JSON.stringify(datas));
					if (datas.isTz == 1) {
						$("#mui-input-row").show();
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		},
		/*
		 * 短信通知
		 */
		_sftz: function(e) {
			var self = this;
			var isActive = e.detail.isActive;
			//			console.log(isActive);
			if (isActive) { //显示OFF，表示发送
				self.type = 1 + "";
			} else { //显示NO，表示不发
				self.type = 0 + "";
			}
		},
		//提交事件
		_getNRData: function(hyid) {
			var self = this;
			var data = {
				isok: true
			};
			data.a = 'HYGL.UPDATE_HYXG';
			data.p1 = userModel.getYhid();
			data.p2 = userModel.getZzjgid();
			data.p3 = $("#hyzt").val();
			data.p4 = $("#hysj").val();
			data.p6 = $("#hydd").val();
			data.p10 = self.hyid;

			if (mui.isArray(self.chryvalues)) {
				data.p7 = self.chryvalues.toString();
			} else {
				data.p7 = self.chrysid;
			}
			//围观人员
			if (mui.isArray(self.wgryvalues)) {
				data.p8 = self.wgryvalues.toString();
			} else if(self.wgrysid){
				data.p8 = self.wgrysid;
			}else{
				data.p8 = '';
			}

			console.log(data.p7 + "---" + data.p8);
			data.p5 = $('input[name="hylx"]:checked').val();
			console.log(data.p5);
			data.p9 = self.type;
			console.log(data.p1 + "--" + data.p2 + "--" + data.p3 + "---" + data.p4 + "------" + data.p6 + "--" + data.p7 + "---" + data.p8 + "--" + data.p10 + "--" + data.p5 + "--" + data.p9);

			if ($.trim(data.p3) == '') {
				mui.toast('请输入会议主题');
				data.isok = false;
				return data;
			}
			
			if ($.trim(data.p3).length > 25) { 
				mui.toast('会议主题不能超过25个字符');
				data.isok = false;
				return data;
			}
			
			
			if ($.trim(data.p6) == '') {
				mui.toast('请填写会议地点');
				data.isok = false;
				return data;
			}
			
			if ($.trim(data.p6).length > 25) { 
				mui.toast('会议地点不能超过25个字符');
				data.isok = false;
				return data;
			}
			
			if ($.trim(data.p7) == '') {
				mui.toast('请填写参会人员');
				data.isok = false;
				self.chrys = '';
				self.chrysid = '';
				return data;
			}
			if ($.trim(data.p9) == '') {
				mui.toast('请选择是否发送短信');
				data.isok = false;
				return data;
			}
	
			return data;
		},
		/* 
		 * 提交
		 */
		_submits: function() {
			var self = this;
			var data = self._getNRData();
			if (data.isok === false) {
				return;
			}
			$.ajax({
				type: "post",
				url: V.urls.baseNewServer, //解决 post被请求多次
				data: data,
				async: true, //默认: true; 同步(false)请求将锁住浏览器，用户其它操作必须等待请求完成才可以执行。
				dataType: "json",
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data));
					if (data.r == 1) {
						mui.toast('会议修改成功');
						/*var webview = plus.webview.getWebviewById('sub_hy');
						console.log(webview);
						mui.fire(webview, 'db_pageShow', {

						});*/
						var subwebview = plus.webview.getWebviewById('page-hy');  
						subwebview.evalJS('sliderTab()');
						mui.back();  
					}

				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});

		},
	});
})();

var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘
	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
					/*setTimeout(function(){         
					    
					},time);*/
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}
	
	if(isIPHONE){
		new objBlur("hyzt");
	};