(function() {
	mui.YBModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._pageSize = 12;
			self._page = 0; 
			self.hasPlCount = 0;
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			//添加会议
			document.querySelector('#add-hy').addEventListener('tap', function() {
				self._adds();
			});
			//长按删除
//			document.querySelector('#dkhy_list').addEventListener('longtap', function(event) {
//				self._dele(event);
//			});
			//单击进入详情
			document.querySelector('#dkhy_list').addEventListener('tap', function(event) {
				self._viewDetail(event);
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			mui.ajax(V.urls.baseServer + '/hy/hyAction_selectHy', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					limit: self._pageSize,
					page: page,
					chlx: '02'
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					//封装模板数据
					var rsHtml = template('dkhy-template', {
						"record": data
					});
					var doc = document.getElementById('dkhy_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
					}
//					console.log(doc.innerHTML);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 进入添加界面
		 */
		_adds:function(){
			var webview = mui.openWindow({ 
				url: 'addhy.html',
				id: 'page-addhy'
			});
			webview.addEventListener('loaded', function() {
				mui.fire(webview, 'pageShow');
			});	
		},
		/*
		 * 长按删除某一条列表
		 */
//		_dele: function(event) {
//			var self = this;
//			var target = event.target;
//			if(target.parentNode.className.indexOf('btd')>0){
//				target = target.parentNode.parentNode.parentNode.parentNode;
//			}
//			if(target.className.indexOf('btd')>0){
//				target = target.parentNode.parentNode.parentNode;
//			}
//			if(target.className.indexOf('hbq')>0){
//				target = target.parentNode.parentNode;
//			}
//			if(target.className.indexOf('ahbq')>0){
//				target = target.parentNode;
//			}
//			var hyid = target.getAttribute('hyid');
//			var yhid = target.getAttribute('yhid');
//			if(yhid){//删除会议
//				if (userModel.getYhid() != yhid) {
//					mui.toast('非本人创建的会议不能删除');
//					return;
//				}
//				plus.nativeUI.confirm("确定要删除会议吗?", function(e) {
//					if (e.index == 0) {
//						if (!checkNetStatus()) {
//							return;
//						}
//						plus.nativeUI.showWaiting();
//						mui.ajax(V.urls.baseServer + '/hy/hyAction_deleteHyByHyid', {
//							data: {
//								hyid: hyid,
//								yhid: userModel.getYhid()
//							},
//							dataType: 'json', //服务器返回json格式数据
//							//timeout: 10000, //超时时间设置为10秒；
//							success: function(data) {
//								mui.toast('删除条目');
//								target.remove();
//								plus.nativeUI.closeWaiting();
//							},
//							error: function(xhr, type, errorThrown) {
//								plus.nativeUI.closeWaiting();
//								//异常处理； 
//								mui.toast('网络异常');
//							}
//						});
//					}
//				}, "", ["确定", "取消"]);
//			}else{
//				return;
//			}
//		},
		/*
		 * 进入详情界面
		 */
		_viewDetail:function(event){
			var self = this;
			var target = event.target;
			if(target.parentNode.className.indexOf('btd')>0){
				target = target.parentNode.parentNode.parentNode.parentNode;
			}
			if(target.className.indexOf('btd')>0){
				target = target.parentNode.parentNode.parentNode;
			}
			if(target.className.indexOf('hbq')>0){
				target = target.parentNode.parentNode;
			}
			if(target.className.indexOf('ahbq')>0){
				target = target.parentNode;
			}
			var hyid = target.getAttribute('hyid');
			var webview = mui.openWindow({ 
				url: 'detail.html',
				id: 'detail'
			});
			webview.addEventListener('loaded', function() {
				mui.fire(webview, 'eventDetail',{
					hyid: hyid,
					chlx:'02'
				});
			});	
		},
	});
})();

