(function() {
	mui.JRKQModel = mui.Class.extend({
		init: function(options) {
			mui.init({
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
//			self.kqlx;
			self.qdpx;//签到时间倒序排列
			self.qtpx;//签退时间倒序排列
			self.kqbz = 1;  //考勤标志，判断是查询签到/签退，签到：1；签退：2 默认查询是签到：1
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			//系统默认年份
			var nowDate = new Date();
			nowYear = nowDate.getFullYear();
			var nowMonth = nowDate.getMonth() + 1;
			var nowDay=nowDate.getDate();
			var nowhour = nowDate.getHours(); //获取当前小时数(0-23)
			var nowMinute = nowDate.getMinutes(); //获取当前分钟数(0-59)
//			console.log(nowMonth);
			if (nowMonth.toString().length == 1) {
				nowMonth = '0' + nowMonth;
			}
			if (nowDay.toString().length == 1) {
				nowDay = '0' + nowDay;
			}
			self._year = nowMonth + '' +nowDay;
			dqsj = nowMonth + '月' +nowDay+ '日' ;
			console.log(dqsj);
			document.getElementById('tjrq').innerText = dqsj;
//			m._pageData(self._year);

			kqrq = nowYear + '-' + nowMonth + '-' + nowDay;
			console.log(kqrq);
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			self._changes();
//			self._changes2();
			/*
			 * 左右箭头切换
			 */
//			document.getElementById('year-up').addEventListener('tap', function(e) {
//				self.upordown(5);
//				self._types();
//			});
//			document.getElementById('year-down').addEventListener('tap', function(e) {
//				self.upordown(6);
//				self._types();
//			});

			document.getElementById('year-up').addEventListener('tap', function(e) {
				self.upordown(5);
//				self._lxs();
			});
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self.upordown(6);
//				self._lxs();
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(kqlx) {
			console.log(kqlx);
			console.log(kqrq);
			var self = this;
			mui.ajax(V.urls.baseServer + '/kqjl/kqjlAction_selectZzKqjl', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					kqrq: kqrq,
					kqlx: kqlx
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
//					console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					qdtj=data.kqList;
					console.log(JSON.stringify(qdtj));
					qttj=data.kqList;
					
					if(kqlx == '02'){
						jQuery("#t1").removeClass("mui-active");
						jQuery("#t2").addClass("mui-active");
						self._jrkqhtml(qttj);
					}else{
						jQuery("#t2").removeClass("mui-active");
						jQuery("#t1").addClass("mui-active");
						self._jrkqhtml(qdtj);
					}
					self.qdpx = qdtj.concat();
					self.qtpx = qdtj.concat();
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 列表
		 */
		_jrkqhtml: function(qkList){
			var itdiv = '';
			var li_a = '<li id="d_kq" class="mui-table-view-cell" style="padding:12px 15px 9px;width:100%;">';
			var li_b = '<li id="d_kq" class="mui-table-view-cell" style="padding:12px 15px 9px;background-color:#eee;width:100%;">';
			for(var i=0;i<qkList.length; i++){
					if(qkList[i].YCLX==' '){
						itdiv+=li_b
					}else{
						itdiv+=li_a;
					}
				itdiv+='<span>'+qkList[i].XM+'</span>'+
							 '<span>'+qkList[i].YCLX+'</span>'+
							 '<span>'+qkList[i].SF+'</span>'+
							 '<span>'+qkList[i].KQWZ+'</span>'+
							 '</li>';
			}
//			document.getElementById("jrqkList").innerText =itdiv;
			$("#jrqkList").html(itdiv);
		},
		/*
		 * 签到签退
		 */
		_changes:function(kqlx){
			var self = this;
			//签到，签退切换
			mui('.mui-pagination').on('tap', 'span', function() {
				jQuery("#ion").removeClass("mui-icon-arrowthindown");
				var target = this.parentNode.getAttribute('t');
				if(target == 2){
					jQuery("#t1").removeClass("mui-active");
					jQuery("#t2").addClass("mui-active");
					self._pageData('02');
					self.kqbz = 2;//考勤标志设为2，表示签退查询
				}else if(target == 1){
					jQuery("#t2").removeClass("mui-active");
					jQuery("#t1").addClass("mui-active");
					self._pageData('01');
					self.kqbz = 1;//考勤标志设为1，表示签到查询
				}
			})
		},
		/*
		 * 时间切换
		 */
//		_changes2:function(kqlx){
//			var self = this;
//			//时间
//			var isClick=false;
//			jQuery('#times1').on('tap', '', function() {
//				if(!isClick) { 	
//					jQuery("#ion").addClass("mui-icon-arrowthindown");
//				  	isClick = true;
//				  	if(self.kqbz == '1'){
//				   	self._jrkqhtml(self.qdpx.reverse());
//				   	}else{
//				   	self._jrkqhtml(self.qtpx.reverse());
//				  	 }
//			   } else {
//					jQuery("#ion").removeClass("mui-icon-arrowthindown");
//					isClick = false;
//					if(self.kqbz == '1'){
//				   	self._jrkqhtml(self.qdpx.reverse());
//				   }else{
//				   	self._jrkqhtml(self.qtpx.reverse());
//				   }
//				 }
//			});
//		},
		/*
		 * 箭头切换
		 */
		upordown : function(gs){
			var self = this;
			plus.nativeUI.showWaiting();
			var up=document.getElementById('tjrq').innerText;
			var months=up.substr(0,2);
			var days=up.substr(3,2);
			var yearandmonthandday=nowYear+""+months+""+days;
			var yandm=V.utils.date._clickYear(gs,yearandmonthandday);
			if(yandm){
				var _years=yandm.substr(0,4);//年
				var _months=yandm.substr(4,2);//月
				var _days=yandm.substr(6,2);//日
				if(_months.length==1){
					_months='0'+_months;
				}
				if(_days.length==1){
					_days='0'+_days;
				}
				document.getElementById('tjrq').innerText =_months+"月"+_days+"日";
				var sj=_years+'-'+_months+'-'+_days;
				kqrq = sj;
				console.log(kqrq);
//				self._pageData(kqrq);
//				self._types();

				self._lxs();
			}
		},
		/*
		 * 判断时间在18：00---24：00之间显示签到
		 */
		_timeTJ : function(ar){
			    var d = new Date();
			    var current = d.getHours() * 60 + d.getMinutes();
			    var ar_begin = ar[0].split(':');
				var ar_end = ar[1].split(':');
			    var b = parseInt(ar_begin[0]) * 60 + parseInt(ar_begin[1]);
			    var e = parseInt(ar_end[0]) * 60 + parseInt(ar_end[1]);
			    if (current >= b && current <= e) return true;
			    else return false;
		},
		/*
		 * 左右箭头切换时判断类型
		 */
		_types:function(){
			var self=this;
			var ar = ['18:00','24:00'];
			if(self._timeTJ(ar)){
				self.kqlx = '02';
				self._pageData(self.kqlx);
			}else{
				self.kqlx = '01';
				self._pageData(self.kqlx);
			}
		},
		/*
		 * 当左右箭头切换的时候判断kqlx是签到还是签退
		 */
		_lxs:function(){
			var self = this;
			console.log(self.kqbz);
				if(self.kqbz == 2){
					self.kqlx = '02';
				}else{
					self.kqlx = '01';
				}
				console.log(self.kqlx);
				self._pageData(self.kqlx);
		}
	});
})();