(function() {
	mui.DKJLModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
			gestureConfig: {
				longtap: true //监听长按事件，默认false
			}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function(){
				self.initEvent();
			})
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._pageSize = 12;
			self._page = 0; 
			self._endDate;
			self._endul;
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			document.querySelector('#punch').addEventListener('longtap', function(event) {
				self._dele(event);
			});
			document.querySelector('#add-kqd').addEventListener('tap', function() {
				self._adds();
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			var fragment = document.createDocumentFragment();
			mui.ajax(V.urls.baseServer + '/kqjl/kqjlAction_selectKqjl', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					limit: self._pageSize,
					page: page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					//$(selector).each(function(index,element))或$.each(data,function(index,sport))   index就是取到的数据在数组中的位置，element就是具体的数据对象
					$.each(data.kqjls, function(n, value) {
						if(self._endDate){
							if(value.YR == self._endDate && page != 1){
								ul = self._endul; 
								i = 0;
							}else{
								ul = document.createElement('ul');
				      	        ul.className = 'kaoqin';
				      	        ul.innerHTML = self._getHtml(value.xx[0],value.YR);
				      	        i = 1;
							}
						}else{
							ul = document.createElement('ul');
				      	    ul.className = 'kaoqin';
				      	    ul.innerHTML = self._getHtml(value.xx[0],value.YR);
				      	    i = 1;
						} 
						for(var i=i;i<value.xx.length;i++){
//							console.log(self._getHtml(value.xx[i],''));
					       ul.innerHTML += self._getHtml(value.xx[i],'');
			       		}
				       fragment.appendChild(ul);
				       if(n == data.kqjls.length-1){
				       	self._endul = ul;
					   	self._endDate = value.YR;
				       };
					}); 
					
					if(page == 1){
					 	document.getElementById('punch').innerHTML="";
					 	document.getElementById('punch').appendChild(fragment);
					 }else{
					 	document.getElementById('punch').appendChild(fragment);
					 }
					 console.log(document.getElementById('punch').innerHTML);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 自定义方法，eg
		 */
		_showDatePop: function() {
			var self = this;
		},
		_getHtml: function(json,date){
			var html ='<li class="mui-table-view-cell inbtkg line" id="'+json.KQJLID+'" style="list-style:none;width:100%;>'+
						'<div class="mui-table">'+
							'<div class="dk_up">'+
							'<div class="mui-table-cell mui-col-xs-3 " style="padding:10px 0 0 3%;">'+
								'<span class="size-left-medium list-item-date kqrq">'+date+'</span>'+
							'</div>'+
							'<div style="  border-left: 2px solid #039cae;width: 80%;float: left;padding:5px 0;">'+
								'<div class="mui-table-cell mui-col-xs-2 mui-text-center ui-list-item ">'+
									'<span class="size-left-top list-item-date">'+json.KQLX+'</span>'+
								'</div>'+
								'<div class="mui-table-cell mui-col-xs-6" >'+
									'<span class="size-left-top list-item-title" >'+json.SF+'</span>';'<span class="size-left-top list-item-bz" style="width:30px;">'+json.ZTMC+'</span>';
									var jss='';
									if(mui.os.ios){
											jss='<span class="size-left-top list-item-bz" style=" width:75px;text-overflow:ellipsis;">'+json.YQSM+'</span>';
									}else{
											jss='<span class="size-left-top list-item-bz" style=" width:90px;text-overflow:ellipsis;">'+json.YQSM+'</span>';
									}
									jss+='<span class="size-left-bottom list-item-address" >'+json.KQWZ+'</span>'+
								'</div>'+'</div>';

						html+=jss+'</div>'+
						'</div>';
						if(mui.os.ios){
							html+='<span id="zc" class="zc" style="left:86%;display: inline;width: 13%;text-align: left;color:#000;" a="'+json.KQZT+'"  b="'+json.KQJLID+'">'+json.YCLX+'</span>';
						}else{
							html+='<span id="zc" class="zc" style="left:86%;color:#000;" a="'+json.KQZT+'"  b="'+json.KQJLID+'">'+json.YCLX+'</span>';//color:#039cae;
						}
					'</li>'		
		return html;
		},
		_dele: function() {//长按删除某一条列表
			var self = this;
			if(!checkNetStatus()){
				return ;
			}
			var target = $(event.target);
			var t = target.parents('li.mui-table-view-cell');
			var kqjlid = t.attr("id");
			var rq = t.children('div.dk_up').children('div.mui-table-cell').children('span.kqrq').html();
			var nextRq = t.next().children('div.dk_up').children('div.mui-table-cell').children('span.kqrq').html();
			plus.nativeUI.confirm("确定要删除该条信息吗?", function(e) {
			if(e.index==0){ 
				plus.nativeUI.showWaiting();
	    			mui.ajax(V.urls.baseServer+'/kqjl/kqjlAction_deleteKqjl',{
				data:{
					yhid:userModel.getYhid(),
					zzjgid:userModel.getZzjgid(),
					kqjlid:kqjlid
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(data){
					plus.nativeUI.closeWaiting();
					if(data.result == 1){
						if(rq != '' && nextRq == ''){
							t.next().children('div.dk_up').children('div.mui-table-cell').children('span.kqrq').html(rq);
						} 
						t.remove();
						updateSyData();//删除考勤记录后更新首页数据
					} 
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					plus.nativeUI.closeWaiting();
					mui.toast('删除失败');
					console.log(type);
				}
			});
			}
		 },"",["确定", "取消"]);
		},
		/*
		 * 进入添加界面
		 */
		_adds:function(){
			var webview = mui.openWindow({ 
				url: 'addspd.html',
				id: 'addspd'
			});
			webview.addEventListener('loaded', function() {
				mui.fire(webview, 'pageShow');
			});	
		}
	});
})();

