(function() {
	mui.KQTJModel = mui.Class.extend({
		init: function(options) {
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._year = '';
			self._xtrq = '';
//			self._timepicker = new mui.PopPicker();
//			self._timepicker = new mui.DtPicker({"type":"month"})
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			//系统默认年份
			var nowDate = new Date();
			var nowYear = nowDate.getFullYear();
			var nowMonth = nowDate.getMonth() + 1;
			var nowDay = nowDate.getDate();
			if (nowMonth.toString().length == 1) {
				nowMonth = '0' + nowMonth;
			}
			if (nowDay.toString().length == 1){
				nowDay = '0'+ nowDay;
			}
			self._year = nowYear + '' +nowMonth;
			dqsj = nowYear + '年' +nowMonth+ '月' ;
			document.getElementById('tjrq').innerText = dqsj;
			self._xtrq = nowDay ;
//			console.log(self._xtrq);
//			m._pageData(self._year);
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
//			document.getElementById('kq_times').addEventListener('tap', function(e) {
//				self._showDatePop();
//			});
			/*
			 * 左右箭头切换
			 */
			document.getElementById('year-up').addEventListener('tap', function(e) {
				self.upordown(3);
			});
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self.upordown(4);
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(sj) {
			var self = this;
			mui.ajax(V.urls.baseServer + '/kqsp/kqspAction_selectKqTJ', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					yyyymm: sj
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
//					console.log(JSON.stringify(data));
					//封装模板数据
                   var dqsj=document.getElementById('tjrq').innerText;
				   var 	nowDay='';
				   if(dqsj==getTodayyyymm().lable){
				   		nowDay=self._xtrq;
				   }
					var rsHtml = template('kqtj-template', {
						"record": data,
						"nowDay" :nowDay
					});
					var doc = document.getElementById('kqtj_list');
					doc.innerHTML = rsHtml;
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 *  时间切换
		 */
//		_showDatePop: function() {
//			var self = this;
//			timepicker = self._timepicker;
//			timepicker.show(function(rs) {
//			var sj=rs.y.text+''+rs.m.text;
//			self._year = sj;
//			console.log(sj);
//			var va=rs.y.text+"年"+rs.m.text+"月";
//			document.getElementById('tjrq').innerText = va;
////			$("#mui-rq").empty();
//			self._pageData(sj);
//			timepicker.setSelectedValue();
////				$("#cgtj_list").empty();
////				self._pageData(sj, self._page);
////				mui('#pullrefresh').pullRefresh().refresh(true);
////				mui('#pullrefresh').pullRefresh().pullupLoading();
////				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
//			});
//		},
		/*
		 * 箭头切换
		 */
		upordown : function(gs){
			var self = this;
			plus.nativeUI.showWaiting();
				var upmonth=document.getElementById('tjrq').innerText;
				var upyears=upmonth.substr(0,4);
				var upmonths=upmonth.substr(5,2);
				var yearandmonth=upyears+""+upmonths;
				var yandm=V.utils.date._clickYear(gs,yearandmonth);
				if(yandm){
					var years=yandm.substr(0,4);
					var months=yandm.substr(4,2);
					if(months<10){
						months='0'+months;
					}
					document.getElementById('tjrq').innerText =years+"年"+months+"月";
					var sj=years+''+months;
					self._pageData(sj);
				}
		}
	});
})();