(function() {
	mui.KQDModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
			gestureConfig: {
				longtap: true //监听长按事件，默认false
			}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._pageSize = 12;
			self._page = 0; 
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			document.querySelector('#kqd_list').addEventListener('longtap', function(event) {
				self._dele(event);
			},true);
			document.querySelector('#kqd_list').addEventListener('tap', function(event) {
				self._djdetails(event);
			});
			document.querySelector('#add-kqd').addEventListener('tap', function() {
				self._adds();
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			mui.ajax(V.urls.baseServer + '/kqsp/kqspAction_selectKqsp', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					limit: self._pageSize,
					page: page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					//封装模板数据
					var rsHtml = template('kqd-template', {
						"record": data
					});
					var doc = document.getElementById('kqd_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
						//$('#cgtj_list').append(rsHtml);
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 长按删除
		 */
		_dele: function(event) {
			var self = this;
			if(!checkNetStatus()){
				return ;
			}
			plus.nativeUI.showWaiting();
			var target = $(event.target);
			var t = target.parents('li.mui-table-view-cell');
			var spid = t.attr("spid");
			var kqzt = t.attr("name");
			console.log(kqzt);
			console.log(spid);
			if(kqzt == '00'){
				plus.nativeUI.confirm("确定要删除该条信息吗?", function(e) {
					plus.nativeUI.closeWaiting();
					if(e.index==0){
		    		mui.ajax(V.urls.baseServer+'/kqsp/kqspAction_deleteKqsp',{
							data:{
								yhid:userModel.getYhid(),
								zzjgid:userModel.getZzjgid(),
								kqspid:spid
							},
							dataType:'json',//服务器返回json格式数据
							type:'post',//HTTP请求类型
							timeout:10000,//超时时间设置为10秒；
							success:function(data){
								plus.nativeUI.closeWaiting();
								if(data.result == 1){
									t.remove();
								}
							},
							error:function(xhr,type,errorThrown){
								//异常处理；
								plus.nativeUI.closeWaiting();
								mui.toast('删除失败');
								console.log(type);
							}
						});
		    	}
				},"",["确定", "取消"]);
			}else{
				mui.toast("只有单据状态为待审核时可以删除");
				plus.nativeUI.closeWaiting();
			}
		},
		/*
		 * 点击某条数据进入详情页
		 */
		_djdetails:function(){
			var target = $(event.target);
			var t = target.parents('li.mui-table-view-cell');
			var kqspid = t.attr("spid");
			console.log(kqspid);
			if(kqspid){
				var bbsdfsdf=mui.openWindow({
					url:"../common/details.html",
					id:"detail",
				});	
				window.plus.storage.setItem("ywid", kqspid);
			}
		},
		/*
		 * 进入添加界面
		 */
		_adds:function(){
			var webview = mui.openWindow({ 
				url: 'addspd.html',
				id: 'addspd'
			});
			webview.addEventListener('loaded', function() {
				mui.fire(webview, 'pageShow');
			});	
		}
	});
})();