(function() {
	mui.ADDRWModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self.rwid;//列表页面传过来的值，为修改所用
			self.canyumanid;
			self.canyuman;
			self.canyumanvalues = [];
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self.webview=plus.webview.currentWebview().id;//当前界面的id
			self.timepicker = new mui.DtPicker({"type":"date"});
			/*
			 * 默认开始时间
			 */
			var nowDate = new Date();
			self.nowYear = nowDate.getFullYear();
			self.nowMonth = nowDate.getMonth() + 1;
			self.nowDay = nowDate.getDate();
			if (self.nowMonth<10) {
				self.nowMonth = '0' + self.nowMonth;
			};
			if (self.nowDay<10) {
				self.nowDay = '0' + self.nowDay;
			};
			var dates=self.nowYear+"-"+self.nowMonth+"-"+self.nowDay;
			document.getElementById("startdate").value=dates;
			/*
			 * 判断短信发送是否
			 */
			self._getDX();
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			/**
			 * 选择开始时间
			 */
			document.getElementById('startdate').addEventListener('tap', function(e) {
				self.timepicker.show(function(rs) { 
					document.getElementById('startdate').value = rs.text; 
					self.timepicker.setSelectedValue();	
				});
			});
			/*
			 * 添加刷新
			 */
			window.addEventListener('showNewPage',function(event){
			  //获得事件参数
			  self.backid=event.detail.backWebviewId;
			   document.getElementById("mui-title").innerHTML="新增任务";
			});
			/*
			 *修改刷新 
			 */
			window.addEventListener('bj_load',function(event){
			  //获得事件参数
			  self.backid=event.detail.backWebviewId;
			  self.rwid=event.detail.rwid;
			  document.getElementById("mui-title").innerHTML="修改任务";
			  self._updateRw(self.rwid);
			});
			/**
			 * 定义报销审批人事件
			 */
			document.getElementById('people').addEventListener('tap', function(event) {
				if(self.rwid){//修改界面的参与人修改
					self._showcanman(1);
				}else{//添加界面的参与人的添加
					self._showcanman(0);
				}
			});
			/*
			 * 获取界面传过来的参与人
			 */
			window.addEventListener('eventBackStaff',function(event){
			  //获得事件参数
			  //returnobj 会原封不动的回传回来，使用returnobj 来区分是哪个按钮点击触发
				var returnobj = event.detail.returnObj;
				var names = event.detail.names; //会议人名字
				var values = event.detail.values; //会议人ID
				if (returnobj == 'canyu') {
					$('#canyuman').val(names);
					$('#canyumanId').val(values);
					self.canyumanvalues = values;
				}
			});
			/*
			 * 提交表单（添加）
			 */
			document.getElementById('button-yes').addEventListener("tap",function(event){
				self._editRWData();
			});
		},
		/*
		 *跳转另一个界面来选择参考人
		 */
		_showcanman: function(type){
			var self=this;
			plus.storage.setItem("allLxr");
			if(type==1){//修改界面的参与人修改
				if(self.canyumanid && self.canyuman){
					var nmid = self.canyumanid.split(',');
					var nm = self.canyuman.split(',');
					console.log(nm + "---" + nmid);
				}
				plus.storage.setItem("allLxr");//进入选择人员页面，是否有选择自己的标志
				var web = mui.openWindow({
					url: '../common/staff-select.html?webviewid=add_rw',
					id: 'page-staff-select'
				});
				//跳入页面，让页面渲染出来后，再执行
				web.addEventListener('loaded',function(){
					mui.fire(web, 'eventInitStaff', {
						values: self.canyumanvalues,
						returnObj: 'canyu',
						names: nm,
						values: nmid
					});
				});
			}else{//添加界面的参与人的添加
				var wgryWeb = mui.openWindow({ 
					url: '../common/staff-select.html?webviewid=add_rw',
					id: 'page-staff-select'
				});
				wgryWeb.addEventListener('loaded',function(){
					mui.fire(wgryWeb, 'eventInitStaff', {
						values: self.canyumanvalues,
						returnObj: 'canyu'
					});
				});
			}
		},
		/*
		 *判断短信发送是否 
		 */
		_getDX:function(){
			var self=this;
			mui.ajax(V.urls.baseServer + '/hy/hyAction_selectPZXZ', {
				data: {
					zzjgid:userModel.getZzjgid(),
					pzxlx:'15'
				},
				dataType:'json',
				type: 'get', //HTTP请求类型
				success: function(datas) {
					if(datas.isTz==1){
						$("#mui-input-row").show();
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		},
		/**
		 * 数据验证，封装
		 */
		_validateData: function(){
			var self = this;
			var data = {
				isok: true
			};
			if(self.rwid){//修改
				data.a = 'DP_BA_RWGL.UPDATE_RW';
			}else{//添加
				data.a = "DP_BA_RWGL.INSERT_RW";
			}
			//用户id 临时调试 ，带用户登录功能实现后获取用户信息
			data.p1= userModel.getYhid();
			//组织ID
			data.p2= userModel.getZzjgid();
			//任务描述
			data.p3=document.getElementById('miaoshu').innerText;
			//开始时间
			data.p4=document.getElementById('startdate').value;
			//重要程度【01：重要    02：普通】
			data.p5=$("input[name='radio-impcom']:checked").val(); 
			//是否公开【01：公开    02：不公开】
			data.p6=$("input[name='radio-openclose']:checked").val(); 
			//发送短信【0：发送    1：不发送】
			data.p7=$("input[name='radio-yesno']:checked").val(); 
			//任务状态【01：进行中    02：已完成】
			data.p8=$("input[name='radio-ingfinish']:checked").val(); 
			
			if(self.rwid){//修改
				data.p9 = self.rwid;
				//参会人员
				if (mui.isArray(self.canyumanvalues)) {
					data.p10 =document.getElementById('canyumanId').value+",";
				}
			}else{//添加
				//参会人员
				if (mui.isArray(self.canyumanvalues)) {
					data.p9 =self.canyumanvalues.toString()+",";
				}
			}
			
			if (V.utils.valid.trim(data.p3) == '') {
				mui.toast('请填写任务描述');
				data.isok = false;
			}
			if (V.utils.valid.trim(data.p4) == '') {
				mui.toast('请选择开始时间');
				data.isok = false;
			}
			return data; 
		},
		/**
		 * 公告入库
		 */
		_editRWData: function(){
			var self = this;
			var data = self._validateData();
			if(data.isok == false){
				return;
			};
			console.log(JSON.stringify(data));
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseNewServer,{
				data:data,
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(rs) {
					console.log("数据："+JSON.stringify(rs));
					plus.nativeUI.closeWaiting();
					if(rs.r==1){//成功
						var webview = plus.webview.getWebviewById(self.backid);
						mui.fire(webview, 'eventBackEditRwq');//刷新主页
						mui.back();
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		},
		/*
		 * 点击修改，参数的赋值
		 */
		_updateRw:function(rwid){
			var self=this;
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a: "DP_BA_RWGL.SELECT_RW",
					p1: userModel.getYhid(),
					p2: userModel.getZzjgid(),
					p3: rwid
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型 
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log("数据："+JSON.stringify(data));
					var yhxx = data.data;
					if(!jQuery.isEmptyObject(yhxx)){   //判断值是否为空 我是一个秋天的树
						if(yhxx.hasOwnProperty('D2')){//判断是否有这个值(任务描述)
							document.getElementById('miaoshu').innerText=yhxx.D2;
						}
						if(yhxx.hasOwnProperty('D3')){//参与人ID
							$('#canyumanId').val(yhxx.D3);
							self.canyumanid=yhxx.D3;
						}
						if(yhxx.hasOwnProperty('D4')){//参与人名字
							$('#canyuman').val(yhxx.D4);
							self.canyuman=$('#canyuman').val();
						}
						if(yhxx.hasOwnProperty('D5')){//开始时间
							$("#startdate").val(yhxx.D5);
						}
						if(yhxx.hasOwnProperty('D6')){//重要程度
							if(yhxx.D6=='01'){
								$("#imp").attr("checked",true);
							}else{
								$("#com").attr("checked",true);
							}
						}
						if(yhxx.hasOwnProperty('D7')){//是否公开
							if(yhxx.D7=='1'){
								$("#open").attr("checked",true);
							}else{
								$("#close").attr("checked",true);
							}
						}
						if(yhxx.hasOwnProperty('D8')){//发送短信
							if(yhxx.D8=='1'){
								$("#yes").attr("checked",true);
							}else{
								$("#no").attr("checked",true);
							}
						}
						if(yhxx.hasOwnProperty('D9')){//任务状态
							if(yhxx.D9=='01'){
								$("#ing").attr("checked",true);
							}else{
								$("#finish").attr("checked",true);
							}
						}
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('网络异常');
				}
			});
		},
		
		
		
		

	
	
	
	});
})();



	var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘
	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}
	if(isIPHONE){
		new objBlur("miaoshu");
		new objBlur("startdate");
	};