var nativeWebview, imm, InputMethodManager;
var initNativeObjects = function() {
	if(mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
};
var showSoftInput = function(callback) {
	var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	if(mui.os.android) {
		//强制当前webview获得焦点
		plus.android.importClass(nativeWebview);
		nativeWebview.requestFocus();
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(callback, 200);
	//  setTimeout(function() {
	//     //此处可写具体逻辑设置获取焦点的input
	//   //  var inputElem = document.querySelector('input');
	//      //      inputElem.focus(); 
	//            
	//       document.getElementById("extarea-add-msg").focus();    
	//      // mui('.mui-scroll-wrapper').scroll().refresh();
	//  }, 200);
};
mui.init({
	gestureConfig: {
		longtap: true //监听长按事件，默认false
	}
});

(function() {
	mui.RWQBZModel = mui.Class.extend({
		init: function(options) {
           mui('.mui-scroll-wrapper').scroll();
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});

		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._page = 0;
			self._countp = -1;
			self._bzid = '';
			self._bzmsg = '';
			self.rwid = '';
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			window.addEventListener('loaddata', function(event) {
				console.log(JSON.stringify(event.detail));
				self.rwid = event.detail.rwid;
				//document.getElementById("mytitle").innerText = event.detail.rwmc;
				self.loadData(true);
			});
			document.getElementById("btn-add").addEventListener('tap', function() {
				self._bzid = '';
				self._bzmsg = '';
				document.getElementById("extarea-add-msg").value = '';
				document.getElementById("middlePopover").style.marginTop = (document.body.scrollTop - 20) + 'px';
				mui('.mui-popover').popover('toggle', document.getElementById("mytitle"));
				//				mui('.mui-popover').popover('toggle', document.getElementById("btn-add"));
			});

			document.getElementById("btn-add-msg").addEventListener('tap', function() {
				var bzid = self._bzid;

				showSoftInput(function() {
					document.getElementById("extarea-add-msg").blur();
				});
				if(!bzid) { //add bz
					//document.getElementById("extarea-add-msg").value = '';
					self._addUpdate('');
				} else { // update bz

					//document.getElementById("extarea-add-msg").value = self._bzmsg;
					self._addUpdate(bzid);
				}

			});

			document.getElementById('bzlist').addEventListener("tap", function(e) {
				self._getbzid(e);
			});
			document.getElementById('bzlist').addEventListener("longtap", function(e) {
				self._delBz(e);
			});
			mui('body').on('shown', '.mui-popover', function(e) {
				//var web=plus.webview.currentWebview();
				document.getElementById('bodybj').style.backgroundColor='white';
				console.log(document.body.scrollTop);

				//console.log('shown', e.detail.id);//detail为当前popover元素
				//self._getbzid(e);
				//document.getElementById("btn-ff").style.display='none';
				document.getElementById("btn-ff").style.zIndex = 0;
				var bzid = self._bzid;
				//console.log(bzid);
				if(!bzid) { //add bz
					document.getElementById("extarea-add-msg").value = '';

				} else { // update bz
					document.getElementById("extarea-add-msg").value = self._bzmsg;

				}

				//setTimeout(function(){
				//mui.trigger(document.getElementById("extarea-add-msg"),'tap');
				//document.getElementById("extarea-add-msg").focus();
				showSoftInput(function() {
					//console.log(141);
					document.getElementById("extarea-add-msg").focus();
				});
				//},1000);
			});
			mui('body').on('hidden', '.mui-popover', function(e) {
				//document.getElementById("btn-ff").style.display='block';
				document.getElementById("btn-ff").style.zIndex = 10000;
				document.getElementById('bodybj').style.backgroundColor='white';
				self._bzid = '';
				self._bzmsg = '';
			});

		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			initNativeObjects();
		},
		_addUpdate: function(bzid) {
			var self = this;
			var bznr = document.getElementById("extarea-add-msg").value;
			if(bznr.trim().length > 250) {
				mui.toast('备注不能超过250个字符');
				return;
			} else if(bznr.trim().length == 0) {
				mui.toast('备注不能为空');
				return;
			}
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a: 'DP_BA_RWGL.saveOrUpdate_RWBZ',
					//					p1: '1',
					//					p2: '1',
					p1: userModel.getYhid(),
					p2: userModel.getZzjgid(),
					p3: self.rwid,
					p4: bzid,
					p5: bznr
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					//console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					document.getElementById('bodybj').style.backgroundColor='white';
					if(data.r == 1) {
						mui('.mui-popover').popover('hide');
						//mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
						mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);
						self.loadData(false);

						//						var webview = plus.webview.getWebviewById('sub_rwq');
						//						mui.fire(webview, 'eventBackEditRwq');//刷新主页						

					} else {
						mui.toast(V.msg.noNet);
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast(V.msg.noNet);
				}
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		loadData: function(isup) {
			var self = this;
//			var page = 0;
//			if(isup === true) {
//				if(self._countp == -1) {
//					self._page = 1;
//					self._countp = 0;
//					page = 1;
//				} else {
//					self._page++;
//					page = self._page;
//				}
//			} else {
//				self._page = 1;
//				page = 1;
//			}
			//console.log(page);
			mui.ajax(V.urls.baseNewServer, {
				data: {
					//r: self._pageSize,
					//t: self._countp,
					//p: page,
					a: 'DP_BA_RWGL.SELECT_RW_BZ',
					//					p1: '1',
					//					p2: '1',
					p1: userModel.getYhid(),
					p2: userModel.getZzjgid(),
					p3: self.rwid
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					//封装模板数据

					if(data.r == '1') {
						var total = data.list.t;
						self._countp = total;
						//console.log(total);
						var rsHtml = template('tpl-bz', {
							"record": data.list
						});
						var doc = document.getElementById('bzlist');
						//if(isup != true) {
							doc.innerHTML = rsHtml;
							//mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
							//mui('#pullrefresh').pullRefresh().refresh(true);
						//} else {
							//mui('#pullrefresh').pullRefresh().endPullupToRefresh((total <= page));
							//var html = doc.innerHTML;
							//doc.innerHTML = html + rsHtml;
						//}

					}
					//mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					console.log(errorThrown);
					plus.nativeUI.closeWaiting();
					mui.toast(V.msg.noNet);

				}
			});
			
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a : 'DP_BA_RWGL.SELECT_RWXQ',
					p1 : userModel.getYhid(),
					p2 : userModel.getZzjgid(),
					p3 : self.rwid
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					//alert(JSON.stringify(data)); 
					plus.nativeUI.closeWaiting();
					//document.getElementById('rwms').innerText=data.data.D2;
					//document.getElementById('rwxq').innerText=data.data.D3;
					document.getElementById('mytitle').innerText=data.data.D2;
					//document.getElementById('rwms').innerText=data.data.D2; 
					document.getElementById('rwzt').innerText=data.data.D4;
					document.getElementById('zyjb').innerText=data.data.D6;
					document.getElementById('sfbm').innerText=data.data.D7;
					document.getElementById('rwzq').innerText=data.data.D8;
					document.getElementById('cyry').innerText=data.data.D9;
					document.getElementById('rwxq').style.display='block';
				}, 
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		},
		_getbzid: function(e) {
			var self = this;
			var tartget = e.target;
			//console.log(tartget);
			//var bzid;
			if(tartget.parentNode) {
				var bz = tartget.parentNode;
				var bzid = bz.getAttribute('bzid');
				if(bzid) {
					self._bzid = bzid;
					var ns = tartget.nextElementSibling; //获得s的下一个兄弟节点 
					//console.log(ns);
					if(ns) {
						var lc = ns.children[0];
						//console.log(lc);
						//console.log(lc.innerText);
						self._bzmsg = lc.innerText;
						document.getElementById("middlePopover").style.marginTop = (document.body.scrollTop - 20) + 'px';
						mui('.mui-popover').popover('toggle', document.getElementById("mytitle"));
					}
				}
			}

		},
		_delBz: function(e) {
			var self = this;
			var tartget = e.target;
			//console.log(tartget.parentNode);
			var bzid;
			if(tartget.parentNode && tartget.parentNode.parentNode) {
				var bz = tartget.parentNode.parentNode;
				bzid = bz.getAttribute('bzid');
			}

			if(!bzid) {
				return;
			}
			plus.nativeUI.confirm("确定要删除备注吗?", function(e) {
				if(e.index == 0) {
					if(!checkNetStatus()) {
						return;
					}
					plus.nativeUI.showWaiting();
					mui.ajax(V.urls.baseNewServer, {
						data: {
							a: 'DP_BA_RWGL.DEL_RWBZ',
							p1: userModel.getYhid(),
							p2: userModel.getZzjgid(),
							p3: bzid
						},
						dataType: 'json', //服务器返回json格式数据
						type: 'get', //HTTP请求类型
						//timeout: 10000, //超时时间设置为10秒；
						success: function(data) {
							console.log(JSON.stringify(data));
							plus.nativeUI.closeWaiting();
							if(data.r == 1) {
								var obj = tartget.parentNode.parentNode.parentNode;
								obj.parentNode.removeChild(obj);

								//	mui.toast('删除成功');
							}
						},
						error: function(xhr, type, errorThrown) {
							plus.nativeUI.closeWaiting();
							//异常处理； 
							mui.toast('网络异常');
						}
					});
				}
			}, "", ["确定", "取消"]);
		}
	});
})();


mui.ready(function() {
	var model = new mui.RWQBZModel();		
});
