(function() {
	mui.RWQModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._page =1; 
			self.viewid;
			self.cyrid;
			self.cjzid;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;

			//判断长按还是点击htlx
			document.getElementById('jxz_list').addEventListener("longtap",function(event){
				self._checkHtgl(1,event);
			});
//			document.getElementById('jxz_list').addEventListener("tap",function(event){
//				self._checkHtgl(2,event);
//			});
			
			
			//点击添加，跳到添加界面
			document.getElementById('add-bx').addEventListener("tap",function(e){
				var webview=mui.openWindow({
					url:'add_rw.html',
					id:'add_rw'
				});
				var backWebviewId = plus.webview.currentWebview().id;
				webview.addEventListener('loaded',function(){
					mui.fire(webview,'showNewPage',{
						backWebviewId:backWebviewId
					});
				});
			});
			
			
			document.getElementById("jxz_list").addEventListener("tap",function(event){
				var target = $(event.target);
				var target_html = target.html();
				console.log(target_html);
				if(target_html == "编辑"){
					self._bj(event);//编辑
				}else if(target_html == "备注"){
					self._bz(event);//备注
				}else{
					self._checkHtgl(2,event);
				}
			});
						
//			document.getElementById("jxz_list").addEventListener("tap",function(event){
//				
//			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;		
			//返回的回调函数
			window.addEventListener('eventBackEditRwq',function(event){
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			});
		},
		/* 
		 * 备注
		 */
		_bz:function(event){
			var self=this;
			var target = $(event.target);
//			console.log(target.html());
			var rwid = target.attr("rwid");
			self.cyrid = target.attr("cyrid");
//			console.log(rwid+"----"+self.cyrid+"当前用户id"+userModel.getYhid());
			var rwmc = target.parents(".bzss").find(".title_rwmc").html();
//			console.log(rwmc);
			
			var dqid = self.cyrid;
			var dqyhids =  userModel.getYhid();
//			console.log(dqid+"用户id:"+dqyhids);
			if(rwid && rwmc && dqid.indexOf(dqyhids) != -1){
//				console.log(rwid+"---任务名称："+rwmc);
				var webview=mui.openWindow({
					url: 'rwq-bz.html',
					id: 'rwq-bz'
				});
				webview.addEventListener('loaded',function(){
					mui.fire(webview,'loaddata',{
						rwid:rwid,
						rwmc:rwmc
					});
				});
			}
		},
		/* 
		 * 编辑
		 */
		_bj:function(event){
			var self=this;

			var target = $(event.target);
			console.log(target.html());


			var rwid = target.attr("rwid");
			self.cjzid = target.attr("cjzid");
//			console.log(rwid+"----"+self.cjzid);
			
			if(rwid && userModel.getYhid() == self.cjzid){
//				if(userModel.getYhid() == self.cjzid){
					var webview=mui.openWindow({
						url: 'add_rw.html',
						id: 'add_rw'
					});
					var backWebviewId = plus.webview.currentWebview().id;
					webview.addEventListener('loaded',function(){
						mui.fire(webview,'bj_load',{
							rwid:rwid,
							backWebviewId:backWebviewId
						});
					});
//				}
			}
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:'DP_BA_RWGL.SELECT_RW_JX',
					p1:userModel.getYhid(),
					p2:userModel.getZzjgid(),
					p:page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data.list));
					var dq_yhid = userModel.getYhid();
					console.log(dq_yhid);
					//封装模板数据
					var rsHtml = template('jxz-template', {
						"record": data.list,
						"dq_yhid": dq_yhid
					});
					var doc = document.getElementById('jxz_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
						
					}
//					console.log(doc.innerHTML);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.list.t <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 长按或单击
		 */

		_checkHtgl:function(sz,event){
			var self=this;

			var target = $(event.target);
//			console.log(target.html());

			var t = target.parents('li.nbli');			
//			console.log(t.html());
			
			var ss = target.parents(".ss");
//			console.log(ss.html());
			var rwid = t.attr('rwid');
			self.cyrid = t.attr('cyrid');
			self.cjzid = t.attr('cjzid');
//			console.log(rwid+"-------"+"哈哈"+self.cyrid+"--------"+self.cjzid);
			var t = target;
			if(sz==1){//长按删除
				if(rwid!=null&&self.cjzid == userModel.getYhid()){
						plus.nativeUI.confirm("确定要删除该条信息吗?", function(e) {
						if (e.index == 0) {
							if (!checkNetStatus()) {
								return;
							}
							plus.nativeUI.showWaiting();
							mui.ajax(V.urls.baseNewServer, {
								data: {
									a:'DP_BA_RWGL.DELETE_RW',
									p1:userModel.getYhid(),
									p2:userModel.getZzjgid(),
									p3:rwid
								},
								dataType:'json',
								type: 'get', //HTTP请求类型
								success: function(data) {
									console.log(JSON.stringify(data));
									plus.nativeUI.closeWaiting();
									if(data.r==1) {
										ss.remove();
										mui.toast(data.val);
									}else{
										mui.toast(data.val);
									}
								},
								error: function(xhr, type, errorThrown) {
									plus.nativeUI.closeWaiting();
									mui.toast('网络异常');
								}
							});
						}
						},"",["确定", "取消"]);

				}
			}else{//点击查看详情
				if(rwid!=null&&self.cyrid.indexOf(userModel.getYhid()) != -1){
					console.log(rwid);
					var webview=mui.openWindow({
						url: 'rwq_xq.html',
						id: 'rwq_xq'
					});
					webview.addEventListener('loaded',function(){
						mui.fire(webview,'showRwxqPage',{
							rwid:rwid
						});
					});
				}
			}
		}
	});
})();

