(function() {
	mui.YWCModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				},
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._page =1; 
			self.viewid;
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			document.getElementById('ywc_list').addEventListener("tap",function(e){
				self._checkHtgl(e);
			});
			
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self.viewid=plus.webview.currentWebview().id;		
			//返回的参数(添加和修改)
			window.addEventListener('eventBackEditRwq',function(event){
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			mui.ajax(V.urls.baseNewServer, {
				data: {
					a:'DP_BA_RWGL.SELECT_RW_WC',
					p1:userModel.getYhid(),
					p2:userModel.getZzjgid(),
					p:page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data.list));
					var dq_yhid = userModel.getYhid();
					console.log(dq_yhid);
					//封装模板数据
					var rsHtml = template('ywc-template', {
						"record": data.list,
						"dq_yhid": dq_yhid
					});
					var doc = document.getElementById('ywc_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.list.t <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 选择合同类型
		 */

		_checkHtgl:function(sz,e){
			var self=this;
			var target = $(event.target);
//			console.log(target.html());

			var t = target.parents('li.mui-table-view-cell');			
//			console.log(t.html());
			
			var rwid = t.attr('rwid');
			self.cyrid = t.attr('cyrid');
			self.cjzid = t.attr('cjzid');
//			console.log(rwid+"-------"+"哈哈"+self.cyrid+"--------"+self.cjzid);
			var t = target;
			if(rwid!=null&&self.cyrid.indexOf(userModel.getYhid()) != -1){
				var webview=mui.openWindow({
					url: 'rwq_xq.html',
					id: 'rwq_xq'
				});
				webview.addEventListener('loaded',function(){
					mui.fire(webview,'showRwxqPage',{
						rwid:rwid
					});
				});
			}
		}
	});
})();

