(function() {
	mui.DSPModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._pageSize = 12;
			self._page =1; 
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			//点击审批
			document.getElementById('dsp_list').addEventListener('tap', function(e) {
				self._showNext(e);
			});
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
		},
		/**
		 * 后台数据交互
		 * @param {Object} page  页码
		 */
		_pageData: function(page) {
			var self = this;
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseServer + '/sp/spAction_selectDsp', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					limit: self._pageSize,
					page: page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					plus.nativeUI.closeWaiting();
					//封装模板数据
					var rsHtml = template('dsp-template', {
						"record": data
					});
					var doc = document.getElementById('dsp_list');
					if (page == 1) {
						doc.innerHTML = rsHtml;
					} else {
						var html = doc.innerHTML;
						doc.innerHTML = html + rsHtml;
					}
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 自定义方法，eg
		 */
		_showNext: function(e) {
			var self = this;
			var target = e.target;
			var clsname = target.className;
			if (clsname.indexOf('spzt') >= 0) { 
				target = target.childNodes[1];
			}
			
			var spid = target.getAttribute('spid');
			var splx = target.getAttribute('splx');
			var spywid = target.getAttribute('spywid');
			var bdr = target.getAttribute('bdr');
			var shrid = target.getAttribute('shrid');
			if(spid){
				var aa=mui.openWindow({ 
					url:'sp-bills.html',
					id:'sp-bills'
				});
				
				mui.fire(aa,'opensps',{
				    shenpid:spid,
				    shenplx:splx,
				    shenpywid:spywid,
				    bdr:bdr,
				    shrid:shrid
			  	});
			}else{
				if (clsname.indexOf('vst-text') >= 0) { 
					target = target.parentNode.parentNode.parentNode;
				}else if(clsname.indexOf('mui-table-cell') >= 0){
					target = target.parentNode.parentNode;
				}else if(clsname.indexOf('mui-table') >= 0){
					target = target.parentNode;
				}
				var spid = target.getAttribute('ywid');
				if(spid){
					mui.openWindow({
						url:"../common/details.html",
						id:"detail"
					});
					window.plus.storage.setItem("ywid", spid);
				}
			}
		},
		
		
	});
})();

