(function() {
	mui.ADDRCModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				gestureConfig: {
					longtap: true //监听长按事件，默认false
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			self.webview=plus.webview.currentWebview().id;//当前界面的id
			self.timepicker1 = new mui.DtPicker({
				customData: {
				"i": [{
					"text": "00",
					"value": "00"
				}, {
					"text": "10",
					"value": "10"
				}, {
					"text": "20",
					"value": "20"
				}, {
					"text": "30",
					"value": "30"
				}, {
					"text": "40",
					"value": "40"
				}, {
					"text": "50",
					"value": "50"
				}]
			}});
			self.timepicker2 = new mui.DtPicker({
				customData: {
				"i": [{
					"text": "00",
					"value": "00"
				}, {
					"text": "10",
					"value": "10"
				}, {
					"text": "20",
					"value": "20"
				}, {
					"text": "30",
					"value": "30"
				}, {
					"text": "40",
					"value": "40"
				}, {
					"text": "50",
					"value": "50"
				}]
			}});
			
			/*
			 * 设置开始和结束时间的默认值
			 */
			if(!self.rcid){
				self._setdate();
			}
			
			var fidate=document.getElementById("finishdate").value;
			if(fidate){
				document.getElementById("clearfdate").style.display='block';
			}else{
				document.getElementById("clearfdate").style.display='none';
			}
			
			/*
			 *选择时间时，时间列表中显示的默认时间
			 */
			var sj1=document.getElementById("startdate").value;
			self.timepicker1.setSelectedValue(sj1);
			self.timepicker2.setSelectedValue();
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			/**
			 * 选择开始时间
			 */
			document.getElementById('startdate').addEventListener('tap', function(e) {
				self.timepicker1.show(function(rs) { 
					document.getElementById('startdate').value = rs.text; 
				});
			});
			
			/**
			 * 选择结束时间
			 */
			document.getElementById('finishdate').addEventListener('tap', function(e) {
				self.timepicker2.show(function(rs) {
					document.getElementById('finishdate').value = rs.text; 
					var fdate=document.getElementById("finishdate").value;
					if(fdate){
						document.getElementById("clearfdate").style.display='block';
					}else{
						document.getElementById("clearfdate").style.display='none';
					}
				});
			});
			
			/*
			 * 添加刷新
			 */
			window.addEventListener('showNewPage',function(event){
			  //获得事件参数
			   self.backid=event.detail.backWebviewId;
			   document.getElementById("mui-title").innerHTML="新增日程";
			});
			/*
			 *修改刷新 
			 */
			window.addEventListener('refresh_uprc',function(event){
			  	document.getElementById("mui-title").innerHTML="修改日程";
			    //获得事件参数
			    self.backid=event.detail.backWebviewId;
			    self.rcid=event.detail.rcid;
			    var rcms=event.detail.rcms;
			    console.log(rcms);
			    var startdate=event.detail.kssj;
			    var finishdate=event.detail.jssj;
			    var zyx = event.detail.zyx;
			    console.log(zyx);
			    if(zyx == '01'){
					$("#imp").attr("checked",true);
				}else{
					$("#com").attr("checked",true);
				}
			    self._updateRw(rcms,startdate,finishdate,zyx);
			    self.initEvent();//更新修改界面的开始和结束时间
			});
			/*
			 * 
			 */
			document.getElementById("clearfdate").addEventListener("tap",function(event){
				$("#finishdate").val("");
				var fdate=document.getElementById("finishdate").value;
				if(fdate){
					document.getElementById("clearfdate").style.display='block';
				}else{
					document.getElementById("clearfdate").style.display='none';
				}
			});

			/*
			 * 提交表单（添加）
			 */
			document.getElementById('button-yes').addEventListener("tap",function(event){
				self._editRWData();
			});
		},
		/*
		 * 设置默认时间
		 */
		_setdate:function(){
			var self=this;
			/*
			 * 默认开始时间
			 */
			var nowDate = new Date();
			self.nowYear = nowDate.getFullYear();
			self.nowMonth = nowDate.getMonth() + 1;
			self.nowDay = nowDate.getDate();
			self.nowhours = nowDate.getHours();
			self.nowminutes = nowDate.getMinutes();
			if (self.nowMonth<10) {
				self.nowMonth = '0' + self.nowMonth;
			};
			if (self.nowDay<10) {
				self.nowDay = '0' + self.nowDay;
			};
			if (self.nowhours<10) {
				self.nowMonth = '0' + self.nowhours;
			};
			if (self.nowminutes<10) {
				self.nowminutes = '0' + self.nowminutes;
			};
			
			var hour=self.nowhours+1;
			if(self.nowminutes>0 && self.nowminutes<30){//如果当前分钟为0-20之间，则分钟为30
				var minute=30;
			}else if(self.nowminutes>30 && self.nowminutes<60){//如果当前分钟为31-59之间，则分钟为00
				hour=hour+1;
				var minute=00;
			}else if(self.nowminutes==30 || self.nowminutes==0){
				var minute=30;
			}
			if (hour<10) {
				hour = '0' + hour;
			};
			if (minute<10) {
				minute = '0' + minute;
			};
			//开始时间
			var dates=self.nowYear+"-"+self.nowMonth+"-"+self.nowDay+" "+hour+":"+minute;
			document.getElementById("startdate").value=dates;
			//结束时间
//			hour=hour+1;
//			self.datess=self.nowYear+"-"+self.nowMonth+"-"+self.nowDay+" "+hour+":"+minute;
//			document.getElementById("finishdate").value=dates;
		},
		/**
		 * 数据验证，封装
		 */
		_validateData: function(){
			var self = this;
			var data = {
				isok: true
			};
			if(self.rcid){//修改
				data.a = 'DP_BA_RCGL.UPDATE_RC';
				data.p7 = self.rcid;
			}else{//添加
				data.a = "DP_BA_RCGL.INSERT_RC";
			}
			//用户id 临时调试 ，带用户登录功能实现后获取用户信息
			data.p1= userModel.getYhid();
			//组织ID
			data.p2= userModel.getZzjgid();
			//任务描述
			data.p3=document.getElementById('rcms').innerText;
			//开始时间
			data.p4=document.getElementById('startdate').value;
			//结束时间
			data.p5=document.getElementById('finishdate').value;
			
			//重要性【01：一般    02：重要】
			data.p6=$("input[name='radio-impcom']:checked").val(); 
			console.log(data.p6);
			
			if (V.utils.valid.trim(data.p3) == '') {
				mui.toast('请输入任务描述');
				data.isok = false;
			}else{
				if(data.p3.length>26){
					mui.toast("任务描述长度不能超出25个汉字");
					data.isok = false;
				}
			}

			if (V.utils.valid.trim(data.p4) == '') {
				mui.toast('请选择开始时间');
				data.isok = false;
			}
			
			if(data.p5){
				if(data.p4>data.p5){//则开始时间大于结束时间
					mui.toast('开始时间不能大于结束时间');
					data.isok = false;
				}
			}
			
			
			return data; 
		},
		/**
		 * 日程入库
		 */
		_editRWData: function(){
			var self = this;
			var data = self._validateData();
			if(data.isok == false){
				return;
			};
			console.log(JSON.stringify(data));
			plus.nativeUI.showWaiting();
			mui.ajax(V.urls.baseNewServer,{
				data:data,
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(rs) {
					console.log("数据："+JSON.stringify(rs));
					plus.nativeUI.closeWaiting();
					if(rs.r==1){//成功
						var webview = plus.webview.getWebviewById(self.backid);
						if(self.rcid){
							mui.fire(webview, 'eventBackEditRcgl');//刷新主页(修改)
						}else{
							mui.fire(webview, 'eventBackAddRcgl');//刷新主页(添加)
						}
						mui.back();
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
				}
			});
		},
		/*
		 * 点击修改，参数的赋值
		 */
		_updateRw:function(rcms,startdate,finishdate,zyx){
			var self=this;
			document.getElementById('rcms').innerText = rcms;
			document.getElementById('startdate').value = startdate;
			document.getElementById('finishdate').value = finishdate;
			console.log(zyx);
			
		},
	});
})();


	var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;// 元素失去焦点隐藏iphone的软键盘
	function objBlur(id){
		if(typeof id != "string") 
			throw new Error("objBlur()参数错误");  
			var obj = document.getElementById(id),  
			time = 300,     
			docTouchend = function(event){      
				if(event.target!= obj){
					obj.blur();         
					document.removeEventListener("touchend", docTouchend,false);
				}       
			};
		if(obj){     
			obj.addEventListener("focus", function(){     
				document.addEventListener("touchend", docTouchend,false);    
			},false);   
		}else{     
			throw new Error("objBlur()没有找到元素");   }
	}
	if(isIPHONE){
		new objBlur("rcms");
		new objBlur("startdate");
		new objBlur("finishdate");
	};