var pays={};
function plusReady(){
	// 获取支付通道
	plus.payment.getChannels(function(channels){//参考网站：http://www.html5plus.org/doc/zh_cn/payment.html
		var content=document.getElementById('dcontent');
		var info=document.getElementById("info");
		var txt="支付通道信息：";
		for(var i in channels){
			console.log(JSON.stringify(channels));
			var channel=channels[i];
			pays[channel.id]=channel;
			txt += "id:"+channel.id+", ";//支付通道标识：alipay/wxpay
			txt += "description:"+channel.description+", ";//访问支付插件：支付宝/微信
			txt += "serviceReady:"+channel.serviceReady+"； ";//支付通道服务是否安装：true or false
			var de=document.createElement('div');
			de.setAttribute('class','button');
			de.setAttribute('onclick','pay(this.id)');
			de.id=channel.id;
			de.innerText=channel.description+"支付";
			content.appendChild(de);
			checkServices(channel);
		}
		info.innerText=txt;
	},function(e){
		outLine("获取支付通道失败："+e.message);
	});
}
document.addEventListener('plusready',plusReady,false);
/*
			 * PaymentChannel（支付通道对象）对象表示特定的支付通道，用于向系统请求支付操作。
			 * 属性：
			 * id: 支付通道标识
			 * description: 支付通道描述
			 * serviceReady: 支付通道服务是否安装
			 * 方法：
			 * installService: 安装支付通道依赖的服务
			 * requestOrder: 向IAP服务器请求支付订单
			 * restoreComplateRequest: 向IAP服务器请求已经购买的非消耗性商品和订阅商品
			 * 
			 * id支付通道标识
			 * 说明：
			 * String 类型 只读属性用于标识支付通道，如“alipay”表示支付宝、“wxpay”表示微信支付、“appleiap”表示苹果应用内支付、“qhpay”表示360聚合支付（仅360手助流应用环境下支持）。
			 * 
			 * description支付通道描述
			 * 说明：
			 * String 类型 只读属性支付通道的描述信息，如“支付宝”、“微信”、“In-App Purchase”、“360聚合支付”。
			 * 
			 * serviceReady支付通道服务是否安装
			 * 说明：
			 * Boolean 类型 只读属性通常特定的支付通道依赖系统安装相关的服务，此属性用于标识其服务是否安装，如果没有安装则为false，否则为true。 若系统环境中没有安装相关的服务，则可能导致调用支付操作失败，这时可以调用installService方法进行安装。 注意：如果支付通道不需要依赖系统安装服务，则永远返回true。例如支付宝，如果设备上未安装支付宝客户端则调用Wap页面进行支付，因此值固定返回true； 而微信支付则依赖微信客户端，如果设备上未安装微信客户端则serviceReady值为false，此时应该提示用户安装微信客户端才能进行支付操作。
			 * 
			 * installService安装支付通道依赖的服务
			 * 如：void pay.installService();
			 * 说明：
			 * 对于某些支付通道，通常特定的支付通道依赖系统安装相关的服务，调用此方法将安装其依赖的支付服务。如支付宝，则在系统中安装支付宝客户端程序。
			 * 。。。。。
			 * 
			 * PaymentResult（支付操作结果对象）对象表示支付操作返回结果，用于确认支付操作成功。
			 * channel: (PaymentChannel 类型 )支付通道对象用于发起支付操作的支付通道对象。
			 * tradeno: (String 类型 )交易编号信息如果支付平台不支持此数据则返回undefined。
			 * description: (Boolean 类型 )交易描述信息如果支付平台不支持此数据则返回undefined。
			 * url: (Boolean 类型 )查找支付交易信息地址用于向支付平台查询交易信息，如果支付平台不支持此数据则返回undefined。
			 * signature: (String 类型 )支付操作指纹信息用于向支付平台查询支付订单信息，如果支付平台不支持此数据则返回undefined。
			 * rawdata: (String 类型 )支付平台返回的原始数据如果支付平台返回key-value类型字符串，则组合成符合JSON格式的字符串。
			 */
// 检测是否安装支付服务(刚劲如界面就检测)
function checkServices(pc){
	if(!pc.serviceReady){
		var txt=null;
		switch(pc.id){
			case "alipay":
			txt="检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
			break;
			default:
			txt="系统未安装“"+pc.description+"”服务，无法完成支付，是否立即安装？";
			break;
		}
		plus.nativeUI.confirm(txt,function(e){//若没有安装某一个软件，会以弹出框的格式提示
			if(e.index==0){
				pc.installService();//安装支付通道依赖的服务（方法），
			}
		},pc.description);
	}
}

var w=null;
var PAYSERVER='http://demo.dcloud.net.cn/payment/?payid=';
// 发起支付(点击某一种支付方式按钮：支付宝支付/微信支付)
function pay(id){       
	if(w){return;}//检查是否请求订单中
	if(id==='appleiap'){//id=appleiap表示苹果应用内支付 
		console.log("应用内支付");
		clicked('payment_iap.html');
		return;
	}
	console.log("----- 请求支付 -----");
	var url=PAYSERVER;
	if(id=='alipay'||id=='wxpay'){
		url+=id;
	}else{
		plus.nativeUI.alert("不支持此支付通道！",null,"捐赠");
		return;
	}
	var appid=plus.runtime.appid;
	/*appid当前应用的APPID
	 * 如：plus.runtime.appid;
	 * 说明：
	 * String 类型 只读属性
	 * 当前应用的APPID，字符串类型。注意，如果是在HBuilder真机运行获取的是固定值“HBuilder”，需要提交App云端打包后运行才能获取真实的APPID值。
	 */
	console.log("appid:"+appid);
	if(navigator.userAgent.indexOf('StreamApp')>=0){//来判断浏览器类型【存在的情况（>=0）】
		appid='Stream';
	}
	url+='&appid='+appid+'&total=';
	console.log("url:"+url);
	w=plus.nativeUI.showWaiting();
	// 请求支付订单
	var amount = document.getElementById('total').value;//取到支付金额
	var xhr=new XMLHttpRequest();//参考网站：http://www.jb51.net/article/23175.htm
	xhr.onreadystatechange=function(){
		switch(xhr.readyState){//当readyState为4(已加载)时
			case 4:
			w.close();w=null;
			if(xhr.status==200){
				outLine("----- 请求订单成功 -----");
				outLine( xhr.responseText );
				var order=xhr.responseText;//当readyState为4(已加载)时，该responseText包含完整的响应信息。
				/*
				 * 请求支付操作
				 * void plus.payment.request( channel, statement, successCB, errorCB );
				 * 说明：
				 * 调用指定的支付通道进行支付操作，其中statement包含支付操作的相关信息，支付模块将弹出支付界面供用户进行支付信息的输入确认操作。
				 * 用户支付操作成功后通过successCB回调返回支付操作结果，支付操作失败则通过errorCB回调返回。
				 * 参数：
				 * channel: ( PaymentChannel ) 必选 支付通道指定支付操作的通道，通过getChannels接口获取。
				 * statement: ( String | JSON | OrderStatementIAP ) 必选 支付订单信息支付订单信息，由支付通道定义的数据格式，
				 * 												通常是由业务服务器生成或向支付服务器获取，是经过加密的字符串信息。
				 * successCB: ( PaymentSuccessCallback ) 必选 获取支付通道成功回调函数获取支付通道列表成功时的回调函数，
				 * 											用于返回终端支持的支付通道列表。
				 * errorCB: ( PaymentErrorCallback ) 可选 获取支付通道失败回调函数获取支付通道列表失败时的回调函数，用于返回错误信息。
				 */
				console.log("pays[id]"+JSON.stringify(pays[id]));
				plus.payment.request(pays[id],order,function(result){
					outLine("----- 支付成功 -----");
					outLine(JSON.stringify(result));
					plus.nativeUI.alert("支付成功：感谢你的支持，我们会继续努力完善产品。",function(){
						back();
					},"捐赠");
				},function(e){
					outLine("----- 支付失败 -----");
					outLine("["+e.code+"]："+e.message);
					if(e.code=='-8'){//说明未安装软件
						mui.toast("客户端未安装"+pays[id].description);
					}else if(e.code=='-100'){//说明支付中断
						mui.toast("用户中途取消"+pays[id].description+"操作");
					}else{
						mui.toast("["+e.code+"]："+e.message);
					}
				});
			}else{
				outLine("----- 请求订单失败 -----");
				outLine( xhr.status );
				plus.nativeUI.alert("获取订单信息失败！",null,"捐赠");
			}
			break;
			default:
			break;
		}
	}
	xhr.open('GET',url+amount);//url+amount:参数用于指定XMLHttpRequest对象把请求发送到的服务器相应的URI。借助于window.document.baseURI属性，该uri被解析为一个绝对的URI-换句话说，你可以使用相对的URI-它将使用与浏览器解析相对的URI一样的方式被解析。
	outLine("请求支付订单："+url+amount);
	xhr.send(); 
}