(function() {
	mui.CGTJModel = mui.Class.extend({
		init: function(options) {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: pullupRefresh
					}
				}
			});
			var self = this;
			self.options = options || {};
			self.initParam();
			self.initListener();
			mui.plusReady(function() {
				self.initEvent();
			});
		},
		/**
		 * 定义全局参数
		 */
		initParam: function() {
			var self = this;
			self._pageSize = 12;
			self._page = 0;
			var today = new Date();
			self._year = today.getFullYear();
		},
		/**
		 * 初始化数据
		 */
		initEvent: function() {
			var self = this;
			//系统默认年份
			document.getElementById('cg-year').innerText = self._year + "年";
		},
		/**
		 * 定义事件监听
		 */
		initListener: function() {
			var self = this;
			document.getElementById('year-up').addEventListener('tap', function(e) {
				self._clickyear(1);
			});
			document.getElementById('year-down').addEventListener('tap', function(e) {
				self._clickyear(2);
			});
		},
		/**
		 * 后台数据交互
		 * @param {Object} sj    时间日期
		 * @param {Object} page  页码
		 */
		_pageData: function(sj, page) {
			var self = this;
			var fragment = document.createDocumentFragment();
			mui.ajax(V.urls.baseServer + '/zc/zcAction_selectCgTj', {
				data: {
					zzjgid: userModel.getZzjgid(),
					yhid: userModel.getYhid(),
					yyyy: sj,
					limit: self._pageSize,
					page: page
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				success: function(data) {
					//console.log(JSON.stringify(data));
					plus.nativeUI.closeWaiting();
					if(data.hj){
						$("#hjje").html(data.hj+"元");
					}else{
						$("#hjje").html(0+"元");
					}
					var rsHtml = template('cgtj-template', {
						"record": data
					});
					if (page == 1) {
						document.getElementById('cgtj_list').innerHTML = rsHtml;
					} else {
						$("#cgtj_list").append(rsHtml);
					}

					mui('#pullrefresh').pullRefresh().endPullupToRefresh((data.maxPage <= page));
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常');
				}
			});
		},
		/*
		 * 切换时间查询
		 */
		_clickyear: function(gs) {
			var self=this;
			plus.nativeUI.showWaiting();
			self.upyear=document.getElementById('cg-year').innerText;
			self.upyears=self.upyear.substr(0,4);
			self.years=V.utils.date._clickYear(gs,self.upyears);
			if(self.years){
				document.getElementById('cg-year').innerText = self.years+ '年';
				self._year=self.years;
				self._page = 0;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			}
		},
	});
})();

